// Scripts that allow for localization within each page using i18next

var resources = {
  en: {
    translation: {
      "menu_home": "Home",
      "menu_buy": "Buy",
      "menu_sell": "Sell",
      "menu_view_all": "View All Items",
      "menu_search_title": "Search by Title",
      "menu_search_category": "Search by Category",
      "menu_search_tag": "Search by Tag",
      "menu_search_seller": "Search by Seller ID",
      "menu_search_item": "Search by Item ID",
      "menu_view_purchases": "View Your Purchases",
      "menu_list_new": "List New Item",
      "menu_view_items": "View Your Items",
      "menu_login_button": "Log In",
      "menu_login_text": "Log in to store your account number.",
      "menu_login": "Log In",
      "header_login": "Log In",
      "login_welcome": "You may optionally log in to FreeMarket to store your secret phrase and see your account balance. Enter your account's secret phrase below.",
      "secret_phrase": "Secret Phrase",
      "placeholder_required": "required",
      "placeholder_optional": "optional",
      "image_url_help": "Image URL Help",
      "image_url_help_para1": "When using FreeMarket, you may include up to 4 URLs for images. While your item is listed in the NXT blockchain, the images are not, and therefore they must be uploaded to some location on the internet, and then that location, in the form of a URL, may be included in your listing.",
      "image_url_help_para2": "The blockchain preserves your privacy, but the location of your item's images may inadvertently reveal your identity, so it is important to upload your images to a location that will preserve your anonymity. There is a variety of services on the internet that will anonymously host images for you. You will need to do your own due diligence to determine which service you trust. Some of these services are listed below, but their inclusion here is not an endorsement. Remember, only you can preserve your own privacy.",
      "image_url_help_para3": "Only use services you are confident you can trust. If you do not know what you are doing, then do not include images in your listing.",
      "image_url_help_para4": "Images should be 200 pixels by 200 pixels. Images with other dimensions will be resized to 200x200 for display.",
      "shipping_help": "Shipping Options Help",
      "shipping_help_para_1": "When using FreeMarket, you may include up to 3 shipping options, each with a different price. Give each shipping cost a name that will be easily understandable by your buyer, such as 'DHL to North America' and give the option a price in NXT/CoinoUSD.",
      "shipping_help_para_2": "If you have shipping options set, the buyer will be required to choose one, and the cost you assign to the shipping method will automatically be added to the total price of your item. Alternatively, you are free to include shipping in your item's price, and list your item without these shipping options.",
      "tag1": "tag 1",
      "tag2": "tag 2",
      "tag3": "tag 3",
      "image1": "image 1",
      "image2": "image 2",
      "image3": "image 3",
      "shipping_method_name": "Shipping Method Name",
      "shipping_cost_in_nxt": "Cost in NXT",
      "shipping_cost_in_coinousd": "Cost in CoinoUSD",
      "button_login": "Log In",
      "header_current_account_info": "Current Account Information",
      "account_id": "Account ID",
      "numeric_account_id": "Numeric Account ID",
      "change_account_text": "If you wish to change the NXT account you are using with FreeMarket, you may do so by entering the account's secret phrase below.",
      "button_change_account_id": "Change Account ID",
      "button_log_out": "Log Out",
      "header_list_new_item": "List New Item",
      "item_title": "Item Title",
      "category": "Category",
      "price": "Price",
      "total_price": " Total Price",
      "main_image_url": "Main Image URL",
      "description": "Description",
      "decsription_field": "300 chars max",
      "optional_item_tags": "Optional Item Tags",
      "optional_additional_image_urls": "Optional Additional Image URLs",
      "optional_shipping_methods": "Optional Shipping Methods",
      "button_post_item": "Post Item",
      "header_log_in_required": "Log In Required",
      "log_in_notice_text": "This function requires you to be logged in. Please enter your account's secret phrase below.",
      "header_search_by_category": "Search by Item Category",
      "image": "Image",
      "status": "Status",
      "header_search_by_item_id": "Search by Item ID",
      "header_search_by_item_title": "Search by Item Title",
      "item_id": "Item ID",
      "button_search": "Search",
      "button_back_to_search": " Back to Search",
      "seller_id": "Seller ID",
      "price_with_nxt": " Price: NXT ",
      "expiration": "Expiration",
      "tags": "Tags",
      "shipping_address": "Shipping Address",
      "shipping_method": "Shipping Method",
      "shipping_address_required": "A shipping address is required. Be sure to include all relevant information, such as your country. Your shipping address will be encrypted.",
      "message_to_seller": "Message to Seller",
      "message_from_buyer": "Message from Buyer",
      "message_to_buyer": "Message to Buyer",
      "placeholder_message_to_buyer": "Optional. Your message will be encrypted.",
      "placeholder_message_to_seller": "Optional. Your message will be encrypted.",
      "button_buy_for_nxt": "Buy for NXT",
      "button_buy_for_coinousd": "Buy for CoinoUSD",
      "header_search_by_seller_id": "Search by Seller ID",
      "header_search_by_tag": "Search by Tag",
      "header_all_items": "All Items",
      "header_all_your_items": "Your Items",
      "header_all_your_purchases": "Your Purchases",
      "buyer_id": "Buyer ID",
      "sold_date": "Sold",
      "amount_received": "Amount Received",
      "button_cancel_listing": "Cancel Listing",
      "button_finalize_purchase": "Finalize Sale",
      "button_reject_purchase": "Reject Sale",
      "antiques": "Antiques",
      "art": "Art",
      "baby": "Baby",
      "books": "Books",
      "business": "Business",
      "industrial": "Industrial",
      "cameras": "Cameras",
      "cell_phones": "Cell Phones",
      "clothing": "Clothing",
      "coins": "Coins and Paper Money",
      "collectibles": "Collectibles",
      "computers": "Computers",
      "consumables": "Consumables",
      "electronics": "Consumer Electronics",
      "crafts": "Crafts",
      "dolls": "Dolls and Bears",
      "dvds": "DVDs and Movies",
      "entertainment": "Entertainment Memorabilia",
      "everything_else": "Everything Else",
      "food_drink": "Food and Drink",
      "gift_cards": "Gift Cards and Coupons",
      "health_beauty": "Health and Beauty",
      "home_garden": "Home and Garden",
      "jewelry": "Jewelry and Watches",
      "music": "Music",
      "instruments": "Musical Instruments",
      "networking": "Networking",
      "pets": "Pet Supplies",
      "pottery": "Pottery and Glass",
      "real_estate": "Real Estate",
      "self_defense": "Self Defense",
      "services": "Specialty Services",
      "sporting_goods": "Sporting Goods",
      "sports_memo": "Sports Memorabilia",
      "stamps": "Stamps",
      "tickets": "Tickets",
      "toys": "Toys and Hobbies",
      "travel": "Travel",
      "video_games": "Video Games",
      "error_secret_phrase": "Your account's secret phrase is required.",
      "select_language": "Select your language below.",
      "error_price": "The price may only contain numbers and a decimal.",
      "error_title_required": "A title is required for your item.",
      "error_category_required": "A category is required for your item.",
      "error_price_required": "A price is required for your item.",
      "error_description_required": "A description is required for your item.",
      "post_successful_part1": "You have posted item number: ",
      "post_successful_part2": "NOTE: Your item may take a few minutes to appear.",
      "error_message_too_long": "Result: FAILURE to post item. Your item listing is too long. Please make your Description or image URLs shorter.",
      "post_failure": "Result: FAILURE to post item. Reason:",
      "logged_in_account": "You have logged in with the following account:",
      "rs_account_id": "Reed-Solomon Account ID",
      "account_balance": "Account Balance",
      "error_shipping_method": "You must select a shipping method.",
      "error_shipping_address": "You must enter your shipping address.",
      "select_shipping": "Select a shipping method (required)",
      "success_purchase_part1": "You have purchased item number ",
      "success_purchase_part2": "",
      "purchase_failure": "Result: FAILURE to purchase item.",
      "sold": "Sold",
      "available": "Available",
      "canceled": "Canceled",
      "pending": "Pending",
      "no_message": "No message.",
      "success_finalize_purchase": "Success: You have finalized the purchase of this item.",
      "failure_finalize_purchase": "Result: FAILURE to finalize purchase.",
      "success": "Success",
      "success_cancel": "You have canceled your item.",
      "failure_cancel": "Result: FAILURE to cancel item.",
      "localized_website": "http://www.nxtfreemarket.com/index.html",
      "welcome_text1": "Trade freely, globally, and privately with NXT FreeMarket. FreeMarket uses the NXT blockchain to store all items for sale, so there is no centralized service that has your personal information, and there is no single-point of failure for the FreeMarket system.",
      "welcome_text2": "Messages between buyer and seller are encrypted using the public-key cryptography built into NXT. No personal information is exposed in an unencrypted form.",
      "welcome_text3": "The cost to post an item in FreeMarket is just 7.77 NXT, and the only other fees are for actions that use the blockchain - 1 NXT per transaction, so an entire cycle of listing an item, being paid, and communicating with your buyer can cost under 10 NXT. No percentages of your final sale price, no high fees.",
      "welcome_text4": "The cost of using FreeMarket as a shopper is even lower. You only pay for network transactions, so a purchase can cost as little as 1 NXT in fees.",
      "welcome_text5": "NXT FreeMarket was created by an international team of developers dedicated to preserving and expanding your right to trade peacefully without interference.",
      "welcome_text6": "We hope that FreeMarket will help you take advantage of the opportunities afforded by a global, low-cost, censorship-resistant marketplace.",
      "button_list_again": "List Again",
      "language_button": "English",
      "enter_escrow_address": "Enter the NXT address of your escrow provider",
      "yes": "Yes",
      "no": "No",
      "missing_title": "Missing Title",
      "error_title_required": "A title is required for your item.",
      "missing_price": "Missing Price",
      "error_price_required": "A price is required for your item.",
      "missing_description": "Missing Description",
      "error_description_required": "A description is required for your item.",
      "use_escrow": "Use Escrow?",
      "invalid_escrow_address": "Invalid escrow address",
      "error_invalid_ecsrow_address": "Invalid NXT Address for your escrow provider. Please check.",
      "button_processing": "Processing...",
      "from_nxt": "From NXT",
      "to_nxt": "To NXT",
      "select_target_currency": "Select your target currency.",
      "us_dollar": "US Dollar",
      "euro": "Euro",
      "value_to_convert": "Value to Convert",
      "button_convert": "Convert",
      "select_starting_currency": "Select your starting currency.",
      "converted_value": "The converted value is about",
      "reject_sale_success_message": "Success: You have rejected the sale of this item.",
      "reject_sale_failure_message": "Result: FAILURE to reject sale.",
      "error_webstorage": "Sorry, your browser does not support Web Storage.",
      "bug_report": "Bug Report",
      "supported_market_version": "Supported Market Version",
      "version": "Version",
      "nrs_version": "NRS Version",
      "market_version": "Market Version",
      "reporting_bugs": "Reporting Bugs",
      "bug_report_tech_info": "Technical information that will be helpful when reporting bugs:",
      "report_bugs_to": "Report bugs to bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Error: Please ensure that NXT is running.",
      "error_no_listing": "No listing found",
      "error_item_id_required": "An item ID is required.",
      "item_relisted_as": "You have relisted your item as item number:",
      "note_few_minutes": "NOTE: Your item may take a few minutes to appear.",
      "button_relist_item": "Relist Item",
      "item_received": "Item Received",
      "item_not_received": "Item Not Received",
      "success_marked_received": "Success: You have marked this item as received and completed the escrow process. The seller will be paid.",
      "failure_marked_received": "Result: FAILURE to mark this item as received and complete the escrow process. The seller will not be paid.",
      "success_marked_not_received": "Success: You have marked this item as not received. Your escrow provider will be informed.",
      "failure_marked_not_received": "Result: FAILURE to mark this item as not received.",
      "escrow_help_para_1": "Escrow lets your buyer feel safe making a purchase. An item with escrow will be displayed with an icon to show that escrow is included.",
      "escrow_help_para_2": "When an item with escrow is purchased, the payment goes to the escrow provider first. When the buyer has received the item and clicked a button to indicate satisfaction, the payment is released and sent to the seller.",
      "escrow_help_para_3": "If the buyer does not receive the item or is unhappy with it, then the buyer will indicate this and the escrow provider will step in to resolve the dispute.",
      "escow_help_para_4": "Escrow is provided using the FreeMarket Escrow System. Escrow providers who use this system are not endorsed by FreeMarket. Please research the available escrow providers and their reputations before selecting a provider.",
      "escrow_help_para_5": "Enter the escrow provider's NXT address in this format: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "The fee to list this item is NXT ",
      "header_listing_duration": "Listing Duration",
      "duration_2_weeks": "2 Weeks (listing fee: 0 NXT)",
      "duration_4_weeks": "4 Weeks (listing fee: 0 NXT)",
      "item_quantity_buy": "Quantity to Buy",
      "item_quantity_sell": "Quantity to Sell",
      "header_price_conversion": "Approximate Conversions",
      "text_price_conversion": "Here is the NXT price in other currencies: ",
      "header_price_conversion_error": "Conversion Error",
      "text_price_conversion_error": "There was an error retrieving the NXT conversion rate.",
      "menu_help": "Help",
      "menu_tutorials": "Tutorials",
      "menu_about": "About FreeMarket",
      "menu_escrow": "Escrow Providers",
      "menu_converter": "NXT Converter",
      "header_language": "Language",
      "account_details": "Account Details",
      "shapeshift_link": "Buy/Sell NXT",
      "sendnxt_link": "Send NXT",
      "quantity_purchased": "Quantity Purchased",
      "header_your_pending_sales": "Your Pending Sales",
      "menu_your_pending_sales": "View Your Pending Sales",
      "menu_your_active_items": "View Your Active Items",
      "menu_your_expired_items": "View Your Expired Items",
      "menu_your_sold_items": "View Your Sold Items",
      "header_all_your_active_items": "Your Active Items",
      "header_all_your_expired_items": "Your Expired Items",
      "header_all_your_sold_items": "Your Sold Items",
      "pending_sales_menu_header": "You have pending sales",
      "pending_sales_menu_view_all": "View pending sales",
      "message_to_escrow_provider": "Message to Escrow Provider",
      "account_number": "NXT Account Number",
      "account_number_welcome": "Enter your NXT account number below. This will allow FreeMarket to know which items for sale are yours, and to display your NXT account balance. Your secret passphrase is NOT required for this.",
      "account_number_header_login": "Account Number",
      "button_account_number": "Submit Account Number",
      "error_account_number": "Your NXT account number is required.",
      "buy_nxt": "Buy NXT",
      "buy_coinousd": "Buy CoinoUSD",
      "sell_nxt": "Sell NXT",
      "sell_coinousd": "Sell CoinoUSD",
      "button_view_conversion": "View Converted Amount",
      "button_buy_nxt": "Buy NXT",
      "button_buy_coinousd": "Buy CoinoUSD",
      "button_sell_nxt": "Sell NXT",
      "button_sell_coinousd": "Sell CoinoUSD",
      "deposit_limit": "The convert limit is:",
      "your_wallet_address": "Wallet Address",
      "alert_1": "NOTE: THE LISTING FEE IS CURRENTLY SET TO 0 NXT.",
      "select_item_currency": "Item Currency",
      "item_currency": "Currency"
    }
  },
  ru: {
    translation: {
      "menu_home": "Домой",
      "menu_buy": "Купить",
      "menu_sell": "Продать",
      "menu_view_all": "Все товары",
      "menu_search_title": "Искать по названию",
      "menu_search_category": "Искать по категории",
      "menu_search_tag": "Искать по тэгу",
      "menu_search_seller": "Искать по идентификатору продавца",
      "menu_search_item": "Искать по номеру товара",
      "menu_view_purchases": "Мои покупки",
      "menu_list_new": "Выставить товар на продажу",
      "menu_view_items": "Мои товары",
      "menu_login_button": "Войти",
      "menu_login_text": "Войти с помощью секретной фразы.",
      "menu_login": "Войти",
      "header_login": "Войти",
      "login_welcome": "Вы можете войти в FreeMarket, чтобы сохранить секретную фразу и узнать баланс Вашего аккаунта. Введите Вашу секретную фразу.",
      "secret_phrase": "Секретная фраза.",
      "placeholder_required": "обязательно",
      "placeholder_optional": "опционально",
      "image_url_help": "Помощь по фотографиям товара",
      "image_url_help_para1": "При использовании FreeMarket Вы можете добавить до 4 ссылок (URL) на фотографии к описанию товара. В отличие от описания товара фотографии не сохраняются в NXT блокчейне. Поэтому они должны быть размещены где-либо в интернете, а затем, в виде URL, добавлены к описанию товара.",
      "image_url_help_para2": "NXT блокчейн не раскрывает Вашей личной информации, но расположение фотографий товара может случайно раскрыть детали Вашей личности, поэтому важно размещать фотографии на хостингах, защищающих Вашу анонимность. Вы должны самостоятельно решить, какому хостингу Вы можете доверять. Некоторые из таких хостингов перечислены ниже, но FreeMarket не несёт ответственность за их деятельность. Помните, что только Вы можете защитить свою частную жизнь.",
      "image_url_help_para3": "Используйте только те сервисы, в которых Вы уверены. Если Вы не уверены в этом, не добавляйте фотографии к описанию товара.",
      "image_url_help_para4": "Фотографии должны быть 200 пикселей на 200 пикселей. Фотографии с другими размерами будут откорректированы до 200x200.",
      "shipping_help": "Помощь по опциям доставки",
      "shipping_help_para_1": "При использовании FreeMarket Вы можете указать до 3 способов доставки, назначив каждому различную цену. Дайте каждому способу доставки простое и понятное для покупателя имя, например \"DHL по Северной Америке\" и укажите цену в NXT.",
      "shipping_help_para_2": "Если Вы добавили опции доставки, покупатель должен выбрать одну из опций, а стоимость, указанная в способе доставки, будет автоматически добавлена к окончательной цене товара. Либо Вы можете включить доставку в цену товара и выставить товар на продажу без опций доставки.",
      "tag1": "тэг 1",
      "tag2": "тэг 2",
      "tag3": "тэг 3",
      "image1": "фотография 1 (URL)",
      "image2": "фотография 2 (URL)",
      "image3": "фотография 3 (URL)",
      "shipping_method_name": "Название способа доставки",
      "shipping_cost_in_nxt": "Стоимость доставки (NXT)",
      "button_login": "Войти",
      "header_current_account_info": "Информация о текущем аккаунте",
      "account_id": "Идентификатор аккаунта",
      "numeric_account_id": "Цифровой идентификатор аккаунта",
      "change_account_text": "Для того чтобы сменить NXT аккаунт для работы с FreeMarket, введите секретную фразу нового аккаунта.",
      "button_change_account_id": "Сменить идентификатор аккаунта",
      "button_log_out": "Выйти",
      "header_list_new_item": "Выставить товар на продажу",
      "item_title": "Название товара",
      "category": "Категория товара",
      "price": "Цена",
      "total_price": "Цена: NXT ",
      "main_image_url": "Фото товара (URL)",
      "description": "Описание",
      "decsription_field": "Максимум 300 символов",
      "optional_item_tags": "Тэги товара (опционально)",
      "optional_additional_image_urls": "Дополнительные фотографии (опционально)",
      "optional_shipping_methods": "Способы доставки (опционально)",
      "button_post_item": "Отправить товар",
      "header_log_in_required": "Требуется вход",
      "log_in_notice_text": "Для этой функции требуется вход. Введите секретную фразу Вашего аккаунта.",
      "header_search_by_category": "Искать по категории товара",
      "image": "Фото",
      "status": "Состояние",
      "header_search_by_item_id": "Искать по номеру товара",
      "header_search_by_item_title": "Искать по названию товара",
      "item_id": "Идентификатор товара",
      "button_search": "Поиск",
      "button_back_to_search": "Вернуться к поиску",
      "seller_id": "Идентификатор продавца",
      "price_with_nxt": " Цена: NXT ",
      "expiration": "Срок размещения",
      "tags": "Тэги",
      "shipping_address": "Адрес доставки",
      "shipping_method": "Способ доставки",
      "shipping_address_required": "Необходимо указать адрес доставки. Не забудьте добавить важную информацию, в том числе Вашу страну. Ваш адрес передаётся в зашифрованном виде.",
      "message_to_seller": "Сообщение для продавца",
      "message_from_buyer": "Сообщение от покупателя",
      "message_to_buyer": "Сообщение для покупателя",
      "placeholder_message_to_buyer": "Опционально. Ваше сообщение будет зашифровано.",
      "placeholder_message_to_seller": "Опционально. Ваше сообщение будет зашифровано.",
      "button_buy_for_nxt": "Купить за NXT",
      "header_search_by_seller_id": "Искать по идентификатору продавца",
      "header_search_by_tag": "Искать по тэгу",
      "header_all_items": "Все товары",
      "header_all_your_items": "Мои товары",
      "header_all_your_purchases": "Мои покупки",
      "buyer_id": "Идентификатор покупателя",
      "sold_date": "Продано",
      "amount_received": "Получено",
      "button_cancel_listing": "Отменить продажу",
      "button_finalize_purchase": "Подтвердить покупку",
      "button_reject_purchase": "Отменить покупку",
      "antiques": "Антиквариат",
      "art": "Искусство",
      "baby": "Детские товары",
      "books": "Книги",
      "business": "Бизнес",
      "industrial": "Промышленные товары",
      "cameras": "Камеры",
      "cell_phones": "Телефоны",
      "clothing": "Одежда",
      "coins": "Деньги",
      "collectibles": "Коллекционирование",
      "computers": "Компьютеры",
      "consumables": "Расходные материалы",
      "electronics": "Электроника",
      "crafts": "Самодельные товары",
      "dolls": "Куклы и игрушки",
      "dvds": "DVD и фильмы",
      "entertainment": "Развлечения",
      "everything_else": "Остальное",
      "food_drink": "Еда и напитки",
      "gift_cards": "Подарочные карты и купоны",
      "health_beauty": "Красота и здоровье",
      "home_garden": "Дом и сад",
      "jewelry": "Часы и ювелирные изделия",
      "music": "Музыка",
      "instruments": "Музыкальные инструменты",
      "networking": "Сетевое оборудование",
      "pets": "Товары для животных",
      "pottery": "Посуда",
      "real_estate": "Недвижимость",
      "self_defense": "Самооборона",
      "services": "Обслуживание",
      "sporting_goods": "Товары для спорта",
      "sports_memo": "Спортивные сувениры",
      "stamps": "Марки",
      "tickets": "Билеты",
      "toys": "Игры и хобби",
      "travel": "Путешествия",
      "video_games": "Видео игры",
      "error_secret_phrase": "Требуется вход.",
      "select_language": "Выберите язык.",
      "error_price": "Цена может содержать только цифры и десятичную точку.",
      "error_title_required": "Необходимо указать название товара.",
      "error_category_required": "Необходимо указать категорию товара.",
      "error_price_required": "Необходимо указать цену товара.",
      "error_description_required": "Необходимо добавить описание товара.",
      "post_successful_part1": "Вы добавили товар с номером: ",
      "post_successful_part2": "Примечание: может потребоваться несколько минут, чтобы товар появился в списке.",
      "error_message_too_long": "Результат: НЕ УДАЛОСЬ добавить товар. Описание товара слишком длинное. Попробуйте сделать короче описание товара или ссылку на фото.",
      "post_failure": "Результат: НЕ УДАЛОСЬ добавить товар. Причина: ",
      "logged_in_account": "Ваш аккаунт:",
      "rs_account_id": "Аккаунт в RS формате",
      "account_balance": "Баланс",
      "error_shipping_method": "Необходимо указать способ доставки.",
      "error_shipping_address": "Необходимо указать адрес доставки",
      "select_shipping": "Укажите способ доставки (обязательно)",
      "success_purchase_part1": "Вы приобрели товар ",
      "success_purchase_part2": "",
      "purchase_failure": "Результат: НЕ УДАЛОСЬ купить товар.",
      "sold": "Продан",
      "available": "В наличии",
      "canceled": "Отменен",
      "pending": "Ожидание",
      "no_message": "Сообщение отсутствует.",
      "success_finalize_purchase": "Успех: Вы подтвердили покупку товара.",
      "failure_finalize_purchase": "Результат: НЕ УДАЛОСЬ подтвердить покупку.",
      "success": "Успех",
      "success_cancel": "Продажа товара отменена.",
      "failure_cancel": "Результат: НЕ УДАЛОСЬ отменить продажу товара.",
      "localized_website": "http://nxtfreemarket.com/index_ru.html",
      "welcome_text1": "Торгуйте свободно, глобально и без раскрытия личной информации с помощью FreeMarket. FreeMarket использует блокчейн NXT для хранения информации о товарах, поэтому отсутствует централизованный сервис, который мог бы содержать Вашу личную информацию, а также отсутствует единая точка отказа сервиса FreeMarket.",
      "welcome_text2": "Обмен сообщениями между продавцом и покупателем зашифрован при помощи встроенной в NXT криптографии с использованием публичных ключей. Никакая персональная информация не передаётся в незашифрованном виде.",
      "welcome_text3": "Стоимость размещения товара на FreeMarket составляет всего 7.77 NXT; дополнительные комиссии за использование блокчейна составляют 1 NXT за транзакцию. Поэтому весь цикл размещения товара, оплаты и общения с покупателем может составить до 10 NXT. Никаких наценок на окончательную цену товара, никаких завышенных комиссий.",
      "welcome_text4": "С точки зрения покупателя использование FreeMarket ещё дешевле. Вы платите только за транзакции, поэтому покупка товара стоит всего 1 NXT.",
      "welcome_text5": "NXT FreeMarket создан международной командой разработчиков и предназначен для сохранения и расширения Вашего права на мирную торговлю без стороннего вмешательства.",
      "welcome_text6": "Мы надеемся, что FreeMarket поможет Вам воспользоваться преимуществами глобального, дешёвого, защищённого от цензуры рынка.",
      "button_list_again": "Продать ещё раз",
      "language_button": "Русский",
      "enter_escrow_address": "Введите NXT адрес посредника",
      "yes": "Да",
      "no": "Нет",
      "missing_title": "Отсутствует название",
      "error_title_required": "Необходимо указать название товара.",
      "missing_price": "Отсутствует цена",
      "error_price_required": "Необходимо указать цену товара.",
      "missing_description": "Отсутствует описание",
      "error_description_required": "Необходимо добавить описание товара.",
      "use_escrow": "Использовать посредника?",
      "invalid_escrow_address": "Неверный адрес посредника",
      "error_invalid_ecsrow_address": "Неверный NXT адрес посредника. Проверьте правильность адреса.",
      "button_processing": "Обработка...",
      "from_nxt": "Из NXT",
      "to_nxt": "В NXT",
      "select_target_currency": "Выберите валюту.",
      "us_dollar": "Доллар",
      "euro": "Евро",
      "value_to_convert": "Количество",
      "button_convert": "Конвертировать",
      "select_starting_currency": "Укажите исходную валюту.",
      "converted_value": "Результат обмена",
      "reject_sale_success_message": "Успех: Вы отменили покупку товара..",
      "reject_sale_failure_message": "Результат: НЕ УДАЛОСЬ отменить покупку товара.",
      "error_webstorage": "Извините, Ваш браузер не поддерживает Web Storage.",
      "bug_report": "Сообщить об ошибке",
      "supported_market_version": "Supported Market Version",
      "version": "Version",
      "nrs_version": "NRS Version",
      "market_version": "Market Version",
      "reporting_bugs": "Сообщение об ошибке",
      "bug_report_tech_info": "Техническая информация, которая поможет в поиске неисправности:",
      "report_bugs_to": "Сообщите об ошибках по адресу bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Ошибка: Убедитесь, что сервис NXT запщуен.",
      "error_no_listing": "Товар не найден",
      "error_item_id_required": "Необходимо указать номер товара.",
      "item_relisted_as": "Вы продали товар повторно. Номер товара: ",
      "note_few_minutes": "Примечание: может потребоваться несколько минут, чтобы товар появился в списке.",
      "button_relist_item": "Повторно продать товар",
      "item_received": "Товар получен",
      "item_not_received": "Товар не получен",
      "success_marked_received": "Успех: Вы подтвердили получение товара. Продавец получит оплату от посредника.",
      "failure_marked_received": "Результат: НЕ УДАЛОСЬ сообщить о получении товара. Продавец не получит оплату от посредника.",
      "success_marked_not_received": "Успех: Вы подтвердили, что товар не получен. Посредник получит информацию о возврате средств.",
      "failure_marked_not_received": "Результат: НЕ УДАЛОСЬ сообщить о том, что товар не получен.",
      "escrow_help_para_1": "Посредники позволяют покупателю не волноваться о безопасности покупки. Товар с возможностью работы через посредника отображается со специальной иконкой.",
      "escrow_help_para_2": "При покупке товара через посредника оплата поступает на счёт посредника. При получении товара покупатель нажимает соответствующую кнопку и оплата поступает со счёта посредника на счёт продавца.",
      "escrow_help_para_3": "Если покупатель не получил товар или недоволен его качеством, он сообщает об этом посреднику и посредник может принять участие в разрешении спора.",
      "escow_help_para_4": "Защита покупателя обеспечивается при помощи сервиса посредничества FreeMarket. FreeMarket не несёт ответственности за деятельность посредников. Перед выбором посредника внимательно изучите его работу и отзывы о нём.",
      "escrow_help_para_5": "Введите NXT адрес посредника в формате: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "Комиссия для продажи товара NXT ",
      "header_listing_duration": "Длительность продажи",
      "duration_2_weeks": "2 недели (комиссия: 0 NXT)",
      "duration_4_weeks": "4 недели (комиссия: 0 NXT)",
      "item_quantity_buy": "Кол-во товара для покупки",
      "item_quantity_sell": "Кол-во товара для продажи",
      "header_price_conversion": "Конвертация валют",
      "text_price_conversion": "",
      "header_price_conversion_error": "Ошибка при конвертации",
      "text_price_conversion_error": "Произошла ошибка при конвертации: не удалось получить курс обмена.",
      "menu_help": "Помощь",
      "menu_tutorials": "Обучение",
      "menu_about": "О FreeMarket",
      "menu_escrow": "Посредники",
      "menu_converter": "NXT конвертация валют",
      "header_language": "Язык",
      "account_details": "Аккаунт",
      "quantity_purchased": "Куплено",
      "header_your_pending_sales": "Мои продажи",
      "menu_your_pending_sales": "Мои текущие продажи",
      "menu_your_active_items": "Мои текущие товары",
      "header_all_your_active_items": "Мои текущие товары",
      "pending_sales_menu_header": "У вас есть покупатели",
      "pending_sales_menu_view_all": "Мои запросы на покупку",
      "message_to_escrow_provider": "Сообщение посреднику",
      "account_number": "NXT аккаунт",
      "account_number_welcome": "Введите Ваш NXT аккаун. Вы сможете получить информацию о Ваших продаваемых товарах и узнать Ваш баланс. Ваша секретная фраза для этого НЕ требуется.",
      "account_number_header_login": "Аккаунт",
      "button_account_number": "Готово",
      "error_account_number": "Требуется ввести номер Вашего NXT аккаунта.",
      "alert_1": ""
    }
  },
  hr: {
    translation: {
      "menu_home": "Početna",
      "menu_buy": "Kupi",
      "menu_sell": "Prodaj",
      "menu_view_all": "Pogledaj sve Predmete",
      "menu_search_title": "Pretraži po Nazivu",
      "menu_search_category": "Pretraži po Kategoriji",
      "menu_search_tag": "Pretraži po Tag-u",
      "menu_search_seller": "Pretraži po ID Prodavača",
      "menu_search_item": "Pretraži po ID Predmeta",
      "menu_view_purchases": "Pogledaj svoju kupnju",
      "menu_list_new": "Izlistaj novi predmet",
      "menu_view_items": "Pregledaj svoje predmete",
      "menu_login_button": "Prijava",
      "menu_login_text": "Prijavite se za pohranu tajne lozinke.",
      "menu_login": "Prijava",
      "header_login": "Prijava",
      "login_welcome": "Dodatno, prijavite se u FreeMarket za pohranu Vaše tajne lozinke i pregled stanja računa. Unesite Vašu tajnu lozinku ispod.",
      "secret_phrase": "Tajna lozinka",
      "placeholder_required": "obavezno",
      "placeholder_optional": "neobavezno",
      "image_url_help": "Slika URL Pomoć",
      "image_url_help_para1": "FreeMarket Vam omogućava unos do 4 URL-a slika predmeta. Dok je Vaš predmet izlistan u NXT lancu blokova, slike predmeta nisu, te zato slike predmeta moraju biti pohranjene na javno dostupnoj internet lokaciji, te se ta lokacija, u obliku URL-a, uključuje u Vašu listu predmeta u NXT lancu blokova.",
      "image_url_help_para2": "NXT lanac blokova štiti Vašu privatnost, ali lokacija Vaših slika može otkriti Vaš identitet, zato je važno da slike predmeta pohranite na lokaciju koja će zadržati Vašu anonimnost. Postoji velik izbor usluga na internetu koje će anonimno javno objaviti slike predmeta za Vas. Istražite sami te usluge i odlučite kojima vjerujete. Neke od tih usluga izlistane su ispod, ali njihov ispis ovdje nije obavezan. Zapamtite, samo Vi možete sačuvati Vašu privatnost.",
      "image_url_help_para3": "Koristite samo servise i usluge kojima vjerujete. Ako niste sigurni ili neznate šta radite, nemojte ubacivati slike predmeta u Vašu listu.",
      "image_url_help_para4": "Slike predmeta bi trebale biti 200 piksela po širini i 200 piksela po visini. Slike sa različitim dimenzijama biti će pretvorene u 200x200 piksela za prikaz u listi predmeta.",
      "image_url_help_para4": "Images should be 200 pixels by 200 pixels. Images with other dimensions will be resized to 200x200 for display.",
      "shipping_help": "Pomoć opcija dostave",
      "shipping_help_para_1": "FreeMarket Vam omogućava unos do 3 opcije dostave, svaka sa drugom cijenom. Dodajte svakoj cijeni dostave naziv koji će biti razumljiv od strane kupca, kao na primjer 'DHL za Sjevernu Ameriku' i upišite cijenu u NXT.",
      "shipping_help_para_2": "Ako imate postavljene opcije dostave, kupac će biti obavezan odabrati jednu, i cijena koju ste postavili za cijenu dostave automatski će se pridodati krajnoj cijeni Vašeg predmeta. Alternativno, slobodni ste uključiti cijenu dostave u cijenu predmeta, i izlistati Vaše predmete bez dodatnih opcija dostave.",
      "tag1": "tag 1",
      "tag2": "tag 2",
      "tag3": "tag 3",
      "image1": "slika 1",
      "image2": "slika 2",
      "image3": "slika 3",
      "shipping_method_name": "Naziv načina dostave",
      "shipping_cost_in_nxt": "Cijena dostave u NXT",
      "button_login": "Prijava",
      "header_current_account_info": "Informacije trenutnog računa",
      "account_id": "ID Računa",
      "numeric_account_id": "Brojčani ID Računa",
      "change_account_text": "Ako želite promjeniti Vaš NXT račun na FreeMarketu, to možete učiniti tako da unesete Vašu tajnu lozinku ispod.",
      "button_change_account_id": "Promjeni ID Računa",
      "button_log_out": "Odjava",
      "header_list_new_item": "Izlistaj novi predmet",
      "item_title": "Naziv predmeta",
      "category": "Kategorija",
      "price": "Cijena",
      "total_price": " Cijena NXT ",
      "main_image_url": "URL Glavne slike",
      "description": "Opis",
      "decsription_field": "300 znakova max",
      "optional_item_tags": "Dodatni Tagovi predmeta",
      "optional_additional_image_urls": "URLs dodatnih slika",
      "optional_shipping_methods": "Dodatni načini dostave",
      "button_post_item": "Objavi predmet",
      "header_log_in_required": "Obavezna prijava",
      "log_in_notice_text": "Ova funkcija zahtijeva prijavu. Molimo unesite Vašu tajnu lozinku.",
      "header_search_by_category": "Pretraži predmete po Kategoriji",
      "image": "Slika",
      "status": "Status",
      "header_search_by_item_id": "Pretraži predmete po ID",
      "header_search_by_item_title": "Pretraži predmet po Nazivu",
      "item_id": "Predmet ID",
      "button_search": "Pretraga",
      "button_back_to_search": " Povratak na pretragu",
      "seller_id": "Prodavač ID",
      "price_with_nxt": " Cijena NXT ",
      "expiration": "Ističe",
      "tags": "Tagovi",
      "shipping_address": "Adresa za dostavu",
      "shipping_method": "Način dostave",
      "shipping_address_required": "Adresa za dostavu je obavezna. Upišite podatke za dostavu, država i adresa za dostavu će biti enkriptirane.",
      "message_to_seller": "Poruka prodavaču",
      "message_from_buyer": "Poruka od kupca",
      "message_to_buyer": "Poruka kupcu",
      "placeholder_message_to_buyer": "Neobavezno. Vaša poruka će biti enkriptirana.",
      "placeholder_message_to_seller": "Neobavezno. Vaša poruka će biti enkriptirana.",
      "button_buy_for_nxt": "Kupi sa NXT",
      "header_search_by_seller_id": "Pretraži po ID Prodavača",
      "header_search_by_tag": "Pretraži po Tag-u",
      "header_all_items": "Svi predmeti",
      "header_all_your_items": "Vaši predmeti",
      "header_all_your_purchases": "Sve Vaše kupnje",
      "buyer_id": "ID Kupca",
      "sold_date": "Prodano",
      "amount_received": "Količina primljena",
      "button_cancel_listing": "Odbaci listu",
      "button_finalize_purchase": "Završi kupnju",
      "button_reject_purchase": "Odbaci kupnju",
      "antiques": "Antikviteti",
      "art": "Umjetnost",
      "baby": "Bebe",
      "books": "Knjige",
      "business": "Posao",
      "industrial": "Industrija",
      "cameras": "Kamere",
      "cell_phones": "Mobiteli",
      "clothing": "Odjeća",
      "coins": "Numizmatika",
      "collectibles": "Kolekcije",
      "computers": "Računala",
      "consumables": "Potrošni materijal",
      "electronics": "Kućna Elektronika",
      "crafts": "Zanati",
      "dolls": "Lutke i Medvjedići",
      "dvds": "DVDs i Filmovi",
      "entertainment": "Zabava i suveniri",
      "everything_else": "Sve ostalo",
      "food_drink": "Hrana i Piće",
      "gift_cards": "Čestitke i Kuponi",
      "health_beauty": "Zdravlje i Ljepota",
      "home_garden": "Kuća i Vrt",
      "jewelry": "Nakit i Satovi",
      "music": "Muzika",
      "instruments": "Muzički instrumenti",
      "networking": "Računalna Mreža",
      "pets": "Kućni Ljubimci",
      "pottery": "Lončarstvo i Staklo",
      "real_estate": "Nekretnine",
      "self_defense": "Samoodbrana",
      "services": "Specijalne usluge",
      "sporting_goods": "Sport",
      "sports_memo": "Sports suveniri",
      "stamps": "Markice",
      "tickets": "Naljepnice",
      "toys": "Igračke i hobi",
      "travel": "Putovanja",
      "video_games": "Video igre",
      "error_secret_phrase": "Lozinka je obavezna.",
      "select_language": "Izaberite Vaš jezik.",
      "error_price": "Cijena može sadržavati samo brojeve i decimalu.",
      "error_title_required": "Naziv je obavezan za predmet.",
      "error_category_required": "Kategorija je obavezna za predmet.",
      "error_price_required": "Cijena je obavezna za predmet.",
      "error_description_required": "Opis je obavezan za predmet.",
      "post_successful_part1": "Objavili ste Predmet broj: ",
      "post_successful_part2": "UPOZORENJE: Vaš predmet će se pojaviti u sustavu kroz par minuta.",
      "error_message_too_long": "REZULTAT: GREŠKA OBJAVE PREDMETA. Vaša lista je preduga. Molimo skratite opis ili URL slika.",
      "post_failure": "REZULTAT: GREŠKA OBJAVE PREDMETA. Razlog:",
      "logged_in_account": "Prijavili ste se sa sljedećim računom:",
      "rs_account_id": "Reed-Solomon Račun ID",
      "account_balance": "Stanje računa",
      "error_shipping_method": "Izaberite opciju dostave.",
      "error_shipping_address": "Izaberite adresu za dostavu.",
      "select_shipping": "Izaberite način dostave (obavezno)",
      "success_purchase_part1": "Kupili ste predmet broj ",
      "success_purchase_part2": "",
      "purchase_failure": "REZULTAT: GREŠKA KUPNJE PREDMETA.",
      "sold": "Prodano",
      "available": "Dostupno",
      "canceled": "Otkazano",
      "pending": "U toku",
      "no_message": "Nema poruke.",
      "success_finalize_purchase": "Uspjeh: Uspješno ste obavili kupnju predmeta.",
      "failure_finalize_purchase": "REZULTAT: GREŠKA FINALIZACIJE KUPNJE.",
      "success": "Uspjeh",
      "success_cancel": "Poništili ste Vaš predmet.",
      "failure_cancel": "REZULTAT: GREŠKA ODBIJANJA PREDMETA.",
      "localized_website": "http://www.nxtfreemarket.com/index_hr.html",
      "welcome_text1": "Trgujte slobodno, globalno i privatno kroz NXT FreeMarket. FreeMarket koristi NXT lanac blokova za pohranu svih predmeta namijenjenih prodaji i to čini tako da nema centraliziranog servisa koji zahtijeva Vaše osobne informacije te isto tako nema centralne točke rušenja FreeMarket sistema.",
      "welcome_text2": "Poruke između kupca i prodavača su enkriptirane koristeći kriptografiju javnog ključa ugrađenu u NXT. Niti jedna osobna informacija nije izložena u nekriptiranoj formi.",
      "welcome_text3": "Naknada za objavljivanje na FreeMarket-u je 7.77 NXT, i jedina dodatna naknada je za radnje koje koriste lanac blokova - 1 NXT po transakciji, pa cijeli ciklus plaćanja, izlistavanja stavki i komunikacije s kupcem može Vas koštati 10 NXT. Nema postotka na Vašu konačnu cijenu i visokih naknada.",
      "welcome_text4": "Cijena korištenja FreeMarket-a u ulozi kupca je još niža. Plaćate samo za mrežne transakcije, pa kupovina može biti najmanje 1 NXT.",
      "welcome_text5": "NXT FreeMarket je izgrađen od strane međunarodnog tima programera posvećenih očuvanju i širenju Vaših prava da trgujete slobodno i bez uplitanja.",
      "welcome_text6": "FreeMarket će Vam pomoći da iskoristite prednosti prilika omogućenih kroz globalno, jeftino, necenzurirano tržište.",
      "button_list_again": "Izlistaj ponovno",
      "language_button": "Hrvatski",
      "enter_escrow_address": "Unesite NXT adresu Vašeg Escrow pružatelja usluga",
      "yes": "Da",
      "no": "Ne",
      "missing_title": "Nedostaje Naziv",
      "error_title_required": "Naziv je potreban za predmet.",
      "missing_price": "Nedostaje Cijena",
      "error_price_required": "Cijena je potrebna za predmet.",
      "missing_description": "Nedostaje Opis",
      "error_description_required": "Opis je potreban za predmet.",
      "use_escrow": "Koristiti Escrow pružatelja usluga",
      "invalid_escrow_address": "Neispravna Escrow adresa",
      "error_invalid_ecsrow_address": "Neispravna NXT Adresa vašeg Escrow pružatelja usluga. Molimo provjerite.",
      "button_processing": "Učitavanje...",
      "from_nxt": "Od NXT",
      "to_nxt": "Za NXT",
      "select_target_currency": "Odaberite Vašu ciljanu valutu.",
      "us_dollar": "Američki dolar",
      "euro": "Euro",
      "value_to_convert": "Vrijednost za pretvorbu",
      "button_convert": "Pretvori",
      "select_starting_currency": "Odaberite početnu valutu.",
      "converted_value": "Pretvorena valute otprilike iznosi:",
      "reject_sale_success_message": "Uspjeh: Odbili ste prodaju ovog predmeta.",
      "reject_sale_failure_message": "REZULTAT: NEUSPJEH odbijanja prodaje.",
      "error_webstorage": "Oprostite, Vaš preglednik ne podržava Web pohranu.",
      "bug_report": "Prijava kvara",
      "supported_market_version": "Podržana Verzija Marketa",
      "version": "Verzija",
      "nrs_version": "NRS Verzija",
      "market_version": "Market Verzija",
      "reporting_bugs": "Prijavite kvar",
      "bug_report_tech_info": "Tehničke informacije koje mogu pomoći kad prijavljujete kvar:",
      "report_bugs_to": "Prijavite kvar na bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "GREŠKA: Provjerite ako je NXT pokrenut.",
      "error_no_listing": "Nema popisa na listi",
      "error_item_id_required": "ID predmeta je obavezan.",
      "item_relisted_as": "Prebacili ste Vaš predmet kao predmet broj:",
      "note_few_minutes": "PORUKA: Vaš predmet će biti izlistan za par minuta.",
      "button_relist_item": "Prebacite Predmet",
      "item_received": "Predmet Primljen",
      "item_not_received": "Predmet Nije Primljen",
      "success_marked_received": "USPJEH: Označili ste predmet zaprimljenim i završili ste Escrow proces. Prodavač će biti isplaćen.",
      "failure_marked_received": "Rezultat: GREŠKA označavanja predmeta kao zaprimljen i završen Escrow proces. Prodavač neće biti isplaćen.",
      "success_marked_not_received": "Uspjeh: Označili ste predmet kao nezaprimljen. Vaš Escrow pružatelj usluge će biti obaviješten.",
      "failure_marked_not_received": "REZULTAT: GREŠKA označavanja predmeta kao nezaprimljen.",
      "escrow_help_para_1": "Escrow omogućava kupcu da se osjeća sigurno kada kupuje. Predmet sa Escrow prikazan je sa ikonom tako da se vidi da je Escrow uljučen.",
      "escrow_help_para_2": "Kada se predmet sa escrow kupi, plaćanje ide prvo preko Escrow pružatelja usluga. Kada je kupac zaprimio predmet i označio ga da prikaže zadovoljstvo kupnjom, plaćanje se otpušta i prenose sredstva na prodavača.",
      "escrow_help_para_3": "Ako kupac nije zaprimio predmet ili nije zadovoljan predmetom, tada kupac označava nezadovoljstvo i Escrow pružatelj usluga će uskočiti da rješi problem.",
      "escow_help_para_4": "Escrow je dostupan kroisteći FreeMarket Escrow Sistem. Escrow pružatelji usluga koji koriste ovaj sistem nisu odgovorni FreeMarketu. Molimo istražite Escrow pružatelje usluga i njihovu reputaciju prije odabira.",
      "escrow_help_para_5": "Unesite Escrow pružatelja usluga NXT adresu u ovom formatu: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "Naknada za objavu iznosi NXT ",
      "header_listing_duration": "Trajanje objave",
      "duration_2_weeks": "2 tjedna (naknada: 0 NXT)",
      "duration_4_weeks": "4 tjedna (naknada: 0 NXT)",
      "item_quantity": "Količina",
      "header_price_conversion": "NXT Tečajni Pretvarač",
      "text_price_conversion": "NXT cijena u ostalim valutama: ",
      "converting": "Pretvaram...",
      "header_price_conversion_error": "Greška pretvarnja",
      "text_price_conversion_error": "Dogodila se greška pri pretvaranju.",
      "menu_help": "Pomoć",
      "menu_tutorials": "Uputstva",
      "menu_about": "O FreeMarketu",
      "menu_escrow": "Pružatelj usluga",
      "menu_converter": "Nxt Konverter",
      "header_language": "Jezik",
      "account_details": "Detalji Računa",
      "quantity_purchased": "Kupljena količina",
      "header_your_pending_sales": "Prodano na čekanju",
      "menu_your_pending_sales": "Prodano i na čekanju",
      "menu_your_active_items": "Aktivno u prodaji",
      "header_all_your_active_items": "Aktivne prodaje",
      "pending_sales_menu_header": "Imate prodane predmete",
      "pending_sales_menu_view_all": "Pogledaj prodane predmete",
      "message_to_escrow_provider": "Poruka pružatelju usluga",
      "account_number": "NXT Broj Računa",
      "account_number_welcome": "Upišite svoj broj NXT Računa. Ovo omogućuje FreeMarket-u da raspozna Vaše predmete na prodaji i da prikaže stanje NXT Računa. Lozinka NXT Računa NIJE POTREBNA.",
      "account_number_header_login": "Broj Računa",
      "button_account_number": "Upiši Broj Računa",
      "error_account_number": "Potreban je broj Vašeg NXT Računa.",
      "alert_1": ""
    }
  },
  da: {
    translation: {
      "menu_home": "Hjem",
      "menu_buy": "Køb",
      "menu_sell": "Sælg",
      "menu_view_all": "Se alle varer",
      "menu_search_title": "Søg efter varenavn",
      "menu_search_category": "Søg efter varekategori",
      "menu_search_tag": "Søg efter 'tag'",
      "menu_search_seller": "Søg sælgers ID",
      "menu_search_item": "Søg efter vare ID",
      "menu_view_purchases": "Se dine indkøb",
      "menu_list_new": "Tilføj ny vare",
      "menu_view_items": "Se dine varer",
      "menu_login_button": "Log ind",
      "menu_login_text": "Log ind med din private kode.",
      "menu_login": "Log ind",
      "header_login": "Log ind",
      "login_welcome": "Du kan gemme din private kode og se saldoen på din konto ved at logge ind på FreeMarket. Indtast den private kode til din konto nedenfor.",
      "secret_phrase": "Privat kode",
      "placeholder_required": "påkrævet",
      "placeholder_optional": "valgfrit",
      "image_url_help": "Billed URL hjælp",
      "image_url_help_para1": "Når du bruger FreeMarket, kan du inkludere op til 4 billed URL'er. Din varebeskrivelse gemmes i NXT blockchain, men billederne gør ikke, så de skal uploades til en anden placering på internettet. Denne placering, i form af en URL, kan inkluderes i din registrering.",
      "image_url_help_para2": "Blockchain'en værner om dit privatliv, men placeringen af dine billeder kan afsløre din identitet, så det er vigtigt at uploade dine billeder til en placering, der vil bevare din anonymitet. Mange internettjenester vil gøre dette, og nogle af tjenesterne er optegnet nedenfor - betragt ikke dette som en endelig godkendelse af dem. Du bør selv omhyggeligt undersøge og vælge hvilken tjeneste du vil stole på. Husk, at det kun er dig selv, der kan værne om dit privatliv.",
      "image_url_help_para3": "Brug kun tjenester du er sikker på, at du kan stole på. Hvis du ikke ved hvad du gør, skal du ikke medtage billeder i din registrering.",
      "image_url_help_para4": "Billeder skal være 200 pixels x 200 pixels. Billeder i andre størrelser vil blive ændret til 200x200 ved visning.",
      "shipping_help": "Hjælp til Leveringsmetoder",
      "shipping_help_para_1": "Med FreeMarket kan du inkludere op til 3 forskellige leveringsmetoder, hver med sin pris. Giv hver leveringsmetode et navn, som er let forståeligt for din kunde, f.eks. \"DHL til Nordamerika\" og giv metoden en pris i NXT.",
      "shipping_help_para_2": "Hvis du har indtastet dine mulige leveringsmetoder, vil køberen skulle vælge en af dem, og prisen på den valgte metode føjes automatisk til den samlede pris for din vare. Alternativt kan du inkludere forsendelsesomkostningen i din varepris og registrere din vare uden at tilføje valg af leveringsmetode.",
      "tag1": "tag 1",
      "tag2": "tag 2",
      "tag3": "tag 3",
      "image1": "billede 1",
      "image2": "billede 2",
      "image3": "billede 3",
      "shipping_method_name": "Navn på leveringsmetode",
      "shipping_cost_in_nxt": "Forsendelsens pris i NXT",
      "button_login": "Log ind",
      "header_current_account_info": "Aktuel konto information",
      "account_id": "Konto ID",
      "numeric_account_id": "Numerisk konto ID",
      "change_account_text": "Hvis du vil skifte til en anden NXT konto i FreeMarket, kan du indtaste din private kode til kontoen nedenfor.",
      "button_change_account_id": "Skift konto ID",
      "button_log_out": "Log ud",
      "header_list_new_item": "Registrer ny vare",
      "item_title": "Varenavn",
      "category": "Kategori",
      "price": "Pris",
      "total_price": " Pris: NXT ",
      "main_image_url": "Billed URL",
      "description": "Beskrivelse",
      "decsription_field": "Max 300 anslag",
      "optional_item_tags": "Varens 'tags' (valgfrit)",
      "optional_additional_image_urls": "Supplerende billed URL'er (valgfrit)",
      "optional_shipping_methods": "Leveringsmetoder (valgfrit)",
      "button_post_item": "Udgiv vare",
      "header_log_in_required": "Log ind er påkrævet",
      "log_in_notice_text": "Denne funktion kræver, at du er logget ind. Indtast din private kode til din konto nedenfor.",
      "header_search_by_category": "Søg efter varekategori",
      "image": "Billede",
      "status": "Status",
      "header_search_by_item_id": "Søg efter vare ID",
      "header_search_by_item_title": "Søg efter varenavn",
      "item_id": "Vare ID",
      "button_search": "Søg",
      "button_back_to_search": " Tilbage til søgning",
      "seller_id": "Sælger ID",
      "price_with_nxt": " Pris: NXT ",
      "expiration": "Udløber",
      "tags": "Tags",
      "shipping_address": "Leveringsadresse",
      "shipping_method": "Forsendelsesmetode",
      "shipping_address_required": "En leveringsadresse er påkrævet. Husk alle relevante oplysninger, såsom dit land. Din leveringsadresse vil blive krypteret.",
      "message_to_seller": "Besked til sælger",
      "message_from_buyer": "Besked fra køber",
      "message_to_buyer": "Besked til sælger",
      "placeholder_message_to_buyer": "Valgfrit. Din besked vil blive krypteret.",
      "placeholder_message_to_seller": "Valgfrit. Din besked vil blive krypteret.",
      "button_buy_for_nxt": "Køb for NXT",
      "header_search_by_seller_id": "Søg efter sælger ID",
      "header_search_by_tag": "Søg efter 'tag'",
      "header_all_items": "Alle varer",
      "header_all_your_items": "Alle dine varer",
      "header_all_your_purchases": "Alle dine indkøb",
      "buyer_id": "Sælger ID",
      "sold_date": "Solgt",
      "amount_received": "Beløb modtaget",
      "button_cancel_listing": "Annuller vare",
      "button_finalize_purchase": "Færdiggør køb",
      "button_reject_purchase": "Afvis køb",
      "antiques": "Antikviteter",
      "art": "Kunst",
      "baby": "Børn",
      "books": "Bøger",
      "business": "Forretning",
      "industrial": "Industrielt",
      "cameras": "Kameraer",
      "cell_phones": "Mobil telefoner",
      "clothing": "Tøj",
      "coins": "Mønter og sedler",
      "collectibles": "Samlerobjekter",
      "computers": "Computere",
      "consumables": "Forbrug",
      "electronics": "Anden elektronik",
      "crafts": "Håndværk",
      "dolls": "Dukker og bamser",
      "dvds": "DVD\'er og film",
      "entertainment": "Underholdning Memorabilia",
      "everything_else": "Alt andet",
      "food_drink": "Mad og drikke",
      "gift_cards": "Gavekort og kuponer",
      "health_beauty": "Helbred og skønhed",
      "home_garden": "Hus og have",
      "jewelry": "Smykker og ure",
      "music": "Musik",
      "instruments": "Musikinstrumenter",
      "networking": "Networking",
      "pets": "Til husdyr",
      "pottery": "Keramik og brugskunst",
      "real_estate": "Ejendom",
      "self_defense": "Selvforsvar",
      "services": "Services",
      "sporting_goods": "Sport",
      "sports_memo": "Sport Memorabilia",
      "stamps": "Frimærker",
      "tickets": "Billetter",
      "toys": "Legetøj og hobby",
      "travel": "Rejse",
      "video_games": "Gaming",
      "error_secret_phrase": "Din kontos private kode er påkrævet.",
      "select_language": "Vælg sprog nedenfor.",
      "error_price": "Prisen må kun indeholde tal og én decimal.",
      "error_title_required": "Et varenavn er påkrævet.",
      "error_category_required": "En varekategori er påkrævet.",
      "error_price_required": "En pris på din vare er påkrævet.",
      "error_description_required": "En varebeskrivelse er påkrævet.",
      "post_successful_part1": "Du har registreret vare nr.: ",
      "post_successful_part2": "BEMÆRK: Det kan tage et par minutter før din vare vises.",
      "error_message_too_long": "FEJL i registreringen. Din vareregistrering er for lang. Gør venligst din varebeskrivelse eller dine billed URL\'er kortere.",
      "post_failure": "FEJL i registreringen. Begrundelse:",
      "logged_in_account": "Du er logget ind med følgende konto:",
      "rs_account_id": "Reed-Solomon konto ID",
      "account_balance": "Konto balance",
      "error_shipping_method": "Du skal vælge en leveringsmetode.",
      "error_shipping_address": "Du skal indtaste en leveringsadresse.",
      "select_shipping": "Vælg leveringsmetode (påkrævet)",
      "success_purchase_part1": "Du har købt vare nr. ",
      "success_purchase_part2": "",
      "purchase_failure": "FEJL: Varekøbet blev ikke gennemført.",
      "sold": "Solgt",
      "available": "Tilgængelig",
      "canceled": "Annulleret",
      "pending": "Afventer",
      "no_message": "Ingen besked.",
      "success_finalize_purchase": "Sådan! Du har købt varen.",
      "failure_finalize_purchase": "FEJL: Varekøbet er ikke færdiggjort.",
      "success": "Succes!",
      "success_cancel": "Du har annulleret din vareregistrering.",
      "failure_cancel": "FEJL: Din vareregistrering blev ikke annulleret.",
      "localized_website": "http://www.nxtfreemarket.com/index_da.html",
      "welcome_text1": "Køb og sælg varer frit, globalt og privat med NXT FreeMarket. FreeMarket registrerer alle varer i NXT\'s blockchain, så ingen central tjeneste har adgang til dine personlige oplysninger, og markedspladsen kan ikke lukkes ned, da der ikke er nogen \"single-point of failure\" i FreeMarkets system.",
      "welcome_text2": "Beskeder mellem køber og sælger er krypteret med NXT\'s indbyggede \"public key\" krypteringssystem. Ingen personlige oplysninger eksponeres i ukrypteret form.",
      "welcome_text3": "Prisen for at registrere en vare i FreeMarket er kun 7,77 NXT, hertil kommer et gebyr som skal betales, når du interagerer med blockchain\'en. Hver interaktion koster 1 NXT, så en vareregistrering, modtagelse af betaling, og kommunikation med din køber vil koste under 10 NXT i alt. Der tages ingen procenter af den endelige salgspris.",
      "welcome_text4.": "Omkostningerne ved at bruge FreeMarket som en shopper er endnu lavere. Du betaler kun for transaktionen over netværket, så et køb kan koste så lidt som 1 NXT i gebyr.",
      "welcome_text4": "Prisen for at bruge FreeMarket som køber er endnu lavere. Du betaler kun for interaktionen med blockchain\'en, så et køb kan koste så lidt som 1 NXT i gebyr.",
      "welcome_text5": "NXT FreeMarket blev skabt af et internationalt team af udviklere, som er dedikerede til at bevare og udvide din ret til at handle frit og fredeligt uden indblanding udefra.",
      "welcome_text6": "Vi håber, at FreeMarket vil hjælpe dig til at drage fordel af de muligheder, som en prisbillig, global og censur-resistent markedsplads kan tilbyde verden.",
      "button_list_again": "Gentegn registreringen",
      "language_button": "Dansk",
      "enter_escrow_address": "Indtast din escrow udbyders NXT konto ID",
      "yes": "ja",
      "no": "nej",
      "missing_title": "Titel mangler",
      "error_title_required": "Giv din vare en titel.",
      "missing_price": "Pris mangler",
      "error_price_required": "Indtast prisen på din vare.",
      "missing_description": "Beskrivelse mangler",
      "error_description_required": "Indtast en beskrivelse af din vare.",
      "use_escrow": "Brug escrow?",
      "invalid_escrow_address": "Ugyldig escrow konto ID",
      "error_invalid_ecsrow_address": "Ugyldigt NXT konto ID. Tjek venligst om du har indtastet adressen korrekt.",
      "button_processing": "Behandler...",
      "from_nxt": "Fra NXT",
      "to_nxt": "Til NXT",
      "select_target_currency": "Vælg hvilken valuta du vil konvertere til",
      "us_dollar": "US dollars",
      "euro": "Euro",
      "value_to_convert": "Beløb som skal konverteres",
      "button_convert": "Beregn",
      "select_starting_currency": "Vælg din start valuta",
      "converted_value": "Konverteret beløb, cirka ",
      "reject_sale_success_message": "Du har afvist at sælge denne vare.",
      "reject_sale_failure_message": "FEJL: Salget blev IKKE afvist.",
      "error_webstorage": "Beklager, din browser understøtter ikke Web Storage.",
      "bug_report": "Fejlrapport",
      "supported_market_version": "Understøttet markedsversion",
      "version": "Version",
      "nrs_version": "NRS Version",
      "market_version": "Markedsversion",
      "reporting_bugs": "Rapporter fejl",
      "bug_report_tech_info": "Tekniske oplysninger, der vil være nyttige, når der rapporteres fejl:",
      "report_bugs_to": "Rapporter fejl til bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Fejl: Sørg for at NXT softwaren kører.",
      "error_no_listing": "Ingen varer funded",
      "error_item_id_required": "Et varenummer er påkrævet.",
      "item_relisted_as": "Du har genopslået din vare som varenummer:",
      "note_few_minutes": "BEMÆRK: Det vil tage et par minutter før din vare er synlig.",
      "button_relist_item": "Genopslå vare",
      "item_received": "Vare modtaget",
      "item_not_received": "Varen er ikke modtaget",
      "success_marked_received": "Perfekt! Du har markeret denne vare som modtaget og har derved fuldført escrow processen. Sælgeren vil blive betalt.",
      "failure_marked_received": "FEJL: Varen blev IKKE markeret som modtaget og escrow processen vil ikke blive fuldført. Sælgeren vil ikke modtage betaling.",
      "success_marked_not_received": "Du har markeret denne vare som ikke modtaget. Din escrow udbyder vil blive underrettet.",
      "failure_marked_not_received": "FEJL: Denne vare blev IKKE markeret som værende ikke modtaget.",
      "escrow_help_para_1": "Escrow gør din køber tryg ved en handel. Varer med escrow bliver vist med et ikon, der markerer over for handlende, at varen kan købes gennem escrow.",
      "escrow_help_para_2": "Når en vare med escrow købes, sendes betalingen for denne til escrow udbyderen. Når køberen har modtaget sin vare og er tilfreds, markerer køberen dette med et klik, hvorefter betalingen frigives og sendes til sælgeren.",
      "escrow_help_para_3": "Hvis en køber IKKE modtager sin vare eller er utilfreds med den, vil køberen kunne indikere dette, og escrow udbyderen vil træde til for at løse tvisten.",
      "escow_help_para_4": "Escrow services muliggøres af Freemarkets Escrow System. Freemarket godkender ikke escrow udbyderne; Gør din egen research. Tjek flere escrow udbydere og deres online omdømme, før du vælger en.",
      "escrow_help_para_5": "Indtast din escrow udbyders NXT konto ID i formatet: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "Gebyret for at opslå denne vare er NXT ",
      "header_listing_duration": "Varighed",
      "duration_2_weeks": "2 uger (gebyr: 0 NXT)",
      "duration_4_weeks": "4 uger (gebyr: 0 NXT)",
      "item_quantity_buy": "Antal",
      "item_quantity_sell": "Antal til salg",
      "header_price_conversion": "Omtrentlig omregning",
      "text_price_conversion": "Her er prisen på NXT i andre valuta: ",
      "header_price_conversion_error": "Konverteringsfejl",
      "text_price_conversion_error": "Der skete en fejl ved modtagelsen af omregningsraten på NXT.",
      "menu_help": "Hjælp",
      "menu_tutorials": "Brugsvejledning",
      "menu_about": "Om Freemarket",
      "menu_escrow": "Escrow udbydere",
      "menu_converter": "NXT Omregner",
      "header_language": "Sprog",
      "account_details": "Konto detaljer",
      "quantity_purchased": "Antal modtaget",
      "header_your_pending_sales": "Dine uafsluttede handler",
      "menu_your_pending_sales": "Se dine uafsluttede handler",
      "menu_your_active_items": "Se dine aktive varer",
      "header_all_your_active_items": "Alle dine aktive varer",
      "pending_sales_menu_header": "Du har uafsluttede salg",
      "pending_sales_menu_view_all": "Se alle uafsluttede salg",
      "message_to_escrow_provider": "Besked til escrow udbyder",
      "account_number": "NXT konto ID",
      "account_number_welcome": "Indtast dit NXT konto ID nedenfor. Herved kan Freemarket se hvilke varer du har til salg og vise din NXT saldo. Din private NXT adgangskode er IKKE påkrævet.",
      "account_number_header_login": "Konto ID",
      "button_account_number": "Send konto ID",
      "error_account_number": "Dit NXT konto ID er påkrævet.",
      "alert_1": ""
    }
  },
  el: {
    translation: {
      "menu_home": "Αρχική",
      "menu_buy": "Αγόρασε",
      "menu_sell": "Πούλησε",
      "menu_view_all": "Όλα τα προΪόντα",
      "menu_search_title": "Αναζήτηση ανά τίτλο",
      "menu_search_category": "Αναζήτηση ανά κατηγορία",
      "menu_search_tag": "Αναζήτηση ανά ετικέτα",
      "menu_search_seller": "Αναζήτηση ανά ταυτότητα (ID) πωλητή",
      "menu_search_item": "Αναζήτηση ανά ταυτότητα (ID) προΪόντος",
      "menu_view_purchases": "Οι αγορές σου",
      "menu_list_new": "Καταχώρηση νέου προΪόντος",
      "menu_view_items": "Τα προΪόντα σου",
      "menu_login_button": "Είσοδος",
      "menu_login_text": "Είσοδος για αποθήκευση της μυστικής σας φράσης.",
      "menu_login": "Είσοδος",
      "header_login": "Είσοδος",
      "login_welcome": "Έχετε τη δυνατότητα (προαιρετικά) να πραγματοποιήσετε είσοδο στο FreeMarket για την αποθήκευση της μυστικής σας φράσης και για να ελέγξετε το υπόλοιπο του λογαριασμού σας. Εισάγετε τη μυστική φράση του λογαριασμού σας παρακάτω.",
      "secret_phrase": "Μυστική Φράση",
      "placeholder_required": "Υποχρεωτικό",
      "placeholder_optional": "Προαιρετικό",
      "image_url_help": "Εικόνα URL Βοήθεια",
      "image_url_help_para1": "Χρησιμοποιώντας το FreeMarket, έχεις τη δυνατότητα να συμπεριλάβεις μέχρι και 4 URLs για τις εικόνες σου. Ενώ το προΪόν σου είναι στη λίστα του NXT Blockchain, οι εικόνες δεν αποθηκεύονται εκεί, συνεπώς χρειάζονται έναν ιστιότοπο για να αποθηκευτούν, αυτός ο ιστιότοπος, με τη μορφή του URL, θα μπορεί να συμπεριληφθεί στη λίστα σου.",
      "image_url_help_para2": "Το Blockchain διατηρεί την ιδιωτικότητά σου, αλλά η τοποθεσία των εικόνων των προΪόντων σου μπορεί ακούσια να αποκαλύψει την ταυτότητά σου, επομένως είναι σημαντικό να ανεβάσεις τις εικόνες σου σε έναν ιστιότοπο  που θα διατηρεί την ανωνυμία σου. Υπάρχει ποικιλία υπηρεσιών στο internet που θα αποθηκεύσουν ανώνυμα τις εικόνες σου. Θα χρειαστεί να ψάξεις για να καταλήξεις σε μια υπηρεσία που θα εμπιστεύεσαι. Μερικές από αυτές τις υπηρεσίες αναγράφονται παρακάτω, αλλά η συγκατάταξή τους εδώ δεν υποστηρίζεται. Πρέπει να θυμάσαι ότι μόνο εσύ μπορείς να διατηρήσεις την ιδιωτικότητά σου.",
      "image_url_help_para3": "Χρησιμοποίησε μόνο τις υπηρεσίες που είσαι βέβαιος πως εμπιστεύεσαι. Αν δεν είσαι σίγουρος για κάποια υπηρεσία, τότε μην συμπεριλάβεις εικόνες στη λίστα σου.",
      "image_url_help_para4": "Οι εικόνες πρέπει να είναι 200 pixels επί 200 pixels. Οι εικόνες με άλλες διαστάσεις θα μετασχηματίζονται, σύμφωνα με τις παραπάνω διαστάσεις για την έκθεσή τους.",
      "shipping_help": "Shipping Options Help",
      "shipping_help_para_1": "When using FreeMarket, you may include up to 3 shipping options, each with a different price. Give each shipping cost a name that will be easily understandable by your buyer, such as 'DHL to North America' and give the option a price in NXT.",
      "shipping_help_para_2": "If you have shipping options set, the buyer will be required to choose one, and the cost you assign to the shipping method will automatically be added to the total price of your item. Alternatively, you are free to include shipping in your item's price, and list your item without these shipping options.",
      "tag1": "Ετικέτα 1",
      "tag2": "Ετικέτα 2",
      "tag3": "Ετικέτα 3",
      "image1": "Εικόνα 1",
      "image2": "Εικόνα 2",
      "image3": "Εικόνα 3",
      "shipping_method_name": "Όνομα μεθόδου αποστολής",
      "shipping_cost_in_nxt": "Kόστος αποστολής σε NXT",
      "button_login": "Είσοδος",
      "header_current_account_info": "Τρέχων πληροφορίες λογαριασμού",
      "account_id": "ID λογαριασμού",
      "numeric_account_id": "Αριθμητικό ID λογαριασμού",
      "change_account_text": "Αν επιθυμείς να αλλάξεις το NXT  λογαριασμό που χρησιμοποιείς με το FreeMarket, έχεις τη δυνατότητα να το κάνεις εισάγοντας τη μυστική φράση του λογαριασμού σου παρακάτω.",
      "button_change_account_id": "Άλλαξε το ID του λογαριασμού σου",
      "button_log_out": "Έξοδος",
      "header_list_new_item": "Εισαγωγή νέου προϊόντος",
      "item_title": "Τίτλος του προΪόντος",
      "category": "Κατηγορία",
      "price": "Τιμή",
      "total_price": " Τιμή: NXT ",
      "main_image_url": "Κύρια εικόνα URL",
      "description": "Περιγραφή",
      "decsription_field": "300 χαρακτήρες max",
      "optional_item_tags": "Προαιρετικές ετικέτες προΪόντος",
      "optional_additional_image_urls": "Προαιρετική προσθήκη εικόνων URLs",
      "optional_shipping_methods": "Προαιρετικές μέθοδοι αποστολής",
      "button_post_item": "Ανάρτηση προΪόντος",
      "header_log_in_required": "Είσοδος υποχρεωτική",
      "log_in_notice_text": "Αυτή η λειτουργία απαιτεί την είσοδό σου. Παρακαλώ καταχώρησε τη μυστική φράση του λογαριασμού σου παρακάτω.",
      "header_search_by_category": "Αναζήτηση ανά κατηγορία προΪόντος",
      "image": "Εικόνα",
      "status": "Κατάσταση",
      "header_search_by_item_id": "Αναζήτηση ανά ID προΪόντος",
      "header_search_by_item_title": "Αναζήτηση ανά τίτλο προΪόντος",
      "item_id": "ID προΪόντος",
      "button_search": "Αναζήτηση",
      "button_back_to_search": " Πίσω στην αναζήτηση",
      "seller_id": "ID του πωλητή",
      "price_with_nxt": " Τιμή: NXT ",
      "expiration": "Λήξη",
      "tags": "Ετικέτες",
      "shipping_address": "Διεύθυνση αποστολής",
      "shipping_method": "Μέθοδος αποστολής",
      "shipping_address_required": "Η διεύθυνση αποστολής ειναι υποχρεωτική. Βεβαιωθείτε οτι έχετε συμπεριλάβει όλες τις απαραίτητες πληροφορίες, π.χ. τη χώρα σας. Η διεύθυνσή σας θα κωδικοποιηθεί (θα παραμείνει ιδιωτική).",
      "message_to_seller": "Μήνυμα στον πωλητή",
      "message_from_buyer": "Μήνυμα από τον αγοραστή",
      "message_to_buyer": "Μήνυμα στον αγοραστή",
      "placeholder_message_to_buyer": "Προαιρετικά. Το μήνυμά σας θα κωδικοποιηθεί (θα παραμείνει ιδιωτικό).",
      "placeholder_message_to_seller": "Προαιρετικά. Το μήνυμα σας θα κωδικοποιηθεί (θα παραμείνει ιδιωτικό).",
      "button_buy_for_nxt": "Αγοράστε για NXT",
      "header_search_by_seller_id": "Αναζήτηση ανά ID πωλητή",
      "header_search_by_tag": "Αναζήτηση ανά ετικέτα",
      "header_all_items": "Όλα τα προΪόντα",
      "header_all_your_items": "Όλα τα προΪόντα σας",
      "header_all_your_purchases": "Όλες οι αγορές σας",
      "buyer_id": "ID αγοραστή",
      "sold_date": "Ημερομηνία πώλησης",
      "amount_received": "Ποσότητα που έλαβα",
      "button_cancel_listing": "Ακύρωση καταχώρησης",
      "button_finalize_purchase": "Οριστικοποίηση αγοράς",
      "button_reject_purchase": "Απόρριψη αγοράς",
      "antiques": "Aντίκες",
      "art": "Τέχνη",
      "baby": "Βρέφη",
      "books": "Βιβλία",
      "business": "Επιχείρηση",
      "industrial": "Βιομηχανία",
      "cameras": "Cameras",
      "cell_phones": "Κινητά Τηλέφωνα",
      "clothing": "Ρουχισμός",
      "coins": "Νομίσματα και Χαρτονομίσματα",
      "collectibles": "Συλλεκτικά",
      "computers": "Υπολογιστές",
      "consumables": "Αναλώσιμα",
      "electronics": "Ηλεκτρονικά",
      "crafts": "Δεξιοτεχνίες-Κατασκευές",
      "dolls": "Κούκλες και λούτρινα",
      "dvds": "DVDs και Ταινίες",
      "entertainment": "Ψυχαγωγία-αναμνηστικά",
      "everything_else": "Διάφορα",
      "food_drink": "Φαγητό και Ποτό",
      "gift_cards": "Κάρτες δώρων και Κουπόνια",
      "health_beauty": "Υγεία και Ομορφιά",
      "home_garden": "Σπίτι και Κήπος",
      "jewelry": "Κοσμήματα και Ρολόγια",
      "music": "Μουσική",
      "instruments": "Μουσικά όργανα",
      "networking": "Δικτύωση",
      "pets": "Κατοικίδια",
      "pottery": "Κεραμικά και Γυαλί",
      "real_estate": "Ακίνητη περιουσία",
      "self_defense": "Αυτοάμυνα",
      "services": "Ειδικότητες- υπηρεσίες",
      "sporting_goods": "Αθλητικά ήδη",
      "sports_memo": "Αθλητικά αναμνηστικά",
      "stamps": "Γραμματόσημα",
      "tickets": "Εισητήρια",
      "toys": "Παιχνίδια και Χόμπι",
      "travel": "Ταξίδια",
      "video_games": "Video Games",
      "error_secret_phrase": "Απαιτείται η μυστική φράση του λογαριασμού σας.",
      "select_language": "Επιλέγξτε γλώσσα παρακάτω.",
      "error_price": "Οι τιμές πρέπει να περιέχουν αριθμούς και ένα δεκαδικό ψηφίο.",
      "error_title_required": "Απαιτείται τίτλος για το προΪόν σας.",
      "error_category_required": "Απαιτείται κατηγορία για το προΪόν σας.",
      "error_price_required": "Απαιτείται τιμή για το προΪόν σας.",
      "error_description_required": "Απαιτείται μία περιγραφή για το προΪόν σας.",
      "post_successful_part1": "Αναρτήσατε το προΪόν με τον αριθμό: ",
      "post_successful_part2": "ΣΗΜΕΙΩΣΗ: Το προΪόν σας θα χρειαστεί μερικά λεπτά μέχρι να εμφανιστεί.",
      "error_message_too_long": "Αποτέλεσμα: ΑΠΟΤΥΧΙΑ ανάρτησης προΪόντος. Η καταχώρηση του προϊόντος σας είναι μεγάλη. Παρακαλώ κάνετε την περιγραφή του προΪόντος ή τα URLs της εικόνας μικρότερα.",
      "post_failure": "Αποτέλεσμα: ΑΠΟΤΥΧΙΑ καταχώρησης προϊόντος. Αιτιολογία:",
      "logged_in_account": "Έχετε εισέλθει με τον ακόλουθο λογαριασμόt:",
      "rs_account_id": "Reed-Solomon ID λογαριασμού",
      "account_balance": "Υπόλοιπο λογαριασμού",
      "error_shipping_method": "Πρέπει να επιλέξετε μέθοδο αποστολής.",
      "error_shipping_address": "Πρέπει να εισάγετε τη διεύθυνση αποστολής.",
      "select_shipping": "Απαιτείται η επιλογή μεθόδου αποστολής",
      "success_purchase_part1": "Αγοράσατε το προΪόν με τον αριθμό ",
      "success_purchase_part2": "",
      "purchase_failure": "Αποτέλεσμα: ΑΠΟΤΥΧΙΑ αγοράς προΪόντος.",
      "sold": "Πωλήθηκε",
      "available": "Διαθέσιμο",
      "canceled": "Ακύρωση",
      "pending": "Εκκρεμής",
      "no_message": "Κανένα μήνυμα.",
      "success_finalize_purchase": "Επιτυχία: Οριστικοποιήσατε την αγορά του προΪόντος.",
      "failure_finalize_purchase": "Αποτέλεσμα: ΑΠΟΤΥΧΙΑ οριστικοποίησης της αγοράς.",
      "success": "Επιτυχία",
      "success_cancel": "Έχετε ακυρώσει το προΪόν σας.",
      "failure_cancel": "Αποτέλεσμα: ΑΠΟΤΥΧΙΑ ακύρωσης προϊόντος.",
      "localized_website": "http://www.nxtfreemarket.com/index_el.html",
      "welcome_text1": "Εμπορεύσου ελεύθερα, παγκόσμια και ανώνυμα με το NXT Freemarket. Το Freemarket χρησιμοποιεί το NXT Blockchain (καταγραφές συναλλαγών), για την αποθήκευση των προΪόντων προς πώληση, ώστε να μην υπάρχει κάποια κεντρική υπηρεσία που να αποθηκεύει τα προσωπικά σας δεδομένα και η αξιοπιστία του δεν επιτρέπει καμία περίπτωση αποτυχίας του συστήματος Freemarket.",
      "welcome_text2": "Η επικοινωνία μεταξύ αγοραστή και πωλητή είναι αποκρυπτογραφημένη, χρησιμοποιώντας το public key cryptography, το οποίο είναι ενσωματωμένο στο NXT. Καμία προσωπική πληροφορία δε θα εκτίθεται σε μη αποκρυπτογραφημένη μορφή.",
      "welcome_text3": "Η καταχώρηση ενός προΪόντος στο Freemarket κοστίζει μόνο 7.77 NXT και οι άλλες χρεώσεις αφορούν τη χρήση του blockchain - 1 ΝΧΤ ανα συναλλαγή. Ένας «κύκλος» καταχώρησης κάποιου αντικειμένου και η επικοινωνία με τον αγοραστή ενδέχεται να κοστίζει λιγότερο απο 10 NXT, χωρίς επιπλέον χρεώσεις.",
      "welcome_text4": "Η χρησιμοποίηση του Freemarket σαν αγοραστής κοστίζει ακόμη λιγότερο. Χρεώνεσαι μόνο τις συναλλαγές του δικτύου π.χ. τα έξοδα για την αγορά κάποιου προΪόντος απο το Freemarket θα κοστίζει μόνο 1 NXT.",
      "welcome_text5": "Το NXT Freemarket δημιουργήθηκε από διεθνή ομάδα προγραμματιστών, αφοσιωμένους στη διεύρυνση και στη διατήρηση του δικαιώματος να συναλλάσσεσαι ειρηνικά δίχως επιπλοκές.",
      "welcome_text6": "Ελπίζουμε πως το Freemarket θα σας επιτρέψει να αδράξετε τις ευκαιρίες ενός παγκόσμιου, φθηνού και ανώνυμου αγοραστικού χώρου.",
      "button_list_again": "List Again",
      "language_button": "ελληνικά",
      "enter_escrow_address": "Εισήγαγε την NXT διεύθυνση του εγγυητή σου",
      "yes": "ΝΑΙ",
      "no": "ΟΧΙ",
      "missing_title": "Λείπει Τίτλος",
      "error_title_required": "Eνας τίτλος χρείαζεται για το αντικείμενο σας.",
      "missing_price": "Λείπει Τιμή",
      "error_price_required": "Μία τιμή χρειάζεται για το αντικείμενο σας.",
      "missing_description": "Λείπει Περιγραφή",
      "error_description_required": "Mια περιγραφή χρειάζεται για το αντικείμενος σας.",
      "use_escrow": "Χρησιμοποίησε Χρηματική εγγύηση?",
      "invalid_escrow_address": "‘Ακυρη ΝΧΤ διεύθυνση χρηματικής εγγύησης. παρακαλώ ελέγξτε.",
      "error_invalid_ecsrow_address": "‘Ακυρη ΝΧΤ διεύθυνση χρηματικής εγγύησης. παρακαλώ ελέγξτε.",
      "button_processing": "πεξεργασία...",
      "from_nxt": "Απο NXT",
      "to_nxt": "Στο NXT",
      "select_target_currency": "Επέλεξε το συγκεκριμένο συνάλλαγμα σου.",
      "us_dollar": "US Δολλάριο",
      "euro": "Ευρό",
      "value_to_convert": "Αξία για μετατροπή",
      "button_convert": "Μετατροπή",
      "select_starting_currency": "Επέλεξε το αρχικό σου συνάλλαγμα.",
      "converted_value": "Η μετατροποποιημένη αξία είναι:",
      "reject_sale_success_message": "Επιτυχία:’Εχεις απορίψει την πώληση αυτού του προΪόντος.",
      "reject_sale_failure_message": "Αποτέλεσμα: Αποτυχία απόριψης πώλησης.",
      "error_webstorage": "Λυπούμαστε, ο διακομιστής σας δεν υποστηρίζει αποθηκευτικό χώρο ιστιοτόπου.",
      "bug_report": "Αναφορά ιού",
      "supported_market_version": "Υποστηριζώμενος τύπος αγοράς",
      "version": "Τύπος",
      "nrs_version": "NRS Τύπος",
      "market_version": "τύπος αγοράς",
      "reporting_bugs": "Αναφέρει Ιούς",
      "bug_report_tech_info": "Τεχνικές πληροφορίες που θα είναι χρήσιμες στην αναφορά των ιών:",
      "report_bugs_to": "Αναφορά ιών στο bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Λάθος: Παρακαλώ εξασφαλίστε οτι το NXT λειτουργεί.",
      "error_no_listing": "Δεν έχει βρεθεί καταγραφή",
      "error_item_id_required": "Χρειάζονται τα στοιχεία ενος προΪόντος.",
      "item_relisted_as": "‘Eχεις καταχωρήσει ξανά το προϊόν σου ώς αριθμό προϊόντος:",
      "note_few_minutes": "ΣΗΜΕΙΩΣΗ: Η εμφάνιση του προίόντος είναι πιθανόν να διαρκέση κάποια λεπτά.",
      "button_relist_item": "Επανακαταχώρηση προΪόντος",
      "item_received": "Προίον παρελήφθη",
      "item_not_received": "Προίόν δεν παρελήφθη",
      "success_marked_received": "Επιτυχία: Εχεις επιλέξει αυτό το προΪόν ως παραλαβώμενο και ολοκληρωμένη την διαδικασία της χρηματικής εγγύησης. Ο πωλητής θα πληρωθεί.",
      "failure_marked_received": "Αποτέλεσμα: Αποτυχία στην επιλογή του προϊόντος ως παραλαβώμενο και ολοκληρωμένη την διαδικασία της χρηματικής εγγύησης. Ο πωλητής δεν θα πληρωθεί.",
      "success_marked_not_received": "Επιτυχία: Εχεις επιλέξει αυτό το προϊόν ως μη παραλαβώμενο. Ο χρηματικός σου εγγυητής θα ενημερωθεί.",
      "failure_marked_not_received": "Αποτέλεσμα: Αποτυχία στην επιλογή του προϊόντος ως μη παραλαβώμενου.",
      "escrow_help_para_1": "Χρηματική εγγυηση επιτρέπει στον αγοραστή να αισθάνεται ασφαλής  να πραγματοποιήσει  μια αγορά.Ενα  προϊόν με χρηματική εγγύηση  θα εμφανίζεται  με ένα εικονίδιο για να δείχνει οτι περιλαμβάνεται χρηματική εγγύηση.",
      "escrow_help_para_2": "‘Οταν ένα προϊόν με χρηματική εγγύηση αγοράζεται, η πληρωμή  πηγαίνει πρώτα στον χρηματικό εγγυητή. Οταν ο αγοραστής έχει παραλάβει το προϊόν και πατάει το κουμπί για να εκφράσει ικανοποίηση, η πληρωμή έχει αφεθεί και αποστέλεται στον πωλητή.",
      "escrow_help_para_3": "Αν ο αγοραστής δεν έχει παραλάβει το προϊόν η είναι απογοητευμένος με αυτό, τότε ο αγοραστής θα το αναφέρει και ο χρηματικός εγγυητής θα εμπλακεί και θα επιλύσει την εμπλοκή.",
      "escow_help_para_4": "Χρηματική εγγύηση παρέχεται χρησιμοποιόντας το FreeMarket σύστημα χρηματικής εγγύησης. Πάροχοι χρηματικής εγγύησης που χρησιμοποίουν αυτό το σύστημα  δεν είναι καλύπτονται απο το FreeMarket. Παρακαλώ ψάξτε χρηματικούς εγγυητές και τις συστάσεις του πριν διαλέξετε.",
      "escrow_help_para_5": "Εισήγαγε την NXT διεύθηνση του χρηματικού εγγυητή με αυτόν τον τρόπο: ΝΧΤ-ΧΧΧΧ-ΧΧΧΧ-ΧΧΧΧ-ΧΧΧΧ.",
      "listing_fee_notice": "Η χρέωση για καταχώρηση είναι ΝΧΤ: ",
      "header_listing_duration": "Διάρκεια Καταχώρησης",
      "duration_2_weeks": "2 Εβδομάδες (χρέωση καταχώρησης: 0 NXT)",
      "duration_4_weeks": "4 εβδομάδες (χρέωση καταχώρησης: 0 ΝΧΤ)",
      "item_quantity_buy": "Ποσότητα για να αγοράσεις",
      "item_quantity_sell": "Ποσότητα για πώληση",
      "header_price_conversion": "Εκτίμιση Μετατροπής",
      "text_price_conversion": "Εδώ είναι η NXT τιμή σε άλλα συναλλάγματα: ",
      "header_price_conversion_error": "Μετατροπή λάθος",
      "text_price_conversion_error": "Υπήρξε ένα λάθος στήν ληψη του πίνακα μετατροπής του NXT.",
      "menu_help": "Boήθεια",
      "menu_tutorials": "Παράδοση",
      "menu_about": "Για το FreeMarket",
      "menu_escrow": "Παροχοί χρηματικής εγγύησης",
      "menu_converter": "ΝΧΤ Μετατροπέας",
      "header_language": "Γλώσσα",
      "account_details": "Λεπτομέριες Λογαριασμού",
      "quantity_purchased": "Ποσότητα Αγορασμένη",
      "header_your_pending_sales": "Οι εκρεμμής πωλήσεις",
      "menu_your_pending_sales": "Δες τις εκρεμμής πωλήσεις",
      "menu_your_active_items": "Δες τα ενεργά προΪόντα",
      "header_all_your_active_items": "Δες όλα τα ενεργά προΪόντα",
      "pending_sales_menu_header": "Έχεις εκρεμής πωλήσεις",
      "pending_sales_menu_view_all": "Δες όλες τις εκρεμμής πωλήσεις",
      "message_to_escrow_provider": "Μύνημα στον χρηματικό εγγυητή",
      "account_number": "ΝΧΤ αριθμός λογαριασμού",
      "account_number_welcome": "Εισήγαγε τον ΝΧΤ αριθμό λογαριασμού παρακάτω. Αυτό επιτρέπει στο FreeMarket να γνωρίζει ποιά προΪόντα για πώληση ειναι δικά σας, και να εμφανίζουν τον NXT ισολογισμό σου. Ο μυστικός σου κωδίκος δεν είναι απαραίτητος για αυτό.",
      "account_number_header_login": "Αριθμός λογαριασμού",
      "button_account_number": "Εισήγαγε τον αριθμό λογαριασμού",
      "error_account_number": "Ο ΝΧΤ αριθμός λογαριασμού είναι αναγκαίος.",
      "alert_1": ""
    }
  },
  it: {
    translation: {
      "menu_home": "Pagina Iniziale",
      "menu_buy": "Comprare",
      "menu_sell": "Vendere",
      "menu_view_all": "Vedi tutti",
      "menu_search_title": "Ricercare con il titolo",
      "menu_search_category": "Ricercare per categoria",
      "menu_search_tag": "Ricerca per parola chiave",
      "menu_search_seller": "Ricerca per venditore",
      "menu_search_item": "Ricerca per numero dell’articolo",
      "menu_view_purchases": "I miei ordini",
      "menu_list_new": "Vendi un articolo",
      "menu_view_items": "Tuoi articoli in vendita",
      "menu_login_button": "Accedere",
      "menu_login_text": "Accedi per registrare la tua password.",
      "menu_login": "Accedere",
      "header_login": "Accedere",
      "login_welcome": "Puoi, se desidera, registrarsi FreeMarket per registrare la tua password e vedere il saldo dell’account. In questo caso, inserire la password del tuo account sotto.",
      "secret_phrase": "Password",
      "placeholder_required": "richiesto",
      "placeholder_optional": "facoltativo",
      "image_url_help": "Aiuto sulle immagini",
      "image_url_help_para1": "FreeMarket ti permette di includere fino a 4 URL di immagini al tuo annuncio. L’annuncio è registrato nella catena delle transazioni NXT, ma non le immagini. Le immagini devono essere registrate in Internet (like IMGUR???) e il loro indirizzo con un URL devono essere incluse nel tuo annuncio.",
      "image_url_help_para2": "La catena di transazione NXT preserva il tuo anonimato, ma il luogo di conservazione delle tue immagini può inavvertitamente rivelare la tua identità. Numerosi servizi forniscono alloggio anonimo per le tue immagine. Puoi vedere una lista (non esaustiva) di questi siti sotto. Pero questa lista non ci impegna a garantire il tuo anonimato. Sei il solo a poter preservare la tua vita privata.",
      "image_url_help_para3": "Usi esclusivamente servizi affidabili. Se non capisci le conseguenze che le tue scelte possono comportare per la tua vita privata, sarebbe più saggio non mettere immagini.",
      "image_url_help_para4": "Tutte le immagine devono avere una taglia (dimensione) di 200 pixel su 200 pixel. Le immagine di altre dimensioni verranno ridimensionate a 200x200 per la visualizzazione.",
      "shipping_help": "Aiuto sulle opzione di spedizione",
      "shipping_help_para_1": "Quando usi FreeMarket, puoi dare fino a 3 mezzi di spedizione diversi e specificare un prezzo per ciascuno di essi. Dare a ogni mezzo di spedizione un nome facile da capire per il compratore, per esempio « DHL internazionale » e dare un costo in NXT a questo mezzo di spedizione.",
      "shipping_help_para_2": "Se inserissi diversi mezzi di spedizione, il compratore dovrebbe scegliere uno di essi. Il costo relativo sarà aggiunto al prezzo di vendita dell’articolo. Puoi anche scegliere di includere il costo di spedizione nel prezzo dell’articolo e di venderlo senza specificare il mezzo di spedizione.",
      "tag1": "parola chiave 1",
      "tag2": "parola chiave 2",
      "tag3": "parola chiave 3",
      "image1": "Immagine 1",
      "image2": "Immagine 2",
      "image3": "Immagine 3",
      "shipping_method_name": "Nome del mezzo di spedizione",
      "shipping_cost_in_nxt": "Costi di spedizione in NXT",
      "button_login": "Accedere",
      "header_current_account_info": "Informazioni sul tuo account",
      "account_id": "Nome utente",
      "numeric_account_id": "Numero utente",
      "change_account_text": "Se vuoi cambiare un account NXT esistente con FreeMarket, inserire la password di questo altro account sotto.",
      "button_change_account_id": "Cambiare utente",
      "button_log_out": "Logout",
      "header_list_new_item": "Vendi un articolo",
      "item_title": "Titolo",
      "category": "Categoria",
      "price": "Prezzo",
      "total_price": " Prezzo: NXT ",
      "main_image_url": "URL dell’immagine principale",
      "description": "Descrizione",
      "decsription_field": "Massimo 300 caratteri",
      "optional_item_tags": "Parola chiave (facoltativo)",
      "optional_additional_image_urls": "URLs Opzionale per Immagine addizionale",
      "optional_shipping_methods": "Mezzo di spedizione (facoltativo)",
      "button_post_item": "Pubblicare annuncio",
      "header_log_in_required": "Identificazione richiesta",
      "log_in_notice_text": "Devi identificarti per accedere a questa funzione. Inserisci la password qui sotto.",
      "header_search_by_category": "Ricerca per categoria",
      "image": "Immagine",
      "status": "Stato",
      "header_search_by_item_id": "Ricerca per numero dell’articolo",
      "header_search_by_item_title": "Ricerca per titolo",
      "item_id": "Numero dell’articolo",
      "button_search": "Ricercare",
      "button_back_to_search": " Torna ai risultati della ricerca",
      "seller_id": "Venditore",
      "price_with_nxt": " Prezzo: NXT ",
      "expiration": "Scadenza",
      "tags": "Parole chiave",
      "shipping_address": "Indirizzo del destinatario",
      "shipping_method": "Mezzo di spedizione",
      "shipping_address_required": "È necessario un indirizzo di spedizione. Assicuratevi di includere tutte le informazioni pertinenti, come il tuo paese. Il tuo indirizzo di spedizione sarà crittografato.",
      "message_to_seller": "Scrivere al venditore",
      "message_from_buyer": "Messaggio da parte dell’acquirente",
      "message_to_buyer": "Scrivere all’acquirente",
      "placeholder_message_to_buyer": "Facoltativo. Il tuo messaggio sarà cifrato.",
      "placeholder_message_to_seller": "Facoltativo. Il tuo messaggio sarà cifrato.",
      "button_buy_for_nxt": "Comprare con NXT",
      "header_search_by_seller_id": "Ricerca per venditore",
      "header_search_by_tag": "Ricerca per parola chiave",
      "header_all_items": "Tutti articoli",
      "header_all_your_items": "I tuoi articoli",
      "header_all_your_purchases": "Tutti i tuoi acquisti",
      "buyer_id": "Identificazione del venditore",
      "sold_date": "Venduto",
      "amount_received": "Importo ricevuto",
      "button_cancel_listing": "Cancellare l’annuncio",
      "button_finalize_purchase": "Finalizzare l’acquisto",
      "button_reject_purchase": "Rigettare l’acquisto",
      "antiques": "Antichità",
      "art": "Arte",
      "baby": "Bambino",
      "books": "Libro",
      "business": "Business",
      "industrial": "Industriale",
      "cameras": "Foto e video",
      "cell_phones": "Telefonia",
      "clothing": "Abbigliamento",
      "coins": "Valute e monete",
      "collectibles": "Collezione",
      "computers": "Informatica",
      "consumables": "Materiali di consumo",
      "electronics": "Elettronica",
      "crafts": "Fai da te",
      "dolls": "Bambole e peluche",
      "dvds": "Film e TV",
      "entertainment": "Collezione divertimento",
      "everything_else": "Tutto il resto",
      "food_drink": "Cibo e bibite",
      "gift_cards": "Buoni regalo",
      "health_beauty": "Salute e bellezza",
      "home_garden": "Casa e giardino",
      "jewelry": "Gioielli e orologi",
      "music": "Musica",
      "instruments": "Strumento musicale",
      "networking": "Networking",
      "pets": "Animali domestici",
      "pottery": "Ceramiche",
      "real_estate": "Immobiliare",
      "self_defense": "Sicurezza",
      "services": "Servizi",
      "sporting_goods": "Sport",
      "sports_memo": "Collezione sportiva",
      "stamps": "Bolli",
      "tickets": "Biglietti",
      "toys": "Giochi",
      "travel": "Viaggio",
      "video_games": "Videogiochi",
      "error_secret_phrase": "Il tuo password è necessario.",
      "select_language": "Scegliere il tuo linguaggio di sotto.",
      "error_price": "Il prezzo può contenere solo numeri e decimale.",
      "error_title_required": "Un titolo è richiesto per il tuo articolo.",
      "error_category_required": "Una categoria è necessaria per il tuo articolo.",
      "error_price_required": "Un prezzo è necessario per il tuo articolo.",
      "error_description_required": "Una descrizione è necessaria per il tuo articolo.",
      "post_successful_part1": "Hai pubblicato l’articolo numero: ",
      "post_successful_part2": "Nota : il tuo articolo può richiedere alcuni minuti per apparire.",
      "error_message_too_long": "Risultato : impossibile registrare l’annuncio. Il testo è troppo lungo. Per favore accorciare la descrizione, immagini o URL.",
      "post_failure": "Risultato : impossibile registrare l’annuncio. Ragione:",
      "logged_in_account": "Si è connessi con l’account:",
      "rs_account_id": "Identifiant RS du compte",
      "account_balance": "Saldo del tuo conto",
      "error_shipping_method": "È necessario selezionare un mezzo di spedizione.",
      "error_shipping_address": "È necessario inserire l’indirizzo del destinatario.",
      "select_shipping": "Selezionare un mezzo di spedizione (richiesto)",
      "success_purchase_part1": "Hai comprato l’articolo numero ",
      "success_purchase_part2": "",
      "purchase_failure": "Risultato : impossibile comprare l’articolo.",
      "sold": "Venduto",
      "available": "Disponibile",
      "canceled": "Annullato",
      "pending": "In corso",
      "no_message": "No messaggio.",
      "success_finalize_purchase": "Successo: hai venduto questo articolo.",
      "failure_finalize_purchase": "Risultato: l’acquisto non è riuscito.",
      "success": "Successo",
      "success_cancel": "Hai cancellato l’articolo.",
      "failure_cancel": "Errore: la soppressione dell’articolo non è riuscita.",
      "localized_website": "http://www.nxtfreemarket.com/index_it.html",
      "welcome_text1": "Commerciare liberamente, a livello globale, e privatamente con NXT FreeMarket. FreeMarket utilizza il blockchain NXT per memorizzare tutti gli oggetti in vendita, quindi non c'è un servizio centralizzato che ha i tuoi dati personali, e non esiste un singolo punto di errore per il sistema FreeMarket.",
      "welcome_text2": "I messaggi tra acquirente e venditore sono criptati utilizzando la crittografia a chiave pubblica integrata in NXT. Nessuna informazione personale è esposto in forma non crittografata.",
      "welcome_text3": "Il costo di inviare un articolo in FreeMarket è solo 7,77 NXT, e le uniche altre tasse sono per le azioni che utilizzano il blockchain - 1 NXT per ogni transazione, in modo che un intero ciclo di vendita di un oggetto, essendo pagato, e comunicare con l'acquirente può costare sotto 10 NXT. Non ci sono percentuali del suo prezzo di vendita finale, nessuna tassa alta.",
      "welcome_text4": "Il costo di utilizzo di FreeMarket come shopper è ancora più basso. Si paga solo per le transazioni di rete, quindi un acquisto può costare fino a 1 NXT in tasse.",
      "welcome_text5": "NXT FreeMarket è stato creato da un team internazionale di sviluppatori dedicata a preservare ed espandere il vostro diritto di commerciare pacificamente senza interferenze.",
      "welcome_text6": "Noi speriamo che FreeMarket vi aiuterà a sfruttare le opportunità offerte da un mercato globale, a basso costo e senza censura",
      "button_list_again": "Vendi ancora l'articolo",
      "language_button": "Italiano",
      "enter_escrow_address": "Inserire l'indirizzo NXT del vostro escrow provider",
      "yes": "Si",
      "no": "No",
      "missing_title": "Titolo Mancante",
      "error_title_required": "È richiesto un titolo per il tuo articolo.",
      "missing_price": "Prezzo Mancante",
      "error_price_required": "È richiesto un prezzo per il tuo articolo.",
      "missing_description": "Descrizione Mancante",
      "error_description_required": "È richiesta una descrizione per il tuo articolo.",
      "use_escrow": "Usi Escrow?",
      "invalid_escrow_address": "Indirizzo escrow invalido",
      "error_invalid_ecsrow_address": "Indirizzo NXT non valido per il escrow provider. Si prega di controllare.",
      "button_processing": "In lavorazione…",
      "from_nxt": "Da NXT",
      "to_nxt": "A NXT",
      "select_target_currency": "Selezionare la valuta di destinazione.",
      "us_dollar": "US Dollar",
      "euro": "Euro",
      "value_to_convert": "Valore da convertire",
      "button_convert": "Converti",
      "select_starting_currency": "Selezionare la tua valuta di partenza.",
      "converted_value": "Il valore convertito è circa:",
      "reject_sale_success_message": "Successo: Hai rifiutato la vendita di questo oggetto.",
      "reject_sale_failure_message": "Risultato: FALLITO il rigetto della vendita",
      "error_webstorage": "Spiacenti, il tuo browser non supporta Web Storage (archiviazione web). ",
      "bug_report": "Report Errori",
      "supported_market_version": "Versione Mercato Supportato",
      "version": "Versione",
      "nrs_version": "Versione NRS",
      "market_version": "Versione Mercato",
      "reporting_bugs": "Segnalazione dei Bugs",
      "bug_report_tech_info": "Informazioni tecniche che saranno utili per segnalare i bugs:",
      "report_bugs_to": "Per segnalare bugs  bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Errore: Assicurarsi che NXT sia in esecuzione.",
      "error_no_listing": "Nessun avviso trovate",
      "error_item_id_required": "È necessario un ID per l’articolo.",
      "item_relisted_as": "Hai rimesso in vendita il tuo articolo come numero di articolo:",
      "note_few_minutes": "NOTA: Il tuo articolo potrebbe richiedere alcuni minuti per apparire.",
      "button_relist_item": "Rimettere in vendita",
      "item_received": "Articolo ricevuto",
      "item_not_received": "Articolo non ricevuto",
      "success_marked_received": "Successo: Hai contrassegnato questo articolo come ricevuto e completato il processo escrow. Il venditore sarà pagato.",
      "failure_marked_received": "Risultato: FALLITO il contrassegno di questo elemento come ricevuto e FALLITO completamento del processo di escrow. Il venditore non sarà pagato",
      "success_marked_not_received": "Successo: Hai segnato questo elemento come non ricevuto. Il provider di deposito a garanzia sarà informato.",
      "failure_marked_not_received": "Risultato: MANCATO contrassegno di questo elemento come non ricevuto.",
      "escrow_help_para_1": "Escrow (Deposito Fiduciario) permette all'acquirente di sentirsi al sicuro durante un acquisto. Un articolo con escrow sarà visualizzato con un'icona per dimostrare che l’escrow è incluso.",
      "escrow_help_para_2": "Quando un articolo con escrow viene acquistato, il pagamento viene inviato prima al provider escrow. Quando l'acquirente ha ricevuto l'articolo e clicca su un pulsante per indicare soddisfazione, il pagamento viene rilasciato e inviato al venditore.",
      "escrow_help_para_3": "Se il compratore non riceve l'oggetto o non è soddisfatto di esso, il compratore lo indicherà e il fornitore di escrow interverrà per risolvere la controversia.",
      "escow_help_para_4": "Escrow è fornito usando FreeMarket Escrow System. Escrow providers che utilizzano questo sistema non sono approvati dal FreeMarket. Si prega di ricerca gli escrow providers disponibili e la loro reputazione prima di scegliere un provider.",
      "escrow_help_para_5": "Inserisci l’inidirizzo NXT dell’escrow provider in questo formato: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "La tassa per mettere in vendita questo articolo è NXT ",
      "header_listing_duration": "Durata Vendita",
      "duration_2_weeks": "2 settimane (tassa di vendita: 0 NXT)",
      "duration_4_weeks": "4 settimane (tassa di vendita: 0 NXT)",
      "item_quantity": "Quantità",
      "header_price_conversion": "Prezzo di conversione NXT",
      "text_price_conversion": "Ecco il prezzo NXT in altre valute: ",
      "alert_1": ""
    }
  },
  he: {
    translation: {
      "menu_home": "עמוד הבית",
      "menu_buy": "קנה",
      "menu_sell": "מכור",
      "menu_view_all": "צפה בכל הפריטים",
      "menu_search_title": "חפש לפי כותרת",
      "menu_search_category": "חפש לפי קטגוריה",
      "menu_search_tag": "חפש לפי תג",
      "menu_search_seller": "חפש לפי מספר מזהה מוכר",
      "menu_search_item": "חפש לפי מזהה פריט",
      "menu_view_purchases": "צפה ברכישות שלך",
      "menu_list_new": "רישום פריט חדש",
      "menu_view_items": "צפה בפריטים שלך",
      "menu_login_button": "התחבר",
      "menu_login_text": ".התחבר על מנת לשמור את הביטוי הסודי שלך",
      "menu_login": "התחבר",
      "header_login": "התחבר",
      "login_welcome": ".אתה יכול אופציונלית להתחבר לשוק החופשי על מנת לשמור את הביטוי הסודי שלך, ולצפות בפרטי החשבון. הכנס את הביטוי הסודי שלך מתחת",
      "secret_phrase": "ביטוי סודי",
      "placeholder_required": "חובה",
      "placeholder_optional": "אופציונלי",
      "image_url_help": "עזרה כתובת ה URL של התמונה.",
      "image_url_help_para1": "כאשר אתה משתמש ב FreeMarket, אתה יכול לכלול עד 4 כתובות URL בשביל תמונות. בעוד שהפריט שלך נרשם ב blockchain, התמונות לא, ולכן הן חייבות להיות מועלות למקום כלשהו באינטרנט, ואז המקום הזה, בצורת URL, יכול להכלל ברישום שלך.",
      "image_url_help_para2": "ה blockchain משמר את הפרטיות שלך, אך מיקום תמונות הפריטים שלך יכול בטעות לחשוף את הזהות שלך, ולכן חשוב להעלות תמונות למיקום שמשמר את האנונימיות שלך. ישנם מגוון של שירותים באינטרנט שיאחסנו עבורך תמונות בצורה אנונימית. תצטרך לבצע בדיקת נאותות משלך על מנת להחליט באיזה שירות אתה בוטח. חלק מהשירותים האלה רשומים כאן מתחת, אך אל תראה את ההכללה שלהם כאן כהמלצה. זכור, רק אתה יכול לשמר את הפרטיות שלך.",
      "image_url_help_para3": ".תמונות צריכות להיות בגודל200  על 200 פיקסלים. תמונות בעלות מימדים אחרים ישונו ל 200 על 200 לצורך הצגתן",
      "image_url_help_para4": ".השתמש רק בשירותים שיש לך אמון ושאתה בוטח בהם. אם אתה לא יודע מה אתה עושה, אל תכלול תמונות ברישום הפריטים שלך",
      "shipping_help": "עזרה אפשרויות משלוח",
      "shipping_help_para_1": "כאשר אתה משתמש ב FreeMarket, תוכל להוסיף עד 3 אפשרויות משלוח, כל אחת יכולה לכלול מחיר שונה. תן שם שונה לכל אפשרות משלוח שיוכל להיות מובן בקלות על ידי הקונה, כמו למשל 'DHL לצפון אמריקה' ותן לאפשרות מחיר ב NXT",
      "shipping_help_para_2": "אם הכללת אפשרויות משלוח, הקונה יהיה חייב לבחור אחת, ומחיר המשלוח שנתת לאפשרות שהקונה בחר תתווסף אוטומטית למחיר הכולל של הפריט. לחלופין, אתה חופשי להוסיף את מחיר המשלוח יחד עם מחיר הפריט, ולרשום את הפריט ללא אפשרויות משלוח.",
      "tag1": "תג 1",
      "tag2": "תג 2",
      "tag3": "תג 3",
      "image1": "תמונה 1",
      "image2": "תמונה 2",
      "image3": "תמונה 3",
      "shipping_method_name": "שם שיטה למשלוח",
      "shipping_cost_in_nxt": "NXT עלות שליחות ב",
      "button_login": "התחבר",
      "header_current_account_info": "פרטי החשבון הנוכחי",
      "account_id": "מספר חשבון",
      "numeric_account_id": "מזהה חשבון מספרי",
      "change_account_text": ".אתה יכול לעשות זאת על ידי הכנסת הביטוי הסודי שלך מתחת ,FreeMarket שלך ב NXT אם אתה מעוניין לשנות את מספר חשבון ה",
      "button_change_account_id": "שינוי מזהה חשבון",
      "button_log_out": "יציאה",
      "header_list_new_item": "רישום פריט חדש",
      "item_title": "כותרת הפריט",
      "category": "קטגוריה",
      "price": "מחיר",
      "total_price": " NXT :מחיר ",
      "main_image_url": "של התמונה הראשית URL כתובת ה",
      "description": "תיאור",
      "decsription_field": "מקסימום 300 תווים",
      "optional_item_tags": "תגי פריטים אופציונליים",
      "optional_additional_image_urls": "URLs כתובות אופציונליות נוספות ל",
      "optional_shipping_methods": "שיטות משלוח אופציונליות",
      "button_post_item": "פרסם פריט",
      "header_log_in_required": "נדרשת התחברות",
      "log_in_notice_text": ".עלייך להתחבר על מנת לבצע פעולה זאת. בבקשה הכנס את הביטוי הסודי שלך מתחת",
      "header_search_by_category": "חפש לפי קטגוריית פריט",
      "image": "תמונה",
      "status": "סטטוס",
      "header_search_by_item_id": "חפש לפי מזהה פריט",
      "header_search_by_item_title": "חפש לפי כותרת פריט",
      "item_id": "מזהה פריט",
      "button_search": "חפש",
      "button_back_to_search": "חזרה לחיפוש",
      "seller_id": "מזהה מוכר",
      "price_with_nxt": " NXT :מחיר ",
      "expiration": "פג תוקף",
      "tags": "תגים",
      "shipping_address": "כתובת למשלוח",
      "shipping_method": "שיטת משלוח",
      "shipping_address_required": ".כתובת המשלוח שלך תהיה מוצפנת .כגון המדינה שלך ,ודא שלא שכחת לכלול פרטים רלוונטים .חובה לבחור כתובת למשלוח",
      "message_to_seller": "הודעה למוכר",
      "message_from_buyer": "הודעה מהקונה",
      "message_to_buyer": "הודעה לקונה",
      "placeholder_message_to_buyer": ".אופציונלי. ההודעה שלך תוצפן",
      "placeholder_message_to_seller": ".אופציונלי. ההודעה שלך תוצפן",
      "button_buy_for_nxt": "NXT קנה עבור",
      "header_search_by_seller_id": "חפש לפי מזהה מוכר",
      "header_search_by_tag": "חפש לפי תג",
      "header_all_items": "כל הפריטים",
      "header_all_your_items": "כל הפריטים שלך",
      "header_all_your_purchases": "כל קניותך",
      "buyer_id": "מזהה קונה",
      "sold_date": "נמכר",
      "amount_received": "הסכום שהתקבל",
      "button_cancel_listing": "ביטול רישום",
      "button_finalize_purchase": "סיים רכישה",
      "button_reject_purchase": "דחה רכישה",
      "antiques": "עתיקות",
      "art": "אמנות",
      "baby": "תינוק",
      "books": "ספרים",
      "business": "עסקים",
      "industrial": "תעשייתי",
      "cameras": "מצלמות",
      "cell_phones": "טלפונים סלולריים",
      "clothing": "ביגוד",
      "coins": "מטבעות ושטרות כסף",
      "collectibles": "אספנות",
      "computers": "מחשבים",
      "consumables": "מוצרים מתכלים",
      "electronics": "מוצרי חשמל",
      "crafts": "עבודות יד",
      "dolls": "בובות ודובים",
      "dvds": "DVDs סרטים ו",
      "entertainment": "מזכרות לאירועים",
      "everything_else": "כל השאר",
      "food_drink": "אוכל ושתייה",
      "gift_cards": "כרטיסי מתנה וקופונים",
      "health_beauty": "בריאות ויופי",
      "home_garden": "בית וגינה",
      "jewelry": "תכשיטים ושעונים",
      "music": "מוזיקה",
      "instruments": "כלי נגינה",
      "networking": "תקשורת מחשבים",
      "pets": "ציוד לחיות מחמד",
      "pottery": "כלי חרס וזכוכית",
      "real_estate": "נדלן",
      "self_defense": "הגנה עצמית",
      "services": "שירותים מיוחדים",
      "sporting_goods": "מוצרי ספורט",
      "sports_memo": "מזכרות ספורט",
      "stamps": "בולים",
      "tickets": "כרטיסים",
      "toys": "צעצועים ותחביבים",
      "travel": "נסיעות",
      "video_games": "משחקי מחשב",
      "error_secret_phrase": ".הביטוי הסודי של החשבון שלך נדרש",
      "select_language": ".בחר שפה מתחת",
      "error_price": ".המחיר יכול לכלול רק ספרות ונקודות עשרוניות",
      "error_title_required": ".חובה לבחור כותרת לפריט שלך",
      "error_category_required": ".נדרשת קטגוריה עבור הפריט שלך",
      "error_price_required": ".חובה לציין מחיר לפריט שלך",
      "error_description_required": ".חובה לציין תאור לפריט שלך",
      "post_successful_part1": " :פרסמת מספר פריט",
      "post_successful_part2": "הודעה: יכולות לעבור מספר דקות עד שהפריט שלך יופיע",
      "error_message_too_long": ".URL תוצאה: כישלון בניסיון לפרסם את הפריט רישום הפריט. שלך ארוך מדי. בבקשה קצר את תיאור הפריט או את כתובת ה",
      "post_failure": ":תוצאה: כישלון בניסיון לפרסם את הפריט. סיבה",
      "logged_in_account": ":התחברת עם החשבון הבא",
      "rs_account_id": "מזהה חשבון ריד-סולומון",
      "account_balance": "יתרת החשבון",
      "error_shipping_method": ".חובה לבחור שיטת משלוח",
      "error_shipping_address": ".חובה לציין כתובת למשלוח",
      "select_shipping": "חובה לבחור שיטת משלוח",
      "success_purchase_part1": " קנית את פריט מספר",
      "success_purchase_part2": "",
      "purchase_failure": ".תוצאה: כישלון בניסיון לקנות את הפריט",
      "sold": "נמכר",
      "available": "זמין",
      "canceled": "בוטל",
      "pending": "ממתין",
      "no_message": ".אין הודעה",
      "success_finalize_purchase": ".הצלחה: השלמת את תהליך רכישת הפריט",
      "failure_finalize_purchase": ".תוצאה: כישלון בניסיון לסיים את התליך הרכישה",
      "success": "הצלחה",
      "success_cancel": ".הפריט שלך בוטל",
      "failure_cancel": ".תוצאה: כישלון בניסיון לבטל את הפריט",
      "localized_website": "http://www.nxtfreemarket.com/index_he.html",
      "welcome_text1": "סחור חופשי, בכל העולם, ובאופן פרטי בעזרת NXT FreeMarket.FreeMarket עושה שימוש ב NXT blockchain בכדי לשמור את כל הפריטים למכירה, כך שאין שירות מרכזי אחד שמחזיק את הפרטים האישיים שלך, ואין נקודת כשל יחידה.",
      "welcome_text2": "מסרים בין הקונה למוכר מוצפנים באמצעות קריפטוגרפיית מפתח חופשי המובנית ב NXT. שום מידע פרטי לא נחשף באופן שאינו מוצפן.",
      "welcome_text3": "עלות פרסום פריט היא NXT 7.77 והעלות הנוספת היחידה היא לפעולות שמשתמשות ב - 1 NXT לטרנזקצית blockchain, כך שבמהלך כל המחזור של רישום פריט, קבלת תשלום עבורו, ותקשורת עם הקונה יכול לעלות לך פחות מ NXT 10. אין אחוזים שנלקחים מהמחיר הסופי שלך, אין עמלות גבוהות.",
      "welcome_text4": "עלות השימוש ב FreeMarket כקונה היא אפילו נמוכה יותר.אתה רק משלם על שליחת מסרים, כך שעמלה על קניית פריט יכולה לעלות מחיר קטן כ 1 NXT.",
      "welcome_text5": "NXT FreeMarket נוצר על ידי קבוצה בינלאומית של מפתחים המחוייבת לשמור ולהרחיב את הזכות שלך לסחור חופשיות ובשלווה ללא הפרעה.",
      "welcome_text6": "אנו מקווים ש FreeMarket יעזור לך לנצל את ההזדמנויות בסביבה גלובלית, בעלות נמוכה, ועמידה בפני צנזורה. ",
      "button_list_again": "רשימת פריטים שוב",
      "language_button": "עברית",
      "enter_escrow_address": "הכנס כתובת NXT של ספק צד שלישי שלך",
      "yes": "כן",
      "no": "לא",
      "missing_title": "כותרת חסרה",
      "error_title_required": "כותרת היא חובה עבור הפריט שלך.",
      "missing_price": "מחיר חסר.",
      "error_price_required": "מחיר הוא חובה עבור הפריט שלך.",
      "missing_description": "תאור חסר",
      "error_description_required": "תאור הוא חובה עבור הפריט שלך.",
      "use_escrow": "להשתמש בצד שלישי?",
      "invalid_escrow_address": "כתובת צד שלישי לא תקינה",
      "error_invalid_ecsrow_address": "כתובת ה NXT של ספק צד שלישי אינה תקינה. אנא בדוק.",
      "button_processing": "בתהליך עיבוד...",
      "from_nxt": "מ - NXT",
      "to_nxt": "ל - NXT",
      "select_target_currency": "בחר את מטבע היעד.",
      "us_dollar": "דולר אמריקאי",
      "euro": "יורו",
      "value_to_convert": "ערך להמרה",
      "button_convert": "המר",
      "select_starting_currency": "בחר את מטבע ההתחלה.",
      "converted_value": "הערך שהומר הוא בערך:",
      "reject_sale_success_message": "הצלחה: ביטלת את מכירת פריט זה.",
      "reject_sale_failure_message": "תוצאה: כישלון לדחות מכירה",
      "error_webstorage": "הדפדפן שלך לא תומך ב web storage.",
      "bug_report": "דיווח תקלות",
      "supported_market_version": "גרסה נתמכת",
      "version": "גרסה",
      "nrs_version": "גרסת NRS",
      "market_version": "גרסה שרצה כרגע",
      "reporting_bugs": "דיווח תקלות",
      "bug_report_tech_info": "מידע טכני שיהיה מועיל כאשר מדווחים על תקלות",
      "report_bugs_to": "bugreport@nxtfreemarket.com דווח תקלות ל - ",
      "error_nxt_not_running": "אנא וודא ש NXT רצה",
      "error_no_listing": "לא נמצאו רשומות",
      "error_item_id_required": "קוד פריט הוא חובה.",
      "item_relisted_as": "רשמת את הפריט מחדש כפריט מספר:",
      "note_few_minutes": "הערו: יתכן ויקח מספר דקות לפריט שלך להופיע",
      "button_relist_item": "רישום פריט מחדש",
      "item_received": "הפריט התקבל",
      "item_not_received": "הפריט לא התקבל",
      "success_marked_received": "הצלחה: סימנת את הפריט כהתקבל והושלם תהליך הליווי על ידי צד שלישי. המוכר יקבל את כספו",
      "failure_marked_received": "תוצאה: כישלון לסמן ולהשלים את תהליך הליווי על ידי צד שלישי. המוכר לא יקבל תשלום.",
      "success_marked_not_received": "הצלחה: סימנת את הפריט הזה כלא התקבל. ליווי צד שלישי יעודכן בנושא.",
      "failure_marked_not_received": "תוצאה: כישלון לסמן את הפריט הזה כלא התקבל.",
      "escrow_help_para_1": "צד שלישי נותן לקונה להרגיש בטוח בקנייה. פריט עם צד שלישי יוצג עם אייקון שיראה שצד שלישי נכלל.",
      "escrow_help_para_2": "כשפריט עם ליווי נרכש, התשלום קודם הולך לליווי צד שלישי. כאשר הקונה קיבל את הפריט ולחץ על כפתור לציין את שביעות רצונו, התשלום משתחרר ונשלם למוכר.",
      "escrow_help_para_3": "אם הקונה לא מקבל את הפריט או לא מרוצה ממנו, אז הוא יוכל לציין זאת וספק צד שלישי יכנס לפעולה על מנת לפתור את הויכוח.",
      "escow_help_para_4": "ליווי מסופק בעזרת מערכת הליווי של FreeMarket. ספק צד שלישי שמשתמש במערכת הליווי איננו מקודם או נתמך על ידי FreeMarket. בבקשה חקור המוניטין שלהם לפני שאתה בוחרספק.",
      "escrow_help_para_5": "הכנס את כתובת ה NXT של ספק צד שלישי בפורמט הבא: NXT-XXXX-XXXX-XXXX-XXXXX",
      "listing_fee_notice": "העמלה לרישום הפריט היא NXT ",
      "header_listing_duration": "זמן רישום הפריט",
      "duration_2_weeks": "שבועיים (עמלת רישום 0 NXT)",
      "duration_4_weeks": "שבועיים (עמלת רישום 0 NXT)",
      "item_quantity_buy": "כמות לקנייה",
      "item_quantity_sell": "כמות למכירה",
      "header_price_conversion": "המרות משוערכות",
      "text_price_conversion": "כאן המחיר ב NXT עבור מטבעות אחרים: ",
      "header_price_conversion_error": "טעות בהמרה",
      "text_price_conversion_error": "הייתה תקלה בקבלת ערך ההמרה ב NXT",
      "menu_help": "עזרה",
      "menu_tutorials": "הדרכות",
      "menu_about": "על FreeMarket",
      "menu_escrow": "ספקי צד שלישי",
      "menu_converter": "ממיר NXT",
      "header_language": "שפה",
      "account_details": "פרטי חשבון",
      "quantity_purchased": "הכמות שנרכשה",
      "header_your_pending_sales": "המכירות העומדות ותלויות שלך",
      "menu_your_pending_sales": "צפה בכל המכירות התלויות ועומדות",
      "menu_your_active_items": "צפה בכל הפריטים הפעילים",
      "header_all_your_active_items": "כל הפריטים הפעילים",
      "pending_sales_menu_header": "יש לך מכירות תלויות ועומדות",
      "pending_sales_menu_view_all": "צפה בכל המכירות התלויות ועומדות",
      "message_to_escrow_provider": "הודעה לספק צד שלישי",
      "account_number": "מספר חשבון NXT",
      "account_number_welcome": "הכנס את מספר חשבון ה NXT שלך למטה. זה יאפשר ל FreeMarket לדעת איזה פריטים למכירה הם שלך, ואיך להציג את יתרת חשבון ה NXT שלך. הסיסמא הסודית לא נדרשת לכך.",
      "account_number_header_login": "מספר חשבון",
      "button_account_number": "שלח מספר חשבון",
      "error_account_number": "מספר חשבון ה NXT שלך הוא חובה",
      "alert_1": ""
    }
  },
  zh: {
    translation: {
      "menu_home": "首页",
      "menu_buy": "购买",
      "menu_sell": "出售",
      "menu_view_all": "查看所有商品",
      "menu_search_title": "通过名称搜索",
      "menu_search_category": "通过类别搜索",
      "menu_search_tag": "通过标签搜索",
      "menu_search_seller": "通过卖方ID搜索",
      "menu_search_item": "通过商品ID搜索",
      "menu_view_purchases": "查看您的购买",
      "menu_list_new": "列出新的商品",
      "menu_view_items": "查看您的商品",
      "menu_login_button": "登陆",
      "menu_login_text": "登陆并保存您的密码",
      "menu_login": "登陆",
      "header_login": "登陆",
      "login_welcome": "您可以选择登陆自由市场来保存您的密码并查看您的账户余额。在下面输入您的账户密码。",
      "secret_phrase": "密码",
      "placeholder_required": "必须的",
      "placeholder_optional": "可选择的",
      "image_url_help": "图片URL帮助",
      "image_url_help_para1": "当使用自由市场时，您最多可以有4个URLs用于图片。您的商品是陈列在NXT区块链上的，而图片并不是，因此必须将它们上传到因特网，然后可以将它们URL形式的位置包含在您的陈列列表中。",
      "image_url_help_para2": "区块链保护了您的隐私，但是商品的图片位置可能会在无意中泄露您的身份，因此将您的图片上传至能够保护您匿名性的地方是很重要的。网络上有很多能够提供匿名图片存储的服务。您需要自己决定您相信哪个服务。下面列出了部分的服务，但并不能保证。记住，只有您自己能保护您的隐私。",
      "image_url_help_para3": "只使用您信任的服务。如果您不知道您在做什么，则不要在您的陈列列表中加入图片。",
      "image_url_help_para4": "图片应该是200x200 像素。其它尺寸的图片将会重新调整大小后以200x200显示出来。",
      "shipping_help": "运送选项帮助",
      "shipping_help_para_1": "当使用自由市场时，您最多可以有3种运送选项，每一种都有不同的价格。给每一种运费取一个名称以便您的购买者能容易理解，例如“DHL到北美”，并给出以NXT计算的价格。",
      "shipping_help_para_2": "如果您设定了运送选项，购买者就需要选择一种，您指定的运费将会自动添加到您的商品价格中。同样，您也可以不把运费包括在商品价格中，列出不含运送选项的商品。",
      "tag1": "标签1",
      "tag2": "标签2",
      "tag3": "标签3",
      "image1": "图片1",
      "image2": "图片2",
      "image3": "图片3",
      "shipping_method_name": "运送方式名称",
      "shipping_cost_in_nxt": "以NXT计的运送费用",
      "button_login": "登陆",
      "header_current_account_info": "目前账户信息",
      "account_id": "账户ID",
      "numeric_account_id": "数字账户ID",
      "change_account_text": "如果您想要修改正在使用的自由市场的账号，您可能需要在下面输入账户密码。",
      "button_change_account_id": "修改账户ID",
      "button_log_out": "登出",
      "header_list_new_item": "列出新的商品",
      "item_title": "商品名称",
      "category": "类别",
      "price": "价格",
      "total_price": " 价格: NXT ",
      "main_image_url": "主要图片URL",
      "description": "描述",
      "decsription_field": "300 chars max",
      "optional_item_tags": "可选择的商品标签",
      "optional_additional_image_urls": "可选择的图片URLs",
      "optional_shipping_methods": "可选择的运送方式",
      "button_post_item": "发布商品",
      "header_log_in_required": "需要登录",
      "log_in_notice_text": "该功能需要您登陆。请在下面输入您的账户密码。",
      "header_search_by_category": "通过商品类别搜索",
      "image": "图片",
      "status": "状态",
      "header_search_by_item_id": "通过商品ID搜索",
      "header_search_by_item_title": "通过商品名称搜索",
      "item_id": "商品ID数字",
      "button_search": "搜索",
      "button_back_to_search": " 返回到搜索",
      "seller_id": "卖方ID",
      "price_with_nxt": " 价格: NXT ",
      "expiration": "过期时间",
      "tags": "标签",
      "shipping_address": "运输地址",
      "shipping_method": "运送方式",
      "shipping_address_required": "需要填写运送地址。确保包含所有有关的信息，例如您的国家。您的运送地址是加密的。",
      "message_to_seller": "给卖方发送信息",
      "message_from_buyer": "来自买方的信息",
      "message_to_buyer": "给买家的信息",
      "placeholder_message_to_buyer": "可选择的。您的信息将加密。",
      "placeholder_message_to_seller": "可选择的。您的信息将加密。",
      "button_buy_for_nxt": "用NXT购买",
      "header_search_by_seller_id": "通过卖方ID搜索",
      "header_search_by_tag": "通过标签搜索",
      "header_all_items": "所有商品",
      "header_all_your_items": "您的所有商品",
      "header_all_your_purchases": "查看您的购买",
      "buyer_id": "买方ID",
      "sold_date": "出售",
      "amount_received": "收到的数目",
      "button_cancel_listing": "取消列表",
      "button_finalize_purchase": "完成购买",
      "button_reject_purchase": "拒绝购买",
      "antiques": "古玩",
      "art": "艺术品",
      "baby": "婴儿",
      "books": "书籍",
      "business": "商业",
      "industrial": "工业",
      "cameras": "相机",
      "cell_phones": "手机",
      "clothing": "衣服",
      "coins": "钱币/纸币",
      "collectibles": "收藏",
      "computers": "电脑",
      "consumables": "消耗品",
      "electronics": "消费电子",
      "crafts": "工艺品",
      "dolls": "玩偶/熊",
      "dvds": "DVDs/电影",
      "entertainment": "娱乐纪念品",
      "everything_else": "其它",
      "food_drink": "食品/饮料",
      "gift_cards": "礼品卡/优惠券",
      "health_beauty": "健康/美容",
      "home_garden": "家居/园艺",
      "jewelry": "珠宝首饰/钟表",
      "music": "音乐",
      "instruments": "乐器",
      "networking": "网络",
      "pets": "宠物用品",
      "pottery": "陶瓷/玻璃",
      "real_estate": "房产",
      "self_defense": "自卫",
      "services": "专业服务",
      "sporting_goods": "体育用品",
      "sports_memo": "运动纪念品",
      "stamps": "邮票",
      "tickets": "门票",
      "toys": "玩具/业余爱好",
      "travel": "旅行",
      "video_games": "视频游戏",
      "error_secret_phrase": "需要您的账户密码。",
      "select_language": "在下面选择您的语言。",
      "error_price": "价格只能包含数字和小数点。",
      "error_title_required": "您的商品需要名称。",
      "error_category_required": "您的商品需要类别。",
      "error_price_required": "您的商品需要价格。",
      "error_description_required": "您的商品需要描述。",
      "post_successful_part1": "您已经发布了商品编号： ",
      "post_successful_part2": "注意：您的商品可能需要几分钟才能显示出来。",
      "error_message_too_long": "结果：商品发布失败。您的商品列表太长。请缩短您的描述或图片URLs。",
      "post_failure": "结果：商品发布失败。原因：",
      "logged_in_account": "您已经使用以下账户登陆：",
      "rs_account_id": "RS账户ID",
      "account_balance": "账户余额",
      "error_shipping_method": "您必须选择一种运送方式。",
      "error_shipping_address": "您必须输入您的运送地址。",
      "select_shipping": "选择一种运送方式（必须的）",
      "success_purchase_part1": "您已经购买了商品编号",
      "success_purchase_part2": "",
      "purchase_failure": "结果：商品购买失败。",
      "sold": "售出",
      "available": "可用的",
      "canceled": "取消",
      "pending": "待定",
      "no_message": "没有信息。",
      "success_finalize_purchase": "成功：您已经成功购买该商品。",
      "failure_finalize_purchase": "结果：完成购买失败。",
      "success": "成功",
      "success_cancel": "您已经取消了您的商品。",
      "failure_cancel": "结果：取消商品失败。",
      "localized_website": "http://www.nxtfreemarket.com/index_cn.html",
      "welcome_text1": "使用NXT自由市场可以自由地、全球化地、私密地进行交易。NXT自由市场使用NXT区块链存储所有的销售商品，因此您的个人信息不会被中心化的服务利用、自由市场系统不会有单方面的失败。",
      "welcome_text2": "买卖双方的信息都是使用NXT内的公钥加密系统来加密的。在未解密格式下，不会泄露个人信息。",
      "welcome_text3": "发布商品的价格是7.77NXT，唯一的费用是使用区块链-1NXT每次交易，因此发布商品、支付、与买方沟通整个循环需要的费用小于10NXT。没有按照最终销售价的比例，没有更高的费用。",
      "welcome_text4": "使用自由市场购买的成本更低。你只需要支付网络交易费用，因此购买只需要1NXT的费用。",
      "welcome_text5": "NXT自由市场是由国际开发团队所创建的，致力于保护您和平交易的权利不受到干涉。",
      "welcome_text6": "我们希望自由市场能帮助您充分利用这个全球化、低成本、无需授权的自由市场所提供的机会。",
      "button_list_again": "再次发布商品",
      "language_button": "中文",
      "enter_escrow_address": "输入您的担保者的NXT地址",
      "yes": "是",
      "no": "否",
      "missing_title": "找不到名称 ",
      "error_title_required": "您的商品必须要有名称",
      "missing_price": "找不到价格",
      "error_price_required": "您的商品必须要有价格",
      "missing_description": "找不到描述",
      "error_description_required": "您的商品必须要有描述",
      "use_escrow": "使用担保？",
      "invalid_escrow_address": "无效的担保地址",
      "error_invalid_ecsrow_address": "您的担保者的NXT地址是无效的。请确认。",
      "button_processing": "处理中...",
      "from_nxt": "从NXT",
      "to_nxt": "到NXT",
      "select_target_currency": "选择您的目标货币",
      "us_dollar": "美元",
      "euro": "欧元",
      "value_to_convert": "转换值",
      "button_convert": " 转换",
      "select_starting_currency": "选择您的起始货币",
      "converted_value": "转换值是: ",
      "reject_sale_success_message": "成功：您已经拒绝该商品的销售。",
      "reject_sale_failure_message": "结果：拒绝销售失败。",
      "error_webstorage": "抱歉，您的浏览器不支持网页存储。",
      "bug_report": "错误报告",
      "supported_market_version": "支持的市场版本",
      "version": "版本",
      "nrs_version": "NRS版本",
      "market_version": "市场版本",
      "reporting_bugs": "报告错误",
      "bug_report_tech_info": "当报告错误时技术信息将会非常有用：",
      "report_bugs_to": "给bugreport@nxtfreemarket.com报告错误",
      "error_nxt_not_running": "错误：请确保NXT正在运行。",
      "error_no_listing": "未找到陈列",
      "error_item_id_required": "商品ID是必须的。",
      "item_relisted_as": "您已下架商品：",
      "note_few_minutes": "备注：您的商品需要几分钟才能显示出来。",
      "button_relist_item": "下架商品",
      "item_received": "已收到商品",
      "item_not_received": "未收到商品",
      "success_marked_received": "成功：您已经将该商品标记为已收到，并且完成了担保过程。卖家将会收到货款。",
      "failure_marked_received": "结果：标记该商品为已收到失败，并且完成了担保过程。卖家将不会收到货款。",
      "success_marked_not_received": "成功：您已经将该商品标记为未收到。将会通知您的担保者。",
      "failure_marked_not_received": "结果：标记该商品为未收到失败。",
      "escrow_help_para_1": "担保会让您的买家在购买时感到安全。有担保的商品将有图标显示其包含担保。",
      "escrow_help_para_2": "当购买有担保的商品时，会首先将货款支付给担保者。当买家收到商品并且点击满意按钮后，货款才会释放并支付给卖家。",
      "escrow_help_para_3": "如果买家没有收到商品或者不满意，买家将会提出该问题，同时担保者将会介入解决分歧。",
      "escow_help_para_4": "担保是使用自由市场的担保系统来提供的。自由市场不会为使用该系统的担保者背书。在选择一个提供者之前调查担保者和他们的信用。",
      "escrow_help_para_5": "按照以下格式输入担保者的NXT地址：NXT-XXXX-XXXX-XXXX-XXXXX。",
      "listing_fee_notice": "陈列该商品的费用是NXT ",
      "header_listing_duration": "陈列持续时间",
      "duration_2_weeks": "2周(陈列费：0 NXT)",
      "duration_4_weeks": "持续4周(陈列费：0 NXT)",
      "item_quantity_buy": "购买数量",
      "item_quantity_sell": "出售数量",
      "header_price_conversion": "近似转换",
      "text_price_conversion": "其它货币中NXT的价格：",
      "header_price_conversion_error": "转换错误",
      "text_price_conversion_error": "提取NXT转换比率时出现错误。",
      "menu_help": "帮助",
      "menu_tutorials": "教程",
      "menu_about": "关于自由市场",
      "menu_escrow": "担保者",
      "menu_converter": "NXT转换器",
      "header_language": "语言",
      "account_details": "账户详情",
      "quantity_purchased": "购买数量",
      "header_your_pending_sales": "您的待处理销售",
      "menu_your_pending_sales": "查看您的待处理销售",
      "menu_your_active_items": "查看您的激活商品",
      "header_all_your_active_items": "您的所有激活商品",
      "pending_sales_menu_header": "您有待处理的销售",
      "pending_sales_menu_view_all": "查看所有待处理的销售",
      "message_to_escrow_provider": "给担保者发送信息",
      "account_number": "NXT账号",
      "account_number_welcome": "在下方输入您的NXT账号。这将允许自由市场知道哪些出售商品是您的，从而可以展示您的NXT账户余额。该操作不需要您的密码。",
      "account_number_header_login": "账号",
      "button_account_number": "提交账号",
      "error_account_number": "必须输入您的NXT账号。",
      "alert_1": ""
    }
  },
  es: {
    translation: {
      "menu_home": "Inicio",
      "menu_buy": "Comprar",
      "menu_sell": "Vender",
      "menu_view_all": "Ver Todos los Artículos",
      "menu_search_title": "Buscar por Nombre",
      "menu_search_category": "Buscar por Categoría",
      "menu_search_tag": "Buscar por Etiqueta",
      "menu_search_seller": "Buscar por ID de Vendedor",
      "menu_search_item": "Buscar por ID de Artículo",
      "menu_view_purchases": "Ver Tus Compras",
      "menu_list_new": "Listar Nuevo Artículo",
      "menu_view_items": "Ver Tus Artículos",
      "menu_login_button": "Entrar",
      "menu_login_text": "Entra para almacenar tu contraseña.",
      "menu_login": "Entrar",
      "header_login": "Entrar",
      "login_welcome": "Opcionalmente puedes entrar en FreeMarket para almacenar tu contraseña y ver el saldo de tu cuenta. Introduce la contraseña de tu cuenta debajo.",
      "secret_phrase": "Contraseña",
      "placeholder_required": "requerida",
      "placeholder_optional": "opcional",
      "image_url_help": "Ayuda de URL de Imagen",
      "image_url_help_para1": "Al usar FreeMarket, puedes incluir hasta 4 URLs con imágenes. Aunque tu artículo está listado en la cadena de bloques de NXT, las imágenes no lo están, por lo que deben ser subidas a algún sitio en internet. Entonces, ese sitio puede ser incluido en tu publicación en forma de URL.",
      "image_url_help_para2": "La cadena de bloques protege tu privacidad, pero la ubicación de las imágenes de tu artículo podría revelar tu identidad. Por ello es importante subir tus imágenes a un sitio que proteja tu anonimato. Hay varios servicios en internet que te permitirán alojar imágenes de forma anónima. Deberás investigar por tu cuenta para decidir en qué servicio puedes confiar. Algunos de estos servicios aparecen en la lista más abajo, pero su inclusión en ella no significa que los respaldemos. Recuerda que solamente tú puedes proteger tu privacidad.",
      "image_url_help_para3": "Usa sólo servicios en los que sepas que puedes confiar. Si no estás seguro de lo que estás haciendo, no incluyas imágenes en tu listado.",
      "image_url_help_para4": "Las imágenes deberían ser de 200 por 200 píxeles. Las imágenes de otros tamaños se re-escalarán a 200x200.",
      "shipping_help": "Ayuda de Opciones de Envío",
      "shipping_help_para_1": "Al usar FreeMarket, puedes incluir hasta 3 opciones de envío, cada una con un precio distinto. Dale a cada opción un nombre fácil de entender para el comprador, como 'DHL a Norteamérica' y asígnale a la opción un precio en NXT.",
      "shipping_help_para_2": "Si has definido opciones de envío, el comprador deberá elegir una, y el precio asignado a la opción de envío se añadirá automáticamente al precio total de tu artículo. De forma alternativa, también puedes incluir los gastos de envío en el precio de tu artículo y listarlo sin opciones de envío.",
      "tag1": "etiqueta 1",
      "tag2": "etiqueta 2",
      "tag3": "etiqueta 3",
      "image1": "imagen 1",
      "image2": "imagen 2",
      "image3": "imagen 3",
      "shipping_method_name": "Nombre de Forma de Envío",
      "shipping_cost_in_nxt": "Gastos de Envío en NXT",
      "button_login": "Entrar",
      "header_current_account_info": "Información de Cuenta Actual",
      "account_id": "ID de Cuenta",
      "numeric_account_id": "ID Numérico de Cuenta",
      "change_account_text": "Si deseas cambiar la cuenta NXT que estás usando en FreeMarket, puedes hacerlo introduciendo la contraseña de la cuenta debajo.",
      "button_change_account_id": "Cambiar ID de Cuenta",
      "button_log_out": "Salir",
      "header_list_new_item": "Listar Nuevo Artículo",
      "item_title": "Nombre",
      "category": "Categoría",
      "price": "Precio",
      "total_price": " Precio: NXT ",
      "main_image_url": "URL de Imagen Principal",
      "description": "Descripción",
      "decsription_field": "300 caracteres max",
      "optional_item_tags": "Etiquetas Opcionales",
      "optional_additional_image_urls": "URLs de Imagen Adicionales Opcionales",
      "optional_shipping_methods": "Formas de Envío Opcionales",
      "button_post_item": "Publicar Artículo",
      "header_log_in_required": "Es Necesario Entrar",
      "log_in_notice_text": "Esta función necesita que entres. Por favor, introduce la contraseña de tu cuenta debajo.",
      "header_search_by_category": "Buscar por Categoría de Artículo",
      "image": "Imagen",
      "status": "Estado",
      "header_search_by_item_id": "Buscar por ID de Artículo",
      "header_search_by_item_title": "Buscar por Nombre de Artículo",
      "item_id": "ID de Artículo",
      "button_search": "Buscar",
      "button_back_to_search": " Volver a Buscar",
      "seller_id": "ID de Vendedor",
      "price_with_nxt": " Precio: NXT ",
      "expiration": "Caducidad",
      "tags": "Etiquetas",
      "shipping_address": "Dirección de Envío",
      "shipping_method": "Forma de Envío",
      "shipping_address_required": "Se necesita una dirección de envío. Asegúrate de incluir toda la información importante, como tu país. La dirección de envío será encriptada.",
      "message_to_seller": "Mensaje al Vendedor",
      "message_from_buyer": "Mensaje del Comprador",
      "message_to_buyer": "Mensaje al Comprador",
      "placeholder_message_to_buyer": "Opcional. Tu mensaje será cifrado.",
      "placeholder_message_to_seller": "Opcional. Tu mensaje será cifrado.",
      "button_buy_for_nxt": "Comprar con NXT",
      "header_search_by_seller_id": "Buscar por ID de Vendedor",
      "header_search_by_tag": "Buscar por Etiqueta",
      "header_all_items": "Todos los Artículos",
      "header_all_your_items": "Todos Tus Artículos",
      "header_all_your_purchases": "Todas Tus Compras",
      "buyer_id": "ID de Vendedor",
      "sold_date": "Vendido",
      "amount_received": "Cantidad Recibida",
      "button_cancel_listing": "Cancelar Listado",
      "button_finalize_purchase": "Finalizar Compra",
      "button_reject_purchase": "Rechazar Compra",
      "antiques": "Antigüedades",
      "art": "Arte",
      "baby": "Bebé",
      "books": "Libros",
      "business": "Negocios",
      "industrial": "Industrial",
      "cameras": "Cámaras",
      "cell_phones": "Teléfonos Móviles",
      "clothing": "Ropa",
      "coins": "Monedas y Billetes",
      "collectibles": "Coleccionables",
      "computers": "Ordenadores",
      "consumables": "Consumibles",
      "electronics": "Electrónica",
      "crafts": "Manualidades",
      "dolls": "Muñecas y Peluches",
      "dvds": "DVDs y Películas",
      "entertainment": "Memorabilia de Ocio",
      "everything_else": "Todo lo demás",
      "food_drink": "Comida y Bebida",
      "gift_cards": "Tarjetas Regalo y Cupones",
      "health_beauty": "Salud y Belleza",
      "home_garden": "Hogar y Jardín",
      "jewelry": "Joyería y Relojes",
      "music": "Música",
      "instruments": "Instrumentos Musicales",
      "networking": "Redes",
      "pets": "Artículos para Mascotas",
      "pottery": "Cerámica y Cristalería",
      "real_estate": "Inmobiliaria",
      "self_defense": "Defensa Personal",
      "services": "Servicios",
      "sporting_goods": "Deportes",
      "sports_memo": "Memorabilia Deportiva",
      "stamps": "Sellos",
      "tickets": "Entradas",
      "toys": "Juguetes y Aficiones",
      "travel": "Viajes",
      "video_games": "Videojuegos",
      "error_secret_phrase": "Se necesita la contraseña de tu cuenta.",
      "select_language": "Selecciona tu idioma.",
      "error_price": "El precio sólo puede contener números y un decimal.",
      "error_title_required": "Se necesita un nombre para tu artículo.",
      "error_category_required": "Se necesita una categoría para tu artículo.",
      "error_price_required": "Se necesita un precio para tu artículo.",
      "error_description_required": "Se necesita una descripción para tu artículo.",
      "post_successful_part1": "Has publicado el artículo número: ",
      "post_successful_part2": "NOTA: Tu artículo podría tardar algunos minutos en aparecer.",
      "error_message_too_long": "Resultado: ERROR al publicar artículo. El listado de tu artículo es demasiado largo. Por favor acorta la Descripción o las URL de Imágenes.",
      "post_failure": "Resultado: FALLO al publicar artículo. Reason:",
      "logged_in_account": "Has accedido con la siguiente cuenta:",
      "rs_account_id": "ID de Cuenta Reed-Solomon",
      "account_balance": "Saldo de la Cuenta",
      "error_shipping_method": "Debes seleccionar una forma de envío.",
      "error_shipping_address": "Debes introducir tu dirección de envío.",
      "select_shipping": "Elige una forma de envío (requerido)",
      "success_purchase_part1": "Has comprado el artículo número ",
      "success_purchase_part2": "",
      "purchase_failure": "Resultado: ERROR al comprar artículo.",
      "sold": "Vendido",
      "available": "Disponible",
      "canceled": "Cancelado",
      "pending": "Pendiente",
      "no_message": "Sin Mensaje.",
      "success_finalize_purchase": "Éxito: Has finalizado la compra del artículo.",
      "failure_finalize_purchase": "Resultado: ERROR al finalizar la compra.",
      "success": "Éxito",
      "success_cancel": "Has cancelado el artículo.",
      "failure_cancel": "Resultado: FALLO al cancelar artículo.",
      "localized_website": "http://www.nxtfreemarket.com/index_es.html",
      "welcome_text1": "Compra y vende libremente, globalmente y de forma privada con NXT FreeMarket. FreeMarket usa el blockchain de Nxt para almacenar los artículos en venta, de modo que ningún servicio centralizado tiene tus datos personales, y así FreeMarket carece de fallos por un único elemento.",
      "welcome_text2": "Los mensajes entre comprador y vendedor están encriptados con la criptografía de clave pública de Nxt. Ningún dato personal se expone sin encriptar.",
      "welcome_text3": "TEl coste de publicar un artículo en FreeMarket es de sólo 7.77 NXT, y las otras únicas tarifas son para acciones que utilicen el blockchain - 1 NXT por transacción, de modo que el ciclo completo de publicar un artículo, recibir el pago y comunicarte con el comprador puede costar menos de 10 NXT. No hay porcentajes sobre el precio de venta, ni comisiones altas.",
      "welcome_text4": "El coste de usar FreeMarket como comprador es aún más bajo. Solamente pagas por las transacciones en la red, de modo que una compra puede costarte sólo 1 NXT en tarifas.",
      "welcome_text5": "NXT FreeMarket fue creado por un equipo internacional de desarrolladores dedicados a conservar y expander tu derecho a comprar y vender sin interferencias.",
      "welcome_text6": "Esperamos que FreeMarket te ayude a aprovechar las oportunidades que ofrece un mercado global, de bajo coste y resistente a la censura.",
      "button_list_again": "Publicar Artículo Nuevo",
      "language_button": "Español",
      "enter_escrow_address": "Introduce la dirección NXT de tu proveedor de escrow",
      "yes": "Sí",
      "no": "No",
      "missing_title": "Falta el Título",
      "error_title_required": "Tu artículo necesita un título.",
      "missing_price": "Falta el Precio",
      "error_price_required": "Tu artículo necesita un precio.",
      "missing_description": "Falta la Descripción",
      "error_description_required": "Tu artículo necesita una descripción.",
      "use_escrow": "Usar Escrow?",
      "invalid_escrow_address": "La dirección del escrow no es válida",
      "error_invalid_ecsrow_address": "La dirección NXT de tu proveedor de escrow no es válida. Por favor revísala.",
      "button_processing": "Procesando...",
      "from_nxt": "Desde NXT",
      "to_nxt": "Para NXT",
      "select_target_currency": "Selecciona la divisa objetivo.",
      "us_dollar": "Dólar USA",
      "euro": "Euro",
      "value_to_convert": "Valor a Convertir",
      "button_convert": "Convertir",
      "select_starting_currency": "Selecciona la divisa de inicio.",
      "converted_value": "El valor convertido es aproximadamente:",
      "reject_sale_success_message": "Éxito: Has rechazado la venta del artículo.",
      "reject_sale_failure_message": "Resultado: FALLO al rechazar la venta.",
      "error_webstorage": "Lo sentimos, tu navegador no soporta almacenamiento web.",
      "bug_report": "Informe de Errores",
      "supported_market_version": "Versión del Mercado Soportada",
      "version": "Versión",
      "nrs_version": "Versión de NRS",
      "market_version": "Versión del Mercado",
      "reporting_bugs": "Informar acerca de Errores",
      "bug_report_tech_info": "Información técnica que será de utilidad al informar acerca de errores:",
      "report_bugs_to": "Informa acerca de errores a bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Error: Por favor, asegúrate de que NXT se está ejecutando.",
      "error_no_listing": "No se ha encontrado el listado",
      "error_item_id_required": "Se necesita una ID de artículo.",
      "item_relisted_as": "Has vuelto a listar tu artículo como artículo número:",
      "note_few_minutes": "NOTA: Tu artículo podría tardar unos minutos en aparecer.",
      "button_relist_item": "Volver a Listar Artículo",
      "item_received": "Artículo Recibido",
      "item_not_received": "Artículo No Recibido",
      "success_marked_received": "Éxito: Has marcado este artículo como recibido y completado el proceso de escrow. El vendedor recibirá el pago.",
      "failure_marked_received": "Resultado: FALLO al marcar el artículo como recibido y completar el proceso de escrow. El vendedor no recibirá el pago.",
      "success_marked_not_received": "Éxito: Has marcado este artículo como no recibido. Se informará a tu proveedor de escrow.",
      "failure_marked_not_received": "Resultado: FALLO al marcar este artículo como no recibido.",
      "escrow_help_para_1": "Un Escrow permite a tu comprador sentirse seguro al finalizar una compra. Un artículo con escrow aparecerá con un icono para indicar que se incluye escrow.",
      "escrow_help_para_2": "Cuando se compra un artículo con escrow, el pago se envía primero al proveedor de escrow. Cuando el comprador ha recibido el artículo y ha hecho clic en un botón para informar de que está satisfecho, el pago es liberado y enviado al vendedor.",
      "escrow_help_para_3": "Si el comprador no recibe el artículo o no está satisfecho con él, el comprador informará de ello y el proveedor de escrow intervendrá para resolver la disputa.",
      "escow_help_para_4": "Puede encontrarse un escrow con el Sistema de Escrow de FreeMarket. Los proveedores de escrow que utilizan este sistema no están garantizados por FreeMarket. Por favor, investiga a los proveedores de escrow disponibles y su reputación antes de seleccionar uno.",
      "escrow_help_para_5": "Introduce la dirección NXT de este proveedor de escrow en este formato: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "La tarifa para listar este artículo es de NXT ",
      "header_listing_duration": "Duración del Listado",
      "duration_2_weeks": "2 Semanas (tarifa: 0 NXT)",
      "duration_4_weeks": "4 Semanas (tarifa: 0 NXT)",
      "item_quantity_buy": "Cantidad a Comprar",
      "item_quantity_sell": "Cantidad a Vender",
      "header_price_conversion": "Conversiones Aproximadas",
      "text_price_conversion": "Aquí está el precio en NXT expresado en otras divisas: ",
      "header_price_conversion_error": "Error en la Conversión",
      "text_price_conversion_error": "Ha habido un error obteniendo el tipo de cambio para NXT.",
      "menu_help": "Ayuda",
      "menu_tutorials": "Tutoriales",
      "menu_about": "Acerca de FreeMarket",
      "menu_escrow": "Proveedores de Escrow",
      "menu_converter": "Conversor de NXT",
      "header_language": "Idioma",
      "account_details": "Detalles de la Cuenta",
      "quantity_purchased": "Cantidad Comprada",
      "header_your_pending_sales": "Tus Ventas Pendientes",
      "menu_your_pending_sales": "Ver Tus Ventas Pendientes",
      "menu_your_active_items": "Ver Tus Artículos Activos",
      "header_all_your_active_items": "Todos Tus Artículos Activos",
      "pending_sales_menu_header": "Tienes ventas pendientes",
      "pending_sales_menu_view_all": "Ver todas las ventas pendientes",
      "message_to_escrow_provider": "Mensaje al Proveedor de Escrow",
      "account_number": "Número de Cuenta NXT",
      "account_number_welcome": "Introduce tu número de cuenta NXT debajo. Esto permitirá a FreeMarket saber qué articulos en venta son tuyos, Y mostrar el saldo de tu cuenta NXT. Tu contraseña secreta NO es necesaria para ésto.",
      "account_number_header_login": "Número de Cuenta",
      "button_account_number": "Enviar Número de Cuenta",
      "error_account_number": "Se necesita tu número de cuenta NXT.",
      "alert_1": ""
    }
  },
  ja: {
    translation: {
      "menu_home": "ホーム",
      "menu_buy": "購入",
      "menu_sell": "販売",
      "menu_view_all": "全てのアイテムを見る",
      "menu_search_title": "名前で検索",
      "menu_search_category": "カテゴリーで検索",
      "menu_search_tag": "タグで検索",
      "menu_search_seller": "販売者IDで検索",
      "menu_search_item": "商品IDで検索",
      "menu_view_purchases": "自分の購入商品を見る",
      "menu_list_new": "新しい商品をリストアップ",
      "menu_view_items": "自分の商品を見る",
      "menu_login_button": "ログイン",
      "menu_login_text": "ログインして、自分のシークレットフレーズを保存する。",
      "menu_login": "ログイン",
      "header_login": "ログイン",
      "login_welcome": "あなたはFreeMarketにログインし、自分のシークレットフレーズを保存したり、アカウントのバランスを見たりすることができます。以下にあなたのアカウントのシークレットフレーズを入力してください。",
      "secret_phrase": "シークレットフレーズ",
      "placeholder_required": "必須",
      "placeholder_optional": "オプション",
      "image_url_help": "イメージのリンクに関するヘルプ",
      "image_url_help_para1": "FreeMarketをお使いになる際には、4つのイメージのリンクを加えることができます。あなたの商品はNXTブロックチェーンにリストアップされますが、イメージは含まれません。ですので、それらはインターネット上のどこかにアップロードされる必要があります。そしてその場所をURLの形であなたの商品の含めることができます。",
      "image_url_help_para2": "ブロックチェーンはあなたのプライバシーを保護しますが、あなたの商品のイメージの場所はうっかりあなたの身元を明かしてしまうかもしれません。ですので、あなたの匿名性を維持できる場所にイメージをアップロードすることが大切になります。インターネット上にはあなたの匿名を守ってイメージを扱う様々なサービスがあります。あなたは自分自身で適切な注意を払い、どのサービスが信用できるかを判断してください。いくつかのサービスが以下にリストアップされていますが、そのことは匿名性を保証するものではありません。あなたのプライバシーを守るのはあなた以外にいないのだということを、いま一度お考えください。",
      "image_url_help_para3": "あなたが信用できると確信が持てる場合のみ、サービスをご利用ください。確信が持てない場合は、あなたの商品にイメージを添付しないでください。",
      "image_url_help_para4": "イメージは縦200ピクセルX横200ピクセルでなければなりません。それとは違う大きさのものは、200ピクセルX200ピクセルにリサイズされ表示されます。",
      "shipping_help": "オプションの送付方法に関するヘルプ",
      "shipping_help_para_1": "それぞれの送付方法には購買者がすぐ分かるような名前（例えば「DHLを使って北米に」のように）を付け、そのオプションの価格をNXTで指定してください。",
      "shipping_help_para_2": "送付方法のオプションを設定したら、購買者はその中から１つを選ぶことになり、その送付方法のオプションにあなたがつけた価格が自動的にあなたのアイテムの価格に加えられることになります。別の方法としては、予めあなたの商品の価格に送付料金を加えておき、これらの送付方法のオプションなしであなたの商品をリストアップすることもできます。",
      "tag1": "タグ 1",
      "tag2": "タグ 2",
      "tag3": "タグ 3",
      "image1": "イメージ 1",
      "image2": "イメージ 2",
      "image3": "イメージ 3",
      "shipping_method_name": "送付方法名",
      "shipping_cost_in_nxt": "NXTで換算した送付料金",
      "button_login": "ログイン",
      "header_current_account_info": "現在のアカウント情報",
      "account_id": "アカウントID",
      "numeric_account_id": "アカウントIDナンバー",
      "change_account_text": "もしあなたがFreeMarketでお使いになっているNXTアカウントを変更したいのであれば、以下にアカウントのシークレットフレーズを入力すればできます。",
      "button_change_account_id": "アカウントIDを変更",
      "button_log_out": "ログアウト",
      "header_list_new_item": "新しい商品をリストアップ",
      "item_title": "商品名",
      "category": "商品のカテゴリー",
      "price": "価格",
      "total_price": " 価格: NXT ",
      "main_image_url": "メインイメージのリンク",
      "description": "詳細",
      "decsription_field": "300 chars max",
      "optional_item_tags": "オプションのアイテムタグ",
      "optional_additional_image_urls": "オプションの追加イメージのリンク",
      "optional_shipping_methods": "オプションの送付方法",
      "button_post_item": "アイテムを売りに出す",
      "header_log_in_required": "ログインしてください",
      "log_in_notice_text": "この機能を利用するにはログインする必要があります。あなたのシークレットフレーズを以下に入力してください。",
      "header_search_by_category": "商品のカテゴリーによる検索",
      "image": "イメージ",
      "status": "ステータス",
      "header_search_by_item_id": "商品IDによる検索",
      "header_search_by_item_title": "商品名による検索",
      "item_id": "商品ID",
      "button_search": "検索",
      "button_back_to_search": " 検索に戻る",
      "seller_id": "販売者ID",
      "price_with_nxt": " 価格: NXT ",
      "expiration": "期限切れ",
      "tags": "タグ",
      "shipping_address": "送付先アドレス",
      "shipping_method": "送付方法",
      "shipping_address_required": "A shipping address is required. Be sure to include all relevant information, such as your country. Your shipping address will be encrypted.",
      "message_to_seller": "販売者へのメッセージ",
      "message_from_buyer": "購買者からのメッセージ",
      "message_to_buyer": "購買者へのメッセージ",
      "placeholder_message_to_buyer": "オプションです。あなたのメッセージは暗号化されます。",
      "placeholder_message_to_seller": "オプションです。あなたのメッセージは暗号化されます。",
      "button_buy_for_nxt": "Buy for NXT",
      "header_search_by_seller_id": "販売者IDによる検索",
      "header_search_by_tag": "タグによる検索",
      "header_all_items": "全ての商品",
      "header_all_your_items": "全てのあなたの商品",
      "header_all_your_purchases": "全ての購入商品",
      "buyer_id": "購買者ID",
      "sold_date": "販売済み",
      "amount_received": "受け取り分",
      "button_cancel_listing": "リストから削除",
      "button_finalize_purchase": "購入を確定",
      "button_reject_purchase": "購入を拒否",
      "antiques": "アンティーク",
      "art": "アート用品",
      "baby": "ベビー用品",
      "books": "本",
      "business": "事務用品",
      "industrial": "工業製品",
      "cameras": "カメラ",
      "cell_phones": "携帯電話",
      "clothing": "衣服",
      "coins": "硬貨・紙幣",
      "collectibles": "コレクション",
      "computers": "コンピュータ",
      "consumables": "消耗品",
      "electronics": "家電",
      "crafts": "手工芸",
      "dolls": "人形・ぬいぐるみ",
      "dvds": "DVD・映画",
      "entertainment": "タレントグッズ",
      "everything_else": "その他",
      "food_drink": "食品・飲料",
      "gift_cards": "商品券・金券",
      "health_beauty": "ヘルスケア・ビューティ",
      "home_garden": "住まい・ガーデニング",
      "jewelry": "アクセサリー・時計",
      "music": "音楽",
      "instruments": "楽器・器材",
      "networking": "ネットワーク",
      "pets": "ペット用品",
      "pottery": "陶器・グラス",
      "real_estate": "不動産",
      "self_defense": "護身",
      "services": "専門サービス",
      "sporting_goods": "スポーツ用品",
      "sports_memo": "スポーツ関連記念品",
      "stamps": "切手",
      "tickets": "チケット",
      "toys": "おもちゃ・趣味",
      "travel": "旅行",
      "video_games": "テレビゲーム",
      "error_secret_phrase": "あなたのアカウントのシークレット・フレーズが必要です。",
      "select_language": "言語を選択してください。",
      "error_price": "価格には数字以外のものを含めることはできません。",
      "error_title_required": "あなたの商品には商品名が必要です。",
      "error_category_required": "商品にはカテゴリーが必要です。",
      "error_price_required": "商品には価格をつける必要があります。",
      "error_description_required": "商品には詳細が必要です。",
      "post_successful_part1": "あなたがリストに載せたアイテムの番号: ",
      "post_successful_part2": "注：あなたの商品がリストに現われるまで数分かかることがあります。",
      "error_message_too_long": "Result: アイテムを公開できませんでした。あなたのアイテムのリストが長すぎます。説明もしくはイメージのURLを短くしてください。",
      "post_failure": "結果：販売リストに載せることができませんでした。 Reason:",
      "logged_in_account": "以下のアカウントでログイン中:",
      "rs_account_id": "リード-ソロモンのアカウントID",
      "account_balance": "口座残高",
      "error_shipping_method": "送付方法を選ばなければなりません。",
      "error_shipping_address": "送付先の住所を入力しなければなりません。",
      "select_shipping": "送付方法を選択（必須）",
      "success_purchase_part1": "あなたの購入したアイテムの番号: ",
      "success_purchase_part2": "",
      "purchase_failure": "Result: アイテムの購入に失敗しました。",
      "sold": "販売分",
      "available": "販売中",
      "canceled": "キャンセル分",
      "pending": "保留分",
      "no_message": "メッセージなし",
      "success_finalize_purchase": "成功：このアイテムの購入を確定しました。",
      "failure_finalize_purchase": "Result: 購入の確定に失敗しました。",
      "success": "成功",
      "success_cancel": "あなたのアイテムをキャンセル。",
      "failure_cancel": "結果：キャンセルできませんでした。",
      "localized_website": "http://www.nxtfreemarket.com/index_jp.html",
      "welcome_text1": "NXTのFreeMarketを利用し、世界中の人と自由かつプライバシーを守って取引しませんか。FreeMarketはNXTブロックチェーンを利用し全ての商品情報を管理するので、顧客の個人情報を持った中心的なサービスの仲介を必要としません。そのことはFreeMarketのシステムが破綻することがないということと同義です。",
      "welcome_text2": "購買者と販売者のやり取りは、NXTに組み込まれた公開キーのクリプトグラフィーを使って暗号化されます。個人の情報が暗号化されていない形で露出することは絶対にありません。",
      "welcome_text3": "FreeMarketに商品を掲載する料金は、たったの7.77NXT。しかもそのあとはブロックチェーンを使ったオークションに1NXT支払うだけです。つまり商品を掲載し、購買者とやり取りをして、支払いを受け取るといった一連の処理に10NXTもかからないことになります。最終的な販売金額に応じてかかる費用など存在しないのです。",
      "welcome_text4": "FreeMarketを使って購買するユーザーにとって、料金は更にお安くなります。というのも、料金はネットワークのトランザクションに対してしかかからないので、1NXTにしかならないのです。",
      "welcome_text5": "NXTのFreeMarketは、人々が誰からも干渉されることなく安全に取引できる権利を行使し、利益を享受できることを願って働くインターナショナルな開発チームによって創られました。",
      "welcome_text6": "我々はFreeMarketが提供する、ワールドワイドで、コストが低く、検閲を受けることのない市場をあなたが利用することをお助けします。",
      "button_list_again": "再度リストする",
      "language_button": "日本語",
      "enter_escrow_address": "あなたのエスクロープロバイダーのNXTアドレスを入力",
      "yes": "はい",
      "no": "いいえ",
      "missing_title": "タイトルが未入力",
      "error_title_required": "あなたのアイテムにはタイトルが必要です。",
      "missing_price": "価格が未入力",
      "error_price_required": "あなたのアイテムには価格が必要です。",
      "missing_description": "説明が未入力",
      "error_description_required": "あなたのアイテムには説明が必要です。",
      "use_escrow": "エスクローを利用？",
      "invalid_escrow_address": "エスクローのアドレス不正",
      "error_invalid_ecsrow_address": "あなたのエスクロープロバイダーのNXTアドレスが正しくありません。チェックしてください。",
      "button_processing": "プロセス中・・・",
      "from_nxt": "NXTから",
      "to_nxt": "NXTへ",
      "select_target_currency": "ターゲットとする通貨を選択してください。",
      "us_dollar": "アメリカドル",
      "euro": "ユーロ",
      "value_to_convert": "価値を換算",
      "button_convert": "換算",
      "select_starting_currency": "元の通貨を選択してください。",
      "converted_value": "換算されたおおよその額：",
      "reject_sale_success_message": "成功：このアイテムのセールを却下しました。",
      "reject_sale_failure_message": "Result: セールの却下に失敗しました。",
      "error_webstorage": "申し訳ありませんが、あなたのブラウザはウェブストレージをサポートしていません。",
      "bug_report": "バグ報告",
      "supported_market_version": "互換マーケットバージョン",
      "version": "バージョン",
      "nrs_version": "NRSバージョン",
      "market_version": "マーケットバージョン",
      "reporting_bugs": "バグを報告",
      "bug_report_tech_info": "バグ報告の際には以下のテクニカル情報も併せてご連絡いただけると助かります。",
      "report_bugs_to": "バグをbugreport@nxtfreemarket.comに報告",
      "error_nxt_not_running": "エラー： NXTが起動しているか確認してください。",
      "error_no_listing": "リストが見つかりません",
      "error_item_id_required": "アイテムIDが必要です。",
      "item_relisted_as": "以下のアイテム番号を使ってあなたのアイテムを再リスト:",
      "note_few_minutes": "注意： アイテムが表示されるまで数分かかることがあります。",
      "button_relist_item": "アイテムを再度リストに",
      "item_received": "受領済みアイテム",
      "item_not_received": "受け取っていないアイテム",
      "success_marked_received": "成功： あなたがこのアイテムを受領済みとチェックしたので、エスクローのプロセスを完了しました。販売者には支払いがされることになります。",
      "failure_marked_received": "Result: あなたがこのアイテムを受領済みとチェックしなかったので、エスクローのプロセスを終了しました。販売者には支払いがいきません。",
      "success_marked_not_received": "成功： あなたはこのアイテムを受け取っていないものとチェックしました。あなたのエスクロープロバイダーにはその旨連絡が送られます。",
      "failure_marked_not_received": "Result: このアイテムを受け取っていないものとしてチェックするのを失敗しました。",
      "escrow_help_para_1": "エスクローサービスは購買者が安全に購買できると感じさせることができます。エスクローを使えるアイテムはエスクローが含まれることを表すアイコンと共に表示されます。",
      "escrow_help_para_2": "エスクローを伴うアイテムが購入されると、まず支払いはエスクロープロバイダーに行きます。購買者がアイテムを受け取り、満足したことを示すボタンがクリックされれば、支払いは販売者に送られます。",
      "escrow_help_para_3": "もし購買者がアイテムを受け取らなかった・もしくは満足しなかった場合は、購買者はそのことを報告し、そのことでエスクロープロバイダーが問題解決のため仲裁に入ります。",
      "escow_help_para_4": "エスクローはFreeMarket Escrow Systemを使うことで提供されます。このシステムを利用するエスクロープロバイダーはFreeMarketによって推奨されているわけではありません。プロバイダーを選択するまえに、必ず利用可能なエスクロープロバイダーについてやその評判を調査してください。",
      "escrow_help_para_5": "以下のフォーマットでエスクロープロバイダーのNXTアドレスを入力してください: NXT-XXXX-XXXX-XXXX-XXXXX",
      "listing_fee_notice": "このアイテムをリストする費用はNXT ",
      "header_listing_duration": "リストに載せる期間",
      "duration_2_weeks": "2週間（リスト費用：0 NXT）",
      "duration_4_weeks": "4週間（リスト費用 0 NXT）",
      "item_quantity_buy": "購入数",
      "item_quantity_sell": "販売数",
      "header_price_conversion": "換算後の概算費用",
      "header_price_conversion_error": "換算エラー",
      "text_price_conversion_error": "NXTの換算レート取得時にエラーが発生しました。",
      "menu_help": "ヘルプ",
      "menu_tutorials": "チュートリアル",
      "menu_about": "FreeMarketについて",
      "menu_escrow": "エスクロープロバイダー",
      "menu_converter": "換算",
      "header_language": "言語",
      "account_details": "アカウントの詳細",
      "quantity_purchased": "購入数",
      "header_your_pending_sales": "保留中のセールス",
      "menu_your_pending_sales": "保留中のセールスを表示",
      "menu_your_active_items": "アクティブアイテムを表示",
      "header_all_your_active_items": "全てのアクティブアイテム",
      "pending_sales_menu_header": "保留中のセールスあり",
      "pending_sales_menu_view_all": "保留中のセールスを表示",
      "message_to_escrow_provider": "エスクロープロバイダーにメッセージ",
      "account_number": "NXTのアカウント番号",
      "account_number_welcome": "あなたのNXTアカウント番号を以下に入力してください。このことでFreeMarketは販売されているどのアイテムがあなたのものかを識別し、あなたの口座残高を表示できるようになります。あなたのシークレット・パスフレーズはここでは必要ありません。",
      "account_number_header_login": "アカウント番号",
      "button_account_number": "アカウント番号を入力",
      "error_account_number": "あなたのNXTアカウント番号は必須です。",
      "item_quantity": "数",
      "text_price_conversion": "他の通貨での換算価格: ",
      "alert_1": ""
    }
  },
  fr: {
    translation: {
      "menu_home": "Accueil",
      "menu_buy": "Acheter",
      "menu_sell": "Vendre",
      "menu_view_all": "Voir tous les articles",
      "menu_search_title": "Recherche par titre",
      "menu_search_category": "Recherche par catégorie",
      "menu_search_tag": "Recherche par mot-clé",
      "menu_search_seller": "Recherche par vendeur",
      "menu_search_item": "Recherche par numéro d’article",
      "menu_view_purchases": "Voir vos achats",
      "menu_list_new": "Vendre un article",
      "menu_view_items": "Vos articles en vente",
      "menu_login_button": "Se connecter",
      "menu_login_text": "Connectez vous pour enregistrer votre mot de passe.",
      "menu_login": "Se connecter",
      "header_login": "Se connecter",
      "login_welcome": "Vous pouvez, si vous le désirez (c’est optionnel), créer un compte FreeMarket pour enregistrer votre mot de passe, et voir le solde de votre compte. Entrez dans ce cas le mot de passe de votre compte ci-dessous.",
      "secret_phrase": "Mot de passe",
      "placeholder_required": "obligatoire",
      "placeholder_optional": "optionnel",
      "image_url_help": "Aide sur les images",
      "image_url_help_para1": "FreeMarket vous permet d’inclure dans votre annonce jusqu'à 4 adresses URL d'images de votre article. Alors que les annonces sont enregistré dans la chaîne de transaction NXT, les images ne le sont pas. Elles doivent donc être enregistrées quelque part sur internet, et les adresses de ces images, sous forme d'un lien URL, doivent être inclues dans votre annonce.",
      "image_url_help_para2": "La chaîne de transaction NXT préserve votre anonymat, mais le lieu de stockage de vos images peut révéler votre identité par inadvertance. De nombreux services permettant d’héberger anonymement vos images existent sur internet. Vous pouvez en trouver liste non-exhaustive ci-dessous. Les citer n’est pas une garantie de notre part. A vous de vous renseigner pour déterminer ceux à qui vous pouvez accorder votre confiance. Rappelez vous que vous êtes le seul à pouvoir préserver votre vie privée.",
      "image_url_help_para3": "N’utilisez que des services dans lesquels vous avez confiance. Si vous ne comprenez pas ce que vos choix impliquent pour votre vie privée, il est plus sage de ne pas inclure d’images à votre annonce.",
      "image_url_help_para4": "Toutes les images doivent avoir une taille de 200 pixels sur 200 pixels. Les images d’autres dimensions seront remises à l’échelle pour être affichées en 200 par 200.",
      "shipping_help": "Aide sur les options d'expédition",
      "shipping_help_para_1": "Lorsque vous utilisez FreeMarket, vous pouvez indiquer jusqu'à 3 moyens d'expéditions différents, et spécifier un prix pour chacun d'entre eux. Donnez à chaque moyen d'expédition un nom qui puisse être compris facilement par l'acheteur, comme 'Colissimo France' ou 'DHL International', et attribuez un coût en NXT à ce moyen d'expédition.",
      "shipping_help_para_2": "Si vous indiquez des moyens d'expédition, l'acheteur sera obligé de choisir l'un d'eux. Le coût que vous avez assigné à ce moyen d'expédition sera automatiquement ajouté au prix de vente de votre article. Vous pouvez aussi choisir d'inclure les frais d'expéditions dans le prix de votre article, et de le vendre sans spécifier de moyens d'expédition.",
      "tag1": "mot-clé 1",
      "tag2": "mot-clé 2",
      "tag3": "mot-clé 3",
      "image1": "image 1",
      "image2": "image 2",
      "image3": "image 3",
      "shipping_method_name": "Nom du moyen d'expédition",
      "shipping_cost_in_nxt": "Frais d'expédition en NXT",
      "button_login": "Se connecter",
      "header_current_account_info": "Informations sur votre compte",
      "account_id": "Identifiant de votre compte",
      "numeric_account_id": "Numéro de votre compte",
      "change_account_text": "Si vous désirez changer le compte NXT que vous utilisez avec FreeMarket, entrez le mot de passe de cet autre compte ci-dessous.",
      "button_change_account_id": "Changer de compte",
      "button_log_out": "Se déconnecter",
      "header_list_new_item": "Vendre un article",
      "item_title": "Titre",
      "category": "Catégorie",
      "price": "Prix",
      "total_price": " Prix: NXT ",
      "main_image_url": "adresse URL de l’image principale",
      "decsription_field": "300 caractères maximum",
      "description": "Description",
      "optional_item_tags": "mots clés (optionnel)",
      "optional_additional_image_urls": "Adresse URL d'images (optionnel)",
      "optional_shipping_methods": "Moyens d'expédition (optionnel)",
      "button_post_item": "",
      "header_log_in_required": "Identification requise",
      "log_in_notice_text": "Vous devez vous identifier pour accéder à cette fonction. Entrez s’il vous plait votre mot de passe ci-dessous.",
      "header_search_by_category": "Rechercher par catégorie",
      "image": "Image",
      "status": "Statut",
      "header_search_by_item_id": "Recherche par numéro d’article",
      "header_search_by_item_title": "Recherche par titre",
      "item_id": "Numéro d’article",
      "button_search": "Rechercher",
      "button_back_to_search": " Retour aux résultats de la recherche",
      "seller_id": "Vendeur",
      "price_with_nxt": " Prix: NXT ",
      "expiration": "Expire",
      "tags": "Mots clés",
      "shipping_address": "Adresse du destinaPublier l’annoncetaire",
      "shipping_method": "Moyen d’expédition",
      "message_to_seller": "Message au vendeur",
      "message_from_buyer": "Message de l’acheteur",
      "message_to_buyer": "Ecrire à l’acheteur",
      "placeholder_message_to_buyer": "Optionnel. Votre message sera crypté.",
      "placeholder_message_to_seller": "Optionnel. Votre message sera crypté.",
      "button_buy_for_nxt": "Acheter en NXT",
      "header_search_by_seller_id": "Recherche par vendeur",
      "header_search_by_tag": "Recherche par mot-clé",
      "header_all_items": "Tous les articles",
      "header_all_your_items": "Vos articles",
      "header_all_your_purchases": "Tous vos achats",
      "buyer_id": "ID de l'acheteur",
      "sold_date": "Vendu",
      "amount_received": "Montant reçu",
      "button_cancel_listing": "Supprimer l’annonce",
      "button_finalize_purchase": "Conclure l’achat",
      "button_reject_purchase": "Rejeter l’achat",
      "antiques": "Antiquités",
      "art": "Art",
      "baby": "Bébés",
      "books": "Livres",
      "business": "Entreprise",
      "industrial": "Industrie",
      "cameras": "Photographie",
      "cell_phones": "Téléphones cellulaires",
      "clothing": "Habits",
      "coins": "Pièces et billets",
      "collectibles": "Objets de collection",
      "computers": "Informatique",
      "consumables": "Consommables",
      "electronics": "Électronique",
      "crafts": "Artisanat",
      "dolls": "Poupées et peluches",
      "dvds": "DVDs et films",
      "entertainment": "Loisirs créatifs",
      "everything_else": "Autres",
      "food_drink": "Nourriture et boisson",
      "gift_cards": "Bons d'achat et cadeaux",
      "health_beauty": "Soins et beauté",
      "home_garden": "Maison et jardin",
      "jewelry": "Bijoux et montres",
      "music": "Musique",
      "instruments": "Instruments de musique",
      "networking": "Networking",
      "pets": "Accessoires pour animaux",
      "pottery": "Verre et porcelaine",
      "real_estate": "Immobilier",
      "self_defense": "Self-défense",
      "services": "Services spécialisés",
      "sporting_goods": "Matériel de sport",
      "sports_memo": "Collectors sportifs",
      "stamps": "Timbres",
      "tickets": "Tickets",
      "toys": "Jeux et temps libres",
      "travel": "Voyages",
      "video_games": "Jeux vidéo",
      "error_secret_phrase": "La phrase secrète de votre compte est requise.",
      "select_language": "Sélectionnez votre langue ci-dessous.",
      "error_price": "Le prix ne peut contenir que des nombres et leurs décimales.",
      "error_title_required": "Vous devez donner un titre à votre article.",
      "error_category_required": "Vous devez attribuer une catégorie à votre article.",
      "error_price_required": "Vous devez définir un prix pour votre article.",
      "error_description_required": "Vous devez donner une description de votre article.",
      "post_successful_part1": "Vous avez enregistré l'article numéro: ",
      "post_successful_part2": "NOTE: Votre article devrait prendre quelques minutes pour apparaitre.",
      "error_message_too_long": "Résultat: ECHEC de l'enregistrement de l'article. Les informations sur votre article sont trop longues. Veuillez raccourcir votre description et/ou vos URLs.",
      "post_failure": "Résultat: ECHEC de la création de l'article. Raison:",
      "logged_in_account": "Vous vous êtes logué avec le compte suivant:",
      "rs_account_id": "ID du compte au format Reed-Solomon",
      "account_balance": "Balance du compte",
      "error_shipping_method": "Vous devez sélectionner une option de livraison.",
      "error_shipping_address": "Vous devez fournir une adresse de livraison.",
      "select_shipping": "Sélectionnez une option de livraison (obligatoire)",
      "success_purchase_part1": "Vous avez acheté l'article numéro",
      "success_purchase_part2": "",
      "purchase_failure": "Résultat: ECHEC de l'achat de l'article.",
      "sold": "Vendus",
      "available": "Disponible",
      "canceled": "Annulés",
      "pending": "En cours",
      "no_message": "Pas de message.",
      "success_finalize_purchase": "Succès: vous avez finalisé l'achat de cet article.",
      "failure_finalize_purchase": "Résultat: ECHEC dans la finalisation de l'achat.",
      "success": "Succès",
      "success_cancel": "Vous avez annulé votre article.",
      "failure_cancel": "Erreur : la suppression de l’article a échoué.",
      "localized_website": "http://www.nxtfreemarket.com/index_fr.html",
      "welcome_text1": "Trade freely, globally, and privately with NXT FreeMarket. FreeMarket uses the NXT blockchain to store all items for sale, so there is no centralized service that has your personal information, and there is no single-point of failure for the FreeMarket system.",
      "welcome_text2": "Messages between buyer and seller are encrypted using the public-key cryptography built into NXT. No personal information is exposed in an unencrypted form.",
      "welcome_text3": "The cost to post an item in FreeMarket is just 7.77 NXT, and the only other fees are for actions that use the blockchain - 1 NXT per transaction, so an entire cycle of listing an item, being paid, and communicating with your buyer can cost under 10 NXT. No percentages of your final sale price, no high fees.",
      "welcome_text4": "The cost of using FreeMarket as a shopper is even lower. You only pay for network transactions, so a purchase can cost as little as 1 NXT in fees.",
      "welcome_text5": "NXT FreeMarket was created by an international team of developers dedicated to preserving and expanding your right to trade peacefully without interference.",
      "welcome_text6": "We hope that FreeMarket will help you take advantage of the opportunities afforded by a global, low-cost, censorship-resistant marketplace.",
      "button_list_again": "Publier à nouveau",
      "language_button": "Français",
      "enter_escrow_address": "Entrez l'adresse du tiers de confiance",
      "yes": "Oui",
      "no": "Non",
      "missing_title": "Titre Manquant",
      "error_title_required": "Vous devez donner un nom à votre article",
      "missing_price": "Prix Manquant",
      "error_price_required": "Vous devez fixer un prix pour votre article",
      "missing_description": "Description Manquante",
      "error_description_required": "Une description de votre article est requise",
      "use_escrow": "Utiliser un tiers de confiance?",
      "invalid_escrow_address": "Adresse du tiers de confiance invalide",
      "error_invalid_ecsrow_address": "L'adresse Nxt du tiers de confiance est incorrecte.",
      "button_processing": "En cours…",
      "from_nxt": "de NXT",
      "to_nxt": "En NXT",
      "select_target_currency": "Sélectionnez votre devise",
      "us_dollar": "US Dollar",
      "euro": "Euro",
      "value_to_convert": "Montant à convertir",
      "button_convert": "Convertir",
      "select_starting_currency": "Sélectionnez votre devise",
      "converted_value": "Le montant après l'échange sera environ :",
      "reject_sale_success_message": "Confimation: l'annonce à bien été retirée.",
      "reject_sale_failure_message": "ERREUR: Le retrait de l'annonce a échoué.",
      "error_webstorage": "Désolé, votre navigateur internet ne supporte pas l'enregistrement local de données.",
      "bug_report": "Rapport de bug",
      "supported_market_version": "Supported Market Version",
      "version": "Version",
      "nrs_version": "Version de NRS",
      "market_version": "Version de Market",
      "reporting_bugs": "Signaler un dysfonctionnement",
      "bug_report_tech_info": "Informations techniques utiles dans un rapport de bug:",
      "report_bugs_to": "Envoyez vos rapport de bug à bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Erreur: assurez vous que votre client NXT est lancé.",
      "error_no_listing": "Pas d'annonces trouvées",
      "error_item_id_required": "Un numéro d'annonce est requis",
      "item_relisted_as": "Vous avez publié à nouveau votre annonce sous le numéro:",
      "note_few_minutes": "Note: Votre annonce peut mettre quelques minutes à apparaître.",
      "button_relist_item": "Republier l'annonce",
      "item_received": "Article reçu",
      "item_not_received": "Article non reçu.",
      "success_marked_received": "Confirmation : Vous avez déclaré avoir reçu votre article, et vous débloquez son paiement pour le vendeur.",
      "failure_marked_received": "Résultat: l'article N'A PAS été enregistré comme reçu. Le paiement du vendeur est ENCORE bloqué.",
      "success_marked_not_received": "Confirmation: Vous avez signalé que vous n'avez pas reçu votre article. Le tiers de confiance va en être informé.",
      "failure_marked_not_received": "ECHEC: l'absence de réception de votre article n'a pas été enregistrée.",
      "escrow_help_para_1": "Le tiers de confiance permet à l'acheteur de pouvoir effectuer des achats en toute sécurité. Les transactions sécurisées par un tiers sont indiquées par une icône.",
      "escrow_help_para_2": "Quand une transaction est effectuée avec l'aide d'un tiers de confiance, le montant de la transaction est gardé par le tiers de confiance. Lorsque l'acheteur a reçu son article, et le signale en cliquant sur le bouton qui indique qu'il est satisfait, alors le montant gardé par le tiers de confiance est envoyé au vendeur.",
      "escrow_help_para_3": "Si l'acheteur ne reçoit pas son article, ou n'est pas satisfait, il en informe le tiers de confiance qui interviendra pour résoudre le contentieux.",
      "escow_help_para_4": "Vous pouvez utiliser des tiers de confiance avec FreeMarket. Les tiers de confiance ne sont pas liés à FreeMarket. Vérifiez les tiers de confiance disponibles et leur réputation avant de faire une transaction qui les utilise.",
      "escrow_help_para_5": "Entrez l'adresse NXT du tiers de confiance au format : NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "Les frais de publication de cette annonce sont de NXT ",
      "header_listing_duration": "Durée de Publication",
      "duration_2_weeks": "2 semaines (frais de publication : 0 NXT)",
      "duration_4_weeks": "4 semaines (frais de publication : 0 NXT)",
      "item_quantity_buy": "Quantité à acheter",
      "item_quantity_sell": "Quantité à vendre",
      "header_price_conversion": "Conversions",
      "text_price_conversion": "Voici une approximation du prix en NXT dans d'autres devises: ",
      "header_price_conversion_error": "Erreur de conversion",
      "text_price_conversion_error": "Impossible de trouver le taux de change en NXT",
      "menu_help": "Aide",
      "menu_tutorials": "Tutoriels",
      "menu_about": "A Propos de FreeMarket",
      "menu_escrow": "Tiers de confiance",
      "menu_converter": "Conversion en NXT",
      "header_language": "Langue",
      "account_details": "Détails du compte",
      "quantity_purchased": "Quantité achetée",
      "header_your_pending_sales": "Vos ventes en cours",
      "menu_your_pending_sales": "Voir vos ventes en cours",
      "menu_your_active_items": "Voir vos annonces",
      "header_all_your_active_items": "Toutes vos annonces",
      "pending_sales_menu_header": "Vous avez des transactions en cours",
      "pending_sales_menu_view_all": "Voir vos transactions en cours",
      "message_to_escrow_provider": "Message au tiers de confiance",
      "account_number": "Compte NXT",
      "account_number_welcome": "Entrez votre compte NXT ci dessous. Ceci permettra à FreeMarket de savoir quelles sont vos annonces, et d'afficher le solde de votre compte. Votre mot de passe n'est PAS NECESSAIRE pour cela.",
      "account_number_header_login": "Numéro de compte",
      "button_account_number": "Soumettre votre numero de compte.",
      "error_account_number": "Votre numéro de compte NXT est nécessaire.",
      "alert_1": ""
    }
  },
  lt: {
    translation: {
      "menu_home": "Pradžia",
      "menu_buy": "Pirkti",
      "menu_sell": "Parduoti",
      "menu_view_all": "Peržiūrėti visas prekes",
      "menu_search_title": "Ieškoti pagal pavadinimą",
      "menu_search_category": "Ieškoti pagal kategoriją",
      "menu_search_tag": "Ieškoti pagal žymę",
      "menu_search_seller": "Ieškoti pagal pardavėjo ID",
      "menu_search_item": "Ieškoti pagal prekės ID",
      "menu_view_purchases": "Peržiūrėti Jūsų pirkimus",
      "menu_list_new": "Pateikti naują prekę",
      "menu_view_items": "Peržiūrėti Jūsų prekes",
      "menu_login_button": "Prisijungti",
      "menu_login_text": "Prisijungti prie parduotuvės su Jūsų slaptažodžiu.",
      "menu_login": "Prisijungti",
      "header_login": "Prisijungti",
      "login_welcome": "Jūs galite papildomai prisijungti prie FreeMarket su Jūsų slaptažodžiu ir matyti savo sąskaitos balansą. Įveskite savo sąskaitos slaptažodį žemiau.",
      "secret_phrase": "Slaptažodis",
      "placeholder_required": "privaloma",
      "placeholder_optional": "papildomai",
      "image_url_help": "Paveikslėlio nuorodos pagalba",
      "image_url_help_para1": "Naudojantis FreeMarket, Jūs galite pridėti iki 4 nuorodų į paveikslėlius. Nors Jūsų prekė yra patalpinta NXT blokų grandinėje, jos paveikslėliai nėra talpinami joje, todėl jie turi būti patalpinami kur nors internete ir nuoroda į juos gali būti patalpinama kartu su preke.",
      "image_url_help_para2": "Blokų grandinė apsaugoja Jūsų privatumą, bet nuoroda į Jūsų prekės paveikslėlius gali jį atskleisti, todėl yra svarbu paveikslėlius įkelti į tokią vietą, kuri apsaugotų Jūsų anonimiškumą. Internete yra daug vietų, kur Jūsų paveikslėliai galėtų būti saugomi anonimiškai. Jūs turite patys pasitikrinti ar galima pasitikėti šių vietų teikiamomis paslaugomis. Kai kurios iš šių paslaugų yra nurodytos žemiau, bet tai nereiškia, kad jomis yra privaloma naudotis. Atminkite, tik Jūs patys galite apsaugoti savo privatumą.",
      "image_url_help_para3": "Naudokitės tik tomis paslaugomis, kuriomis Jūs pasitikite. Jeigu Jūs nežinote ar nesuprantate, ką Jūs darote, tai paveikslėlių ir nedėkite.",
      "image_url_help_para4": "Paveikslėlių dydis turi būti 200x200 pikselių. Kitokių dydžių paveikslėliai bus sumažinti ar padidinti iki 200x200 pikselių.",
      "shipping_help": "Shipping Options Help",
      "shipping_help_para_1": "When using FreeMarket, you may include up to 3 shipping options, each with a different price. Give each shipping cost a name that will be easily understandable by your buyer, such as 'DHL to North America' and give the option a price in NXT.",
      "shipping_help_para_2": "If you have shipping options set, the buyer will be required to choose one, and the cost you assign to the shipping method will automatically be added to the total price of your item. Alternatively, you are free to include shipping in your item's price, and list your item without these shipping options.",
      "tag1": "žymė 1",
      "tag2": "žymė 2",
      "tag3": "žymė 3",
      "image1": "paveikslėlis 1",
      "image2": "paveikslėlis 2",
      "image3": "paveikslėlis 3",
      "shipping_method_name": "Pristatymo būdas",
      "shipping_cost_in_nxt": "Pristatymo kaina NXT",
      "button_login": "Prisijungti",
      "header_current_account_info": "Sąskaitos informacija",
      "account_id": "Sąskaitos ID",
      "numeric_account_id": "Skaitinis sąskaitos ID",
      "change_account_text": "Jeigu norite pakeisti sąskaitą, kurią naudojate darbui su FreeMarket, tai galite padaryti įvesdami kitos sąskaitos slaptažodį žemiau.",
      "button_change_account_id": "Pakeist sąskaitos ID",
      "button_log_out": "Atsijungti",
      "header_list_new_item": "Įtraukti naują prekę",
      "item_title": "Prekės pavadinimas",
      "category": "Kategorija",
      "price": "Kaina",
      "total_price": " Kaina: NXT ",
      "main_image_url": "Pagrindinio paveikslėlio nuoroda",
      "decsription_field": "maks. 300 simbolių",
      "description": "Aprašymas",
      "optional_item_tags": "Papildomos prekės žymės",
      "optional_additional_image_urls": "Papildomos paveikslėlių nuorodos",
      "optional_shipping_methods": "Papildomi pristatymo būdai",
      "button_post_item": "Pateikti prekę",
      "header_log_in_required": "Reikalinga prisijungti",
      "log_in_notice_text": "Atliekant šį veiksmą, Jūs turite būti prisijungęs. Prašome įvesti Jūsų slaptažodį žemiau.",
      "header_search_by_category": "Ieškoti pagal prekės kategoriją",
      "image": "Paveikslėlis",
      "status": "Būklė",
      "header_search_by_item_id": "Ieškoti pagal prekės ID",
      "header_search_by_item_title": "Ieškoti pagal prekės pavadinimą",
      "item_id": "Prekės ID",
      "button_search": "Ieškoti",
      "button_back_to_search": " Atgal į paiešką",
      "seller_id": "Pardavėjo ID",
      "price_with_nxt": " Kaina: NXT ",
      "expiration": "Nustoja galioti",
      "tags": "Žymės",
      "shipping_address": "Pristatymo adresas",
      "shipping_method": "Pristatymo būdas",
      "message_to_seller": "Žinutė pardavėjui",
      "message_from_buyer": "Žinutė nuo pirkėjo",
      "message_to_buyer": "Žinutė pirkėjui",
      "placeholder_message_to_buyer": "Papildomai. Jūsų žinutė bus šifruota.",
      "placeholder_message_to_seller": "Papildomai. Jūsų žinutė bus šifruota.",
      "button_buy_for_nxt": "Pirkti su NXT",
      "header_search_by_seller_id": "Ieškoti pagal pardavėjo ID",
      "header_search_by_tag": "Ieškoti pagal žymę",
      "header_all_items": "Visos prekės",
      "header_all_your_items": "Visos Jūsų prekės",
      "header_all_your_purchases": "Visi Jūsų pirkimai",
      "buyer_id": "Pirkėjo ID",
      "sold_date": "Parduota",
      "amount_received": "Gauta suma",
      "button_cancel_listing": "Nutraukti patalpinimą",
      "button_finalize_purchase": "Pabaigti pirkimą",
      "button_reject_purchase": "Atmesti pirkimą",
      "antiques": "Antikvaras",
      "art": "Menas",
      "baby": "Vaikai",
      "books": "Knygos",
      "business": "Verslas",
      "industrial": "Pramoninės prekės",
      "cameras": "Kameros",
      "cell_phones": "Mobilūs telefonai",
      "clothing": "Drabužiai",
      "coins": "Monetos ir popieriniai pinigai",
      "collectibles": "Kolekcionieriams",
      "computers": "Kompiuteriai",
      "consumables": "Eksploatacinės medžiagos",
      "electronics": "Namų elektronika",
      "crafts": "Rankdarbiai",
      "dolls": "Lėlės ir kiti žaislai",
      "dvds": "DVD ir kiti filmai",
      "entertainment": "Pramogos ir įžymybės",
      "everything_else": "Visa kita",
      "food_drink": "Maistas ir gėrimai",
      "gift_cards": "Dovanos ir kuponai",
      "health_beauty": "Sveikata ir grožis",
      "home_garden": "Namai ir sodas",
      "jewelry": "Juvelyriniai dirbiniai ir laikrodžiai",
      "music": "Muzika",
      "instruments": "Muzikiniai instrumentai",
      "networking": "Tinklo įranga",
      "pets": "Gyvūnėlių prekės",
      "pottery": "Indai ir stiklas",
      "real_estate": "Nekilnojamasis turtas",
      "self_defense": "Savigyna",
      "services": "Specialiosios paslaugos",
      "sporting_goods": "Sporto prekės",
      "sports_memo": "Sporto įžymybės",
      "stamps": "Antspaudai",
      "tickets": "Bilietai",
      "toys": "Žaislai ir hobiai",
      "travel": "Kelionės",
      "video_games": "Video žaidimai",
      "error_secret_phrase": "Jūsų sąskaitos slaptažodis yra reikalingas.",
      "select_language": "Pasirinkite Jūsų kalbą žemiau.",
      "error_price": "Kaina turi būti nurodyta tik sveikais ir dešimtainiais skaičiais.",
      "error_title_required": "Prekės pavadinimą nurodyti būtina.",
      "error_category_required": "Prekės kategoriją nurodyti būtina.",
      "error_price_required": "Prekės kainą nurodyti būtina.",
      "error_description_required": "Prekės aprašymą nurodyti būtina.",
      "post_successful_part1": "Jūs pateikėte prekę, kurios numeris yra: ",
      "post_successful_part2": "PASTABA: Gali praeiti keletas minučių, kol Jūsų prekė atsiras sąraše.",
      "error_message_too_long": "Rezultatas: KLAIDA įvyko pateikiant prekę. Jūsų prekės pateikimas yra per didelis. Prašome sumažinti aprašymo dydį arba prekės paveikslėlio nuorodos ilgį.",
      "post_failure": "Rezultatas: KLAIDA įvyko pateikiant prekę. Priežastis:",
      "logged_in_account": "Jūs esate prisijungęs su šia sąskaita:",
      "rs_account_id": "Sąskaitos ID Reed-Solomon formatas",
      "account_balance": "Sąskaitos balansas",
      "error_shipping_method": "Jūs turite pasirinkti pristatymo būdą.",
      "error_shipping_address": "Jūs turite įvesti pristatymo adresą.",
      "select_shipping": "Pasirinkite pristatymo būdą (privaloma)",
      "success_purchase_part1": "Jūs įsigijote prekę ",
      "success_purchase_part2": "",
      "purchase_failure": "Rezultatas: KLAIDA įvyko įsigijant prekę.",
      "sold": "Parduota",
      "available": "Parduodama",
      "canceled": "Nutraukta",
      "pending": "Pateikiama",
      "no_message": "Žinutės nėra.",
      "success_finalize_purchase": "Sėkmingai: Jūs užbaigėte šios prekės įsigijimą.",
      "failure_finalize_purchase": "Rezultatas: KLAIDA įvyko užbaigiant įsigijimą.",
      "success": "Sėkimingai",
      "success_cancel": "Jūs sėkmingai nutraukėte veiksmą su preke.",
      "failure_cancel": "Rezultatas: KLAIDA įvyko nutraukiant veiksmą su preke.",
      "localized_website": "http://www.nxtfreemarket.com/index_lt.html",
      "welcome_text1": "Prekiaukite laisvai, globaliai ir privačiai su NXT FreeMarket. FreeMarket naudoja NXT blokų grandinę Jūsų parduodamų prekių saugojimui, todėl čia nėra jokio centralizuoto taško, kuriame būtų saugoma Jūsų asmeninė informacija ir nėra jokios galimybės sustabdyti FreeMarket paslaugą.",
      "welcome_text2": "Žinutės tarp pirkėjo ir pardavėjo šifruojamos naudojant NXT platformoje esančią viešojo rakto kriptografiją. Jokia asmeninė informacija neatskleidžiama ir naudojant nešifruotą informaciją.",
      "welcome_text3": "Patalpinti prekę FreeMarket platformoje kainuoja tik 7.77 NXT. Kiti papildomi mokesčiai yra tik už atliekamą veiksmą NXT blokų grandinėje, kurie yra 1 NXT už vien veiksmą. Todėl visa prekės pateikimo, apmokėjimo už ją gavimo ir bendravimo su Jūsų pardavėju kaina gali būti iki 10 NXT. Jokių papildomų komisinių nuo Jūsų pardavimo kainos, jokių didelių mokesčių.",
      "welcome_text4": "Naudotis FreeMarket platfoma, kaip pirkėjui, kainuoja dar pigiau. Jūs mokėsite tik už veiksmą blokų grandinėje, todėl pirkimas gali kainuoti NXT FreeMarket sukurė tarptautinė programuotojų komanda, kurios tikslas yra suteikti saugią ir plačią galimybę prekiauti visiems, be trečios šalies įsikišimo.",
      "welcome_text6": "Mes tikime, kad FreeMarket padės Jums pasinaudoti galimybe prekiauti pasauliniu mastu, su mažais mokesčiais ir be jokios cenzūros.",
      "button_list_again": "List Again",
      "language_button": "Lietuviškai",
      "enter_escrow_address": "Įveskite savo deponavimo tarpininko NXT sąskaitos numerį",
      "yes": "Taip",
      "no": "Ne",
      "missing_title": "Nėra pavadinimo",
      "error_title_required": "Pavadinimas yra būtinas Jūsų prekei.",
      "missing_price": "Nėra kainos",
      "error_price_required": "Kaina yra būtina Jūsų prekei.",
      "missing_description": "Nėra aprašymo",
      "error_description_required": "Aprašymas yra būtinas Jūsų prekei.",
      "use_escrow": "Naudoti deponavimo tarpininką?",
      "invalid_escrow_address": "Blogas deponavimo tarpininko sąskaitos numeris",
      "error_invalid_ecsrow_address": "Blogas Jūsų deponavimo tarpininko NXT sąskaitos numeris. Prašome pasitikrinti.",
      "button_processing": "Vykdoma...",
      "from_nxt": "Iš NXT",
      "to_nxt": "Į NXT",
      "select_target_currency": "Pasirinkite valiutą.",
      "us_dollar": "JAV doleriai",
      "euro": "Eurai",
      "value_to_convert": "Keitimo vertė",
      "button_convert": "Paversti",
      "select_starting_currency": "Pasirinkite pradinę valiutą.",
      "converted_value": "Iškeista vertė yra apie:",
      "reject_sale_success_message": "Sėkmingai: Jūs nutraukėte šios prekės pardavimą.",
      "reject_sale_failure_message": "Rezultatas: NEPAVYKO nutraukti pardavimo.",
      "error_webstorage": "Atsiprašome, Jūsų naršyklė nepalaiko Web Storage.",
      "bug_report": "Klaidų ataskaita",
      "supported_market_version": "Palaikoma Market versija",
      "version": "Versija",
      "nrs_version": "NRS Versija",
      "market_version": "Market versija",
      "reporting_bugs": "Klaidos pranešamos",
      "bug_report_tech_info": "Techninė informacija, kuri bus naudinga pranešant klaidas:",
      "report_bugs_to": "Praneškite apie klaidas į bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Klaida: Prašome įsitikinti, kad NRS yra paleistas ir veikia.",
      "error_no_listing": "Sąrašas nerastas",
      "error_item_id_required": "Reikalingas prekės ID.",
      "item_relisted_as": "Jūs įtraukėte prekę į sarašą, jos numeris yra:",
      "note_few_minutes": "PASTABA: Jūsų prekė pasirodys už keleto minučių.",
      "button_relist_item": "Įtraukti prekę į sąrašą iš naujo",
      "item_received": "Prekė gauta",
      "item_not_received": "Prekė negauta",
      "success_marked_received": "Sėkmingai: Jūs pažymėjote šią prekę kaip gautą ir užbaigėte deponavimo tarpininkavimo operaciją. Pirkėjui bus apmokėta.",
      "failure_marked_received": "Rezultatas: NEPAVYKO pažymėti prekės kaip gautos ir užbaigti deponavimo tarpininkavimo operacijos. Pardavėjui nebus apmokėta.",
      "success_marked_not_received": "Sėkmingai: Jūs pažymėjote šią prekę kaip negautą. Jūsų deponavimo tarpininkas bus informuotas apie tai.",
      "failure_marked_not_received": "Rezultatas: NEPAVYKO pažymėti šios prekės kaip negautos.",
      "escrow_help_para_1": "Deponavimo tarpininko naudojimas pirkimo metu leidžia Jūsų pirkėjui jaustis saugiau. Prekė parduodama su deponavimo tarpininku turės specialią žymę, kuri informuos, kad naudojamas deponavimo tarpininkas.",
      "escrow_help_para_2": "Kai prekė perkama per deponavimo tarpininką, apmokėjimas už ją pirmiausiai patenka pas šį tarpininką. Kai pirkėjas gauna prekę ir paspaudžia mygtuką, kad jis patenkintas pirkiniu, mokėjimas už prekę atliekamas pardavėjui.",
      "escrow_help_para_3": "Jei Pirkėjas negauna prekės arba yra nepatenkintas ja, jis gali apie tai paskelbti, tada deponavimo tarpininikas įsijungs į problemos sprendimą.",
      "escow_help_para_4": "Deponavimo tarpininkas veikia naudodamas FreeMarket Escrow System. Deponavimo tarpininkai, naudojantys šią sistemą yra niekaip nesusiję su FreeMarket. Prašome patiems susirasti galimus deponavimo tarpininkus ir išsiaiškinti apie jų reputaciją, prieš juos pasirenkant.",
      "escrow_help_para_5": "Įveskite deponavimo tarpininko NXT sąskaitos numerį šiuo formatu: NXT-XXXX-XXXX-XXXX-XXXXX.",
      "listing_fee_notice": "Prekės pateikimo kaina yra NXT ",
      "header_listing_duration": "Prekės pateikimo galiojimo laikas",
      "duration_2_weeks": "2 savaitės (mokestis: 0 NXT)",
      "duration_4_weeks": "4 savaitės (mokestis: 0 NXT)",
      "item_quantity_buy": "Pirkimo kiekis",
      "item_quantity_sell": "Pardavimo kiekis",
      "header_price_conversion": "Apytiksli keitimo vertė",
      "text_price_conversion": "Čia rodoma NXT kaina kitomis valiutomis: ",
      "header_price_conversion_error": "Keitimo klaida",
      "text_price_conversion_error": "Įvyko klaida ieškant NXT keitimo kurso.",
      "menu_help": "Pagalba",
      "menu_tutorials": "Naudotojo vadovai",
      "menu_about": "Apie FreeMarket",
      "menu_escrow": "Deponavimo tarpininkai",
      "menu_converter": "NXT kurso konverteris",
      "header_language": "Kalba",
      "account_details": "Sąskaitos duomenys",
      "quantity_purchased": "Įsigytas kiekis",
      "header_your_pending_sales": "Jūsų vykdomi pardavimai",
      "menu_your_pending_sales": "Peržiūrėti Jūsų vykdomus pardavimus",
      "menu_your_active_items": "Peržiūrėti Jūsų aktyvias prekes",
      "header_all_your_active_items": "Visos Jūsų aktyvios prekės",
      "pending_sales_menu_header": "Jūs turite vykdomų pardavimų",
      "pending_sales_menu_view_all": "Peržiūrėti visus vykdomus pardavimus",
      "message_to_escrow_provider": "Žinutė deponavimo tarpininkui",
      "account_number": "NXT sąskaitos numeris",
      "account_number_welcome": "Įveskite žemiau savo NXT sąskaitos numerį. Tai leis FreeMarket žinoti, kurios parduodamos prekės yra Jūsų ir parodyti Jūsų NXT sąskaitos balansą. Tam nereikia Jūsų NXT sąskaitos slaptažodžio.",
      "account_number_header_login": "Sąskaitos numeris",
      "button_account_number": "Pateikite sąskaitos numerį",
      "error_account_number": "Reikalingas Jūsų NXT sąskaitos numeris.",
      "alert_1": ""
    }
  },
  de: {
    translation: {
      "menu_home": "Home",
      "menu_buy": "Kaufen",
      "menu_sell": "Verkaufen",
      "menu_view_all": "Zeige alle Artikel",
      "menu_search_title": "Suche nach Artikelname",
      "menu_search_category": "Suche nach Kategorie",
      "menu_search_tag": "Suche nach Tag",
      "menu_search_seller": "Suche nach Verkäufernummer",
      "menu_search_item": "Suche nach Artikelnummer",
      "menu_view_purchases": "Zeige meine Einkäufe",
      "menu_list_new": "Neuen Artikel einstellen",
      "menu_view_items": "Zeige meine Artikel",
      "menu_login_button": "Anmelden",
      "menu_login_text": "Anmelden, um geheime Passphrase zu speichern",
      "menu_login": "Anmelden",
      "header_login": "Anmelden",
      "login_welcome": "Du kannst dich am FreeMarket anmelden, um deine geheime Passphrase zu speichern und dein Guthaben zu sehen. Gib deine geheime Passphrase hier ein.",
      "secret_phrase": "geheime Passphrase",
      "placeholder_required": "benötigt",
      "placeholder_optional": "optional",
      "image_url_help": "Bild-URL / Hilfe",
      "image_url_help_para1": "Mit FreeMarket kannst du bis zu 4 URLs für Bilder verwenden. Nur dein Artikel wird in der NXT-Blockchain gespeichert, weshalb die Bilder irgendwo im Internet hochgeladen werden müssen. Auf den Upload des Bildes muss in Form einer URL referenziert werden.",
      "image_url_help_para2": "Die Blockchain bewahrt deine Privatsphäre, aber der Upload der Bilder zu deinem Artikel kann versehentlich deine Identität offenbaren. Deshalb ist es wichtig die Bilder an eine Stelle hochzuladen, die deine Anonymität bewahrt. Es gibt eine Vielzahl von Dienstleistern, die deine Bilder anonym hosten. Du solltest selbst sorgfältig prüfen,  welchen Service du vertrauen kannst. Einige dieser Dienste sind hier beispielsweise aufgeführt, bedeuten aber keine Nutzungsempfehlung. Denk daran, nur du kannst deine eigene Privatsphäre bewahren!",
      "image_url_help_para3": "Verwende nur Dienste, denen du vertraust! Wenn du nicht weißt, was du tust, dann nutze keine Bilder in deinen Artikeln.",
      "image_url_help_para4": "Bilder sollten 200 x 200 Pixel groß sein. Andere Größen werden zur Anzeige auf 200 x 200 angepasst.",
      "shipping_help": "Hilfe zu Versandarten",
      "shipping_help_para_1": "Mit FreeMarket kannst du 3 Versandarten mit jeweils anderen Preisen verwenden. Gib jeder Versandart einen Namen, der vom Käufer einfach zu verstehen ist (z.Bsp. 'DHL nach Nordamerika'), und einen Preis in NXT.",
      "shipping_help_para_2": "Wenn du mehrere Versandarten angegeben hast, muss der Käufer eine davon wählen und die Versandkosten werden automatisch zum Gesamtpreis des Artikels hinzugefügt. Alternativ kann der Artikelpreis auch schon die Versandkosten enthalten und die listest das Produkt versandkostenfrei.",
      "tag1": "Tag 1",
      "tag2": "Tag 2",
      "tag3": "Tag 3",
      "image1": "Bild 1",
      "image2": "Bild 2",
      "image3": "Bild 3",
      "shipping_method_name": "Versandart",
      "shipping_cost_in_nxt": "Versandkosten",
      "button_login": "Anmelden",
      "header_current_account_info": "Aktuelle Kontoinformationen",
      "account_id": "Konto-ID",
      "numeric_account_id": "numerische Konto-ID",
      "change_account_text": "Wenn du deinen NXT Account ändern möchtest, den du mit FreeMarket nutzt, dann kannst du unten eine andere geheime Passphrase eingeben.",
      "button_change_account_id": "Ändere Account-ID",
      "button_log_out": "Abmelden",
      "header_list_new_item": "Neuen Artikel einstellen",
      "item_title": "Artikelname",
      "category": "Artikelkategorie",
      "price": "Preis",
      "total_price": " Preis: NXT ",
      "main_image_url": "URL des Titelbilds",
      "decsription_field": "max. 300 Zeichen",
      "description": "Beschreibung",
      "optional_item_tags": "Artikel-Tags (optional)",
      "optional_additional_image_urls": "URLs weiterer Bilder (optional)",
      "optional_shipping_methods": "weitere Versandarten",
      "button_post_item": "Artikel veröffentlichen",
      "header_log_in_required": "Anmeldung erforderlich",
      "log_in_notice_text": "Du musst eingeloggt sein. Bitte gib deine geheime Passphrase ein.",
      "header_search_by_category": "Suche nach Kategorie",
      "image": "Bild",
      "status": "Status",
      "header_search_by_item_id": "Suche nach Artikelnummer",
      "header_search_by_item_title": "Suche nach Artikelname",
      "item_id": "Artikelnummer",
      "button_search": "Suche",
      "button_back_to_search": " Zurück zur Suche",
      "seller_id": "Verkäufernummer",
      "price_with_nxt": " Preis: NXT ",
      "expiration": "Läuft ab",
      "tags": "Tags",
      "shipping_address": "Versandadresse",
      "shipping_method": "Versandarten",
      "shipping_address_required": "Eine Versandadresse erforderlich. Achten Sie darauf, alle relevanten Informationen, wie Ihr Land gehören. Ihre Lieferadresse verschlüsselt.",
      "message_to_seller": "Nachricht an Verkäufer",
      "message_from_buyer": "Nachricht vom Käufer",
      "message_to_buyer": "Nachricht an Käufer",
      "placeholder_message_to_buyer": "Deine Nachricht wird verschlüsselt (optional)",
      "placeholder_message_to_seller": "Deine Nachricht wird verschlüsselt (optional)",
      "button_buy_for_nxt": "mit NXT kaufen",
      "header_search_by_seller_id": "Suche nach Verkäufernummer",
      "header_search_by_tag": "Suche nach Tag",
      "header_all_items": "Alle Artikel",
      "header_all_your_items": "Alle deine Artikel",
      "header_all_your_purchases": "Alle deine Einkäufe",
      "buyer_id": "Käufernummer",
      "sold_date": "Verkauft ab",
      "amount_received": "Betrag erhalten",
      "button_cancel_listing": "Angebot abbrechen",
      "button_finalize_purchase": "Kauf abschließen",
      "button_reject_purchase": "Kauf ablehnen",
      "antiques": "Antiquitäten",
      "art": "Kunst",
      "baby": "Baby",
      "books": "Bücher",
      "business": "Business",
      "industrial": "Industrie",
      "cameras": "Kameras",
      "cell_phones": "Handy",
      "clothing": "Kleidung",
      "coins": "Münzen und Papiergeld",
      "collectibles": "Sammlerstücke",
      "computers": "Computer",
      "consumables": "Verbrauchsgegenstände",
      "electronics": "Unterhaltungselektronik",
      "crafts": "Kunsthandwerk",
      "dolls": "Puppen und Bären",
      "dvds": "DVDs und Filme",
      "entertainment": "Unterhaltung (Sammlerstücke)",
      "everything_else": "Sonstiges",
      "food_drink": "Essen und Trinken",
      "gift_cards": "Gutscheine und Coupons",
      "health_beauty": "Gesundheit und Schönheit",
      "home_garden": "Heim und Garten",
      "jewelry": "Schmuck und Uhren",
      "music": "Musik",
      "instruments": "Musikinstrumente",
      "networking": "Netzwerk",
      "pets": "Heimtierbedarf",
      "pottery": "Glas und Keramik",
      "real_estate": "Immobilien",
      "self_defense": "Selbstverteidigung",
      "services": "Sonderleistungen",
      "sporting_goods": "Sportartikel",
      "sports_memo": "Sport (Sammlerstücke)",
      "stamps": "Briefmarken",
      "tickets": "Tickets",
      "toys": "Spielzeug und Hobbies",
      "travel": "Reise",
      "video_games": "Videospiele",
      "error_secret_phrase": "Die geheime Passphrase deines Accounts wird benötigt.",
      "select_language": "Wähle deine Sprache.",
      "error_price": "Der Preis darf nur Zahlen und einen Punkt enthalten.",
      "error_title_required": "Ein Artikelname wird benötigt.",
      "error_category_required": "Eine Artikelkategorie wird benötigt.",
      "error_price_required": "Ein Artikelpreis wird benötigt.",
      "error_description_required": "Eine Artikelbeschreibung wird benötigt.",
      "post_successful_part1": "Artikel eingestellt: ",
      "post_successful_part2": "Hinweis: Dein Artikel erscheint in wenigen Minuten.",
      "error_message_too_long": "Ergebnis: Fehler beim Einstellen des Artikels. Deine Artikelbeschreibung oder Bild-URLs sind zu lang - bitte kürzen.",
      "post_failure": "Ergebnis: Fehler beim Einstellen des Artikels:",
      "logged_in_account": "Du bist angemeldet mit folgendem Account:",
      "rs_account_id": "Account-ID",
      "account_balance": "Kontostand",
      "error_shipping_method": "Du musst eine Versandart auswählen.",
      "error_shipping_address": "Du musst eine Lieferadresse eingeben.",
      "select_shipping": "Versandart auswählen (Pflichtfeld)",
      "success_purchase_part1": "Du hast Artikelnummer ",
      "success_purchase_part2": " gekauft",
      "purchase_failure": "Ergebnis: Fehler beim Kauf des Artikels.",
      "sold": "ausverkauft",
      "available": "verfügbar",
      "canceled": "abgebrochen",
      "pending": "ausstehend",
      "no_message": "keine Nachricht.",
      "success_finalize_purchase": "Erfolg: du hast den Kauf des Artikels abgeschlossen.",
      "failure_finalize_purchase": "Ergebnis: Fehler beim Kaufabschluss des Artikels.",
      "success": "Erfolg",
      "success_cancel": "Kauf des Artikels abgebrochen.",
      "failure_cancel": "Ergebnis: Fehler beim Stornieren des Artikels.",
      "localized_website": "http://www.nxtfreemarket.com/index_de.html",
      "welcome_text1": "Handle frei, gloabal und anonym mit NXT FreeMarket. FreeMarket nutzt die NXT Blockchain, um alle angebotenen Artikel zu speichern, weshalb es keinen zentralen Dienst gibt, der deine privaten Daten besitzt. Auch einen Single-Point-of-Failure gibt es im FreeMarket-System nicht.",
      "welcome_text2": "Nachrichten zwischen Käufern und Vekäufern nutzen die Public-Key-Kryptographie von NXT und sind daher verschlüsselt. Persönlichen Daten werden nicht in unverschlüsselter Form freigegeben.",
      "welcome_text3": "Die Kosten für das Einstellen eines Artikels liegen bei nur 7.77 NXT und die einzigen weiteren Gebühren entstehen bei der Nutzung der NXT Blockchain - 1 NXT pro Transaktion, so dass der komplette Prozess vom Einstellen des Produkts über die Bezahlung und die Kommunikation mit dem Käufer unter 10 NXT kosten kann! Kein prozentualer Anteil am Kaufpreis des Artikels, keine hohen Gebühren!",
      "welcome_text4": "Die Kosten bei der Nutzung von FreeMarket als Käufer sind noch geringer. Du zahlst nur für Netzwerk-Transaktionen, so dass für einen Kauf gerade einmal 1 NXT an Gebühren fällig werden.",
      "welcome_text5": "NXT FreeMarket wurde von einem internationalen Team von Entwicklern mit der Absicht eines freien und friedlichen Handelns ohne Eingriffe geschaffen.",
      "welcome_text6": "Wir hoffen, dass dir FreeMarket alle Möglichkeiten eines globalen, kostengünstigen und zensur-resistenten Marktplatzes liefert.",
      "button_list_again": "List Again",
      "language_button": "Deutsch",
      "enter_escrow_address": "Gib die NXT-Adresse deines Escrow-Providers ein",
      "yes": "Ja",
      "no": "Nein",
      "missing_title": "Titel fehlt",
      "error_title_required": "Für deinen Artikel wird ein Titel benötigt.",
      "missing_price": "Preis fehlt",
      "error_price_required": "Für deinen Artikel wird ein Preis benötigt.",
      "missing_description": "Beschreibung fehlt",
      "error_description_required": "Für deinen Artikel wird eine Beschreibung benötigt.",
      "use_escrow": "Escrow (Treuhand) nutzen?",
      "invalid_escrow_address": "Ungültige Escrow-Adresse",
      "error_invalid_ecsrow_address": "Ungültige NXT-Adresse für deinen Escrow-Provider. Bitte prüfen.",
      "button_processing": "Verarbeitung läuft...",
      "from_nxt": "von NXT",
      "to_nxt": "in NXT",
      "select_target_currency": "Wähle deine Zielwährung.",
      "us_dollar": "US Dollar",
      "euro": "Euro",
      "value_to_convert": "Wert zum Wechseln",
      "button_convert": "Wechseln",
      "select_starting_currency": "Wähle deine Ausgangswährung.",
      "converted_value": "Der gewechselte Wert beträgt ungefähr: ",
      "reject_sale_success_message": "Erfolg: Du hast den Verkauf des Artikels abgelehnt.",
      "reject_sale_failure_message": "Ergebnis: Fehler beim Ablehnen des Verkaufs.",
      "error_webstorage": "Sorry, dein Browser unterstützt keine Web-Storage.",
      "bug_report": "Fehlerbericht",
      "supported_market_version": "Unterstütze Market-Version",
      "version": "Version",
      "nrs_version": "NRS-Version",
      "market_version": "Market-Version",
      "reporting_bugs": "Fehler melden",
      "bug_report_tech_info": "Technische Informationen, die hilfreich sein könnten:",
      "report_bugs_to": "Melde Fehler an bugreport@nxtfreemarket.com",
      "error_nxt_not_running": "Fehler: Bitte stell sicher, dass NXT läuft.",
      "error_no_listing": "Kein Eintrag gefunden",
      "error_item_id_required": "Eine Artikel-ID wird benötigt.",
      "item_relisted_as": "Erneut eingestellter Artikel mit Artikel-Nummer:",
      "note_few_minutes": "Hinweis: Dein Artikel benötigt einige Minuten bis zur Anzeige.",
      "button_relist_item": "Artikel erneut einstellen",
      "item_received": "Artikel erhalten",
      "item_not_received": "Artikel nicht erhalten",
      "success_marked_received": "Erfolg: Du hast den Artikel als 'Erhalten' markiert und den Escrow-Prozess beendet. Der Verkäufer wird bezahlt.",
      "failure_marked_received": "Ergebnis: Fehler beim Markieren des Artikels als 'Erhalten' und Beenden des Escrow-Prozesses. Der Verkäufer wird nicht bezahlt.",
      "success_marked_not_received": "Erfolg: Du hast den Artikel als 'Nicht Erhalten' markiert. Dein Escrow-Provider wird darüber informiert.",
      "failure_marked_not_received": "Ergebnis: Fehler beim Markieren des Artikels als 'Nicht Erhalten.'",
      "escrow_help_para_1": "Escrow (Treuhand) lässt dich als Käufer sicher handeln. Ein Artikel mit Escrow-Service wird mit einem speziellen Icon dargestellt.",
      "escrow_help_para_2": "Wenn ein Artikel mit Escrow verkauft wurde, geht die Zahlung zuerst an den Escrow-Provider. Wenn der Käufer den Artikel erhalten hat und einen Button klickt, um seine Zufriedenheit zu bestätigen, wird die Zahlung vom Escrow-Provider freigegeben und an den Verkäufer gesendet.",
      "escrow_help_para_3": "Wenn der Käufer den Artikel nicht erhält oder unzufrieden mit dem Artikel ist, kann er diesen Artikel markieren. Der Escrow-Provider übernimmt dann die Klärung dieses Konfliktes.",
      "escow_help_para_4": "Escrow (Treuhand) wird mit dem FreeMarket Escrow System angeboten. Escrow-Providers, die dieses System nutzen sind nicht durch FreeMarket geprüft. Bitte prüfe vorher die verfügbaren Escrow-Provider und deren Bewertungen.",
      "escrow_help_para_5": "Gib die NXT-Adresse des Escrow-Providers im Format NXT-XXXX-XXXX-XXXX-XXXXX ein.",
      "listing_fee_notice": "Die Gebühr zum Einstellen eines Artikels beträgt NXT ",
      "header_listing_duration": "Einstelldauer",
      "duration_2_weeks": "2 Wochen (Gebühr: 0 NXT)",
      "duration_4_weeks": "4 Wochen (Gebühr: 0 NXT)",
      "item_quantity_buy": "Anzahl zu Kaufen",
      "item_quantity_sell": "Anzahl zu Verkaufen",
      "header_price_conversion": "Ungefähre Geldwechsel",
      "text_price_conversion": "Hier ist der NXT-Preis in anderen Währungen: ",
      "header_price_conversion_error": "Wechsel-Fehler",
      "text_price_conversion_error": "Es gab einen Fehler beim Abfragen des NXT-Wechselkurses.",
      "menu_help": "Hilfe",
      "menu_tutorials": "Anleitungen",
      "menu_about": "Über FreeMarket",
      "menu_escrow": "Escrow-Providers (Treuhänder)",
      "menu_converter": "NXT Wechselstube",
      "header_language": "Sprache",
      "account_details": "Account-Details",
      "quantity_purchased": "Anzahl Gekauft",
      "header_your_pending_sales": "Laufende Verkäufe",
      "menu_your_pending_sales": "Deine laufenden Verkäufe",
      "menu_your_active_items": "Deine aktiven Artikel",
      "header_all_your_active_items": "Alle deine aktive Artikel",
      "pending_sales_menu_header": "Du hast laufende Verkäufe",
      "pending_sales_menu_view_all": "Alle laufenden Verkäufe",
      "message_to_escrow_provider": "Nachricht an Escrow-Provider",
      "account_number": "NXT Account-Nummer",
      "account_number_welcome": "Gib Deine NXT Account-Nummer hier ein. Damit weiß FreeMarket dann welche zu verkaufenden Artikel Dir gehören. Außerdem kann dadurch auch deine NXT-Balance angezeigt werden. Deine geheimes Passwort wird dafür NICHT benötigt.",
      "account_number_header_login": "Account-Nummer",
      "button_account_number": "Bestätige Account-Nummer",
      "error_account_number": "Deine NXT Account-Nummer wird benötigt.",
      "alert_1": ""
    }
  }
};

function getSearchMenuLocalised() {
  setLanguage();
  var fmlang = localStorage.getItem("fmlang");
  var current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sInfo": "Showing _START_ to _END_ of _TOTAL_ entries",
      "sInfoEmpty": "Showing 0 to 0 of 0 entries",
      "sInfoFiltered": "(filtered from _MAX_ total entries)",
      "sInfoPostFix": "",
      "sInfoThousands": ",",
      "sLengthMenu": "Show _MENU_ entries",
      "sLoadingRecords": "Loading...",
      "sProcessing": "Processing...",
      "sSearch": "Search:",
      "sZeroRecords": "No matching records found",
      "oPaginate": {
        "sFirst": "First",
        "sLast": "Last",
        "sNext": "Next",
        "sPrevious": "Previous"
      },
      "oAria": {
        "sSortAscending": ": activate to sort column ascending",
        "sSortDescending": ": activate to sort column descending"
      }
    };

  if (fmlang == "zh") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "处理中...",
      "sLengthMenu": "显示 _MENU_ 项结果",
      "sZeroRecords": "没有匹配结果",
      "sInfo": "显示第 _START_ 至 _END_ 项结果，共 _TOTAL_ 项",
      "sInfoEmpty": "显示第 0 至 0 项结果，共 0 项",
      "sInfoFiltered": "(由 _MAX_ 项结果过滤)",
      "sInfoPostFix": "",
      "sSearch": "搜索:",
      "sUrl": "",
      "sLoadingRecords": "载入中...",
      "sInfoThousands": ",",
      "oPaginate": {
        "sFirst": "首页",
        "sPrevious": "上页",
        "sNext": "下页",
        "sLast": "末页"
      },
      "oAria": {
        "sSortAscending": ": 以升序排列此列",
        "sSortDescending": ": 以降序排列此列"
      }
    };
  } // End zh if
  else if (fmlang == "lt") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "Apdorojama...",
      "sLengthMenu": "Rodyti _MENU_ įrašus",
      "sZeroRecords": "Įrašų nerasta",
      "sInfo": "Rodomi įrašai nuo _START_ iki _END_ iš _TOTAL_ įrašų",
      "sInfoEmpty": "Rodomi įrašai nuo 0 iki 0 iš 0",
      "sInfoFiltered": "(atrinkta iš _MAX_ įrašų)",
      "sInfoPostFix": "",
      "sSearch": "Ieškoti:",
      "sUrl": "",
      "oPaginate": {
        "sFirst": "Pirmas",
        "sPrevious": "Ankstesnis",
        "sNext": "Tolimesnis",
        "sLast": "Paskutinis"
      }
    };
  } // End lt if
  else if (fmlang == "it") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sInfo": "Vista da _START_ a _END_ di _TOTAL_ elementi",
      "sInfoEmpty": "Vista da 0 a 0 di 0 elementi",
      "sInfoFiltered": "(filtrati da _MAX_ elementi totali)",
      "sInfoPostFix": "",
      "sInfoThousands": ",",
      "sLengthMenu": "Visualizza _MENU_ elementi",
      "sLoadingRecords": "Caricamento...",
      "sProcessing": "Elaborazione...",
      "sSearch": "Cerca:",
      "sZeroRecords": "La ricerca non ha portato alcun risultato.",
      "oPaginate": {
        "sFirst": "Inizio",
        "sPrevious": "Precedente",
        "sNext": "Successivo",
        "sLast": "Fine"
      }
    };
  } // End it if
  else if (fmlang == "el") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "Επεξεργασία...",
      "sLengthMenu": "Δείξε _MENU_ εγγραφές",
      "sZeroRecords": "Δεν βρέθηκαν εγγραφές που να ταιριάζουν",
      "sInfo": "Δείχνοντας _START_ εως _END_ από _TOTAL_ εγγραφές",
      "sInfoEmpty": "Δείχνοντας 0 εως 0 από 0 εγγραφές",
      "sInfoFiltered": "(φιλτραρισμένες από _MAX_ συνολικά εγγραφές)",
      "sInfoPostFix": "",
      "sSearch": "Αναζήτηση:",
      "sUrl": "",
      "oPaginate": {
        "sFirst": "Πρώτη",
        "sPrevious": "Προηγούμενη",
        "sNext": "Επόμενη",
        "sLast": "Τελευταία"
      }
    };
  } // End el if
  else if (fmlang == "hr") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "Obrađujem...",
      "sLengthMenu": "Prikaži _MENU_ rezultata po stranici",
      "sZeroRecords": "Ništa nije pronađeno",
      "sInfo": "Prikazano _START_ do _END_ od _TOTAL_ rezultata",
      "sInfoEmpty": "Prikazano 0 do 0 od 0 rezultata",
      "sInfoFiltered": "(filtrirano iz _MAX_ ukupnih rezultata)",
      "sInfoPostFix": "",
      "sSearch": "Pretraži:",
      "sUrl": "",
      "oPaginate": {
        "sFirst": "Prva",
        "sPrevious": "Nazad",
        "sNext": "Naprijed",
        "sLast": "Zadnja"
      }
    };
  } // End hr if
  else if (fmlang == "he") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "מעבד...",
      "sLengthMenu": "הצג _MENU_ פריטים",
      "sZeroRecords": "לא נמצאו רשומות מתאימות",
      "sInfo": "_START_ עד _END_ מתוך _TOTAL_ רשומות",
      "sInfoEmpty": "0 עד 0 מתוך 0 רשומות",
      "sInfoFiltered": "(מסונן מסך _MAX_  רשומות)",
      "sInfoPostFix": "",
      "sSearch": "חפש:",
      "sUrl": "",
      "oPaginate": {
        "sFirst": "ראשון",
        "sPrevious": "קודם",
        "sNext": "הבא",
        "sLast": "אחרון"
      }
    };
  } // End he if
  else if (fmlang == "de") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sInfo": "_START_ bis _END_ von _TOTAL_ Einträgen",
      "sInfoEmpty": "0 bis 0 von 0 Einträgen",
      "sInfoFiltered": "(gefiltert von _MAX_ Einträgen)",
      "sInfoPostFix": "",
      "sInfoThousands": ".",
      "sLengthMenu": "_MENU_ Einträge anzeigen",
      "sLoadingRecords": "Wird geladen...",
      "sProcessing": "Bitte warten...",
      "sSearch": "Suchen",
      "sZeroRecords": "Keine Einträge vorhanden.",
      "oPaginate": {
        "sFirst": "Erste",
        "sPrevious": "Zurück",
        "sNext": "Nächste",
        "sLast": "Letzte"
      },
      "oAria": {
        "sSortAscending": ": aktivieren, um Spalte aufsteigend zu sortieren",
        "sSortDescending": ": aktivieren, um Spalte absteigend zu sortieren"
      }
    };
  } // End de if
  else if (fmlang == "ja") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "処理中...",
      "sLengthMenu": "_MENU_ 件表示",
      "sZeroRecords": "データはありません。",
      "sInfo": " _TOTAL_ 件中 _START_ から _END_ まで表示",
      "sInfoEmpty": " 0 件中 0 から 0 まで表示",
      "sInfoFiltered": "（全 _MAX_ 件より抽出）",
      "sInfoPostFix": "",
      "sSearch": "検索:",
      "sUrl": "",
      "oPaginate": {
        "sFirst": "先頭",
        "sPrevious": "前",
        "sNext": "次",
        "sLast": "最終"
      }
    };
  } // End ja if
  else if (fmlang == "es") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "Procesando...",
      "sLengthMenu": "Mostrar _MENU_ registros",
      "sZeroRecords": "No se encontraron resultados",
      "sEmptyTable": "Ningún dato disponible en esta tabla",
      "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
      "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
      "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
      "sInfoPostFix": "",
      "sSearch": "Buscar:",
      "sUrl": "",
      "sInfoThousands": ",",
      "sLoadingRecords": "Cargando...",
      "oPaginate": {
        "sFirst": "Primero",
        "sLast": "Último",
        "sNext": "Siguiente",
        "sPrevious": "Anterior"
      },
      "oAria": {
        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
      }
    };
  } // End es if
  else if (fmlang == "fr") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "Traitement en cours...",
      "sSearch": "Rechercher&nbsp;:",
      "sLengthMenu": "Afficher _MENU_ &eacute;l&eacute;ments",
      "sInfo": "Affichage de l'&eacute;lement _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
      "sInfoEmpty": "Affichage de l'&eacute;lement 0 &agrave; 0 sur 0 &eacute;l&eacute;ments",
      "sInfoFiltered": "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
      "sInfoPostFix": "",
      "sLoadingRecords": "Chargement en cours...",
      "sZeroRecords": "Aucun &eacute;l&eacute;ment &agrave; afficher",
      "sEmptyTable": "Aucune donn&eacute;e disponible dans le tableau",
      "oPaginate": {
        "sFirst": "Premier",
        "sPrevious": "Pr&eacute;c&eacute;dent",
        "sNext": "Suivant",
        "sLast": "Dernier"
      },
      "oAria": {
        "sSortAscending": ": activer pour trier la colonne par ordre croissant",
        "sSortDescending": ": activer pour trier la colonne par ordre d&eacute;croissant"
      }
    };
  } // End fr if
  else if (fmlang == "ru") {

    current_lang = {
      "sEmptyTable": "<div class='spinner'><div class='double-bounce1'></div><div class='double-bounce2'></div></div>",
      "sProcessing": "Подождите...",
      "sLengthMenu": "Показать _MENU_ записей",
      "sZeroRecords": "Записи отсутствуют.",
      "sInfo": "Записи с _START_ до _END_ из _TOTAL_ записей",
      "sInfoEmpty": "Записи с 0 до 0 из 0 записей",
      "sInfoFiltered": "(отфильтровано из _MAX_ записей)",
      "sInfoPostFix": "",
      "sSearch": "Поиск:",
      "sUrl": "",
      "oPaginate": {
        "sFirst": "Первая",
        "sPrevious": "Предыдущая",
        "sNext": "Следующая",
        "sLast": "Последняя"
      },
      "oAria": {
        "sSortAscending": ": активировать для сортировки столбца по возрастанию",
        "sSortDescending": ": активировать для сортировки столбцов по убыванию"
      }
    };
  }
  
  return current_lang;
}

$.i18n.init({
  fallbackLng: "en",
  lowerCaseLng: true,
  detectLngFromLocalStorage: true,
  resStore: resources,
  debug: false
}, function() {
  $("[data-i18n]").i18n();
});
